-- Licensed Materials - Property of IBM
-- 5724-M24
-- Copyright IBM Corporation 2011. All Rights Reserved.
-- US Government Users Restricted Rights- Use, duplication or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.
-- ------------------------------------------------------------------------------------
--
-- Script file to upgrade database from v7.5 to v8.0 for DB2 UDB 
--
-- ------------------------------------------------------------------------------------
-- Following variables need to be changed for customization before running this script:
-- @SCHEMA@ = the schema name, eg MONITOR
-- @TSDIR@ = the directory or prefix for tablespace datafiles, eg DEFAULTTS
--
-- Run the script in the DB2 command line processor with admin privileges.
--
-- USAGE:   db2 -tf upgradeSchema750.sql
--
-- ------------------------------------------------------------------------------------


---------------------------------------------------------CHANGED:  SCHEMA_VERSION
DELETE FROM @SCHEMA@.SCHEMA_VERSION;
INSERT INTO @SCHEMA@.SCHEMA_VERSION 
        (SCHEMA_VERSION, DATA_MIGRATION) 
        VALUES( 80, 0 );


--Begin Monitor 8.0 changes

ALTER TABLE @SCHEMA@.ACT_MGR_ALERTS_T
        ADD COLUMN PRIORITY                           BIGINT;

CREATE TABLE @SCHEMA@.ACT_ALERT_COMMENTS_T
(
  ALERT_ID                           VARCHAR(32)                       NOT NULL ,
  COMMENT_OWNER                      VARCHAR(32)                       NOT NULL ,
  COMMENT_TIME                       TIMESTAMP                         NOT NULL ,
  COMMENT_TEXT                       VARCHAR(4000)                              ,
  VERSION_ID                         SMALLINT                          NOT NULL ,
  PRIMARY KEY ( ALERT_ID, COMMENT_OWNER, COMMENT_TIME )
) IN DSTS32K; 



ALTER TABLE @SCHEMA@.ACT_MGR_ALERTS_T
        ADD COLUMN STATUS                             VARCHAR(32) ;


ALTER TABLE @SCHEMA@.META_MONITOR_CONTEXT_T
        ADD COLUMN HIDDEN                             SMALLINT  ;

UPDATE @SCHEMA@.META_MONITOR_CONTEXT_T SET HIDDEN = 0;

ALTER TABLE @SCHEMA@.META_MONITOR_CONTEXT_T ADD CONSTRAINT META_MONITOR_CONTEXT_C1 CHECK (HIDDEN IS NOT NULL);


ALTER TABLE @SCHEMA@.META_MONITOR_METRIC_T
        ADD COLUMN HIDDEN                             SMALLINT  ;

UPDATE @SCHEMA@.META_MONITOR_METRIC_T SET HIDDEN = 0;

ALTER TABLE @SCHEMA@.META_MONITOR_METRIC_T ADD CONSTRAINT META_MONITOR_METRIC_C1 CHECK (HIDDEN IS NOT NULL);


ALTER TABLE @SCHEMA@.META_KPI_T
        ADD COLUMN HIDDEN                             SMALLINT  ;        

UPDATE @SCHEMA@.META_KPI_T SET HIDDEN = 0;

ALTER TABLE @SCHEMA@.META_KPI_T ADD CONSTRAINT META_KPI_C1 CHECK (HIDDEN IS NOT NULL);


COMMIT;
CONNECT RESET;