-- Licensed Materials - Property of IBM
-- 5724-M24
-- Copyright IBM Corporation 2007, 2011.  All Rights Reserved.
-- US Government Users Restricted Rights - Use, duplication or disclosu
-- restricted by GSA ADP Schedule Contract with IBM Corp.
-- --------------------------------------------------------------------
--
-- Scriptfile to create database, tablespaces for 
-- DB2 z/OS v8
--
-----------------------------------------------------------------------
-- Following variables need to be changed for customization before 
-- running this script: 
-- @STOGRP@ = DB2 Storage group name (default is SYSDEFLT)
-- @DB_NAME@ = the database name, eg MONITOR
-- Note: Tablespaces should be created with LOCKSIZE ROW to avoid 
--           deadlocks
--       Tablespaces should be created with CCSID UNICODE for
--       performance reasons and codepage coverage for user input
--
-- Run the script in the DB2 command line processor.
--
-- USAGE:   db2 -tf createTablespace_Monitor.sql
--
-- --------------------------------------------------------------------
------------- bufferpool for regular tablespaces
-- created by DBA as BP32K

------------- bufferpool for temp tablespace
-- created by DBA as TMPBP32K

------------- tablespace for Monitor (WBM) 
CREATE TABLESPACE WBMON001 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON002 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON003 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   LOCKMAX 0
   CCSID UNICODE;
CREATE TABLESPACE WBMON004 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON005 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON006 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON007 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON008 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON009 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON010 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON011 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON012 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON013 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON014 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON015 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON016 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON017 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON018 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON019 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON020 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON021 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON022 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON023 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON024 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON025 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON026 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON027 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON028 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON029 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON030 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON031 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON032 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON033 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON034 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON035 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON036 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON037 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON038 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON039 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON040 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON041 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON042 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON043 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON044 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON045 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON046 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON047 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON048 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON049 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON050 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON051 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON052 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON053 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON054 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON055 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON056 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON057 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON058 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON059 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON060 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON061 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON062 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON063 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON064 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON065 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON066 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON067 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON068 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON069 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON070 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON071 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON072 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON073 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON074 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON075 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON076 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON077 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON078 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON079 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON080 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON081 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;
CREATE TABLESPACE WBMON082 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;   
CREATE TABLESPACE WBMON083 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE; 
CREATE TABLESPACE WBMON084 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE; 
CREATE TABLESPACE WBMON085 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;    
CREATE TABLESPACE WBMON086 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE; 
CREATE TABLESPACE WBMON087 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;    

------------- tablespace for Data Services (DS) 
CREATE TABLESPACE DSTS32K  IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   LOCKMAX 0
   CCSID UNICODE;

------------- tablespace for Data Mart Services (DMS)
CREATE TABLESPACE DMSTS32K IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   LOCKMAX 0
   CCSID UNICODE;

------------- tablespace (temp) for sorts/joins
-- created by DBA with DB2 CREATE TABLESPACE TMPTS32K IN TMPDB 
-- BUFFERPOOL TMPBP32K

--------------------------------------------------
-- Create auxiliary tablespaces for LOB columns --
--------------------------------------------------
CREATE LOB TABLESPACE WBMLOB01 IN @DB_NAME@ 
   BUFFERPOOL BP32K
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
CREATE LOB TABLESPACE WBMLOB02 IN @DB_NAME@ 
   BUFFERPOOL BP32K
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
CREATE LOB TABLESPACE WBMLOB03 IN @DB_NAME@ 
   BUFFERPOOL BP32K
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
CREATE LOB TABLESPACE WBMLOB04 IN @DB_NAME@ 
   BUFFERPOOL BP32K
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
CREATE LOB TABLESPACE WBMLOB05 IN @DB_NAME@ 
   BUFFERPOOL BP32K
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
CREATE LOB TABLESPACE WBMLOB06 IN @DB_NAME@ 
   BUFFERPOOL BP32K
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
CREATE LOB TABLESPACE WBMLOB07 IN @DB_NAME@ 
   BUFFERPOOL BP32K
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
CREATE LOB TABLESPACE WBMLOB08 IN @DB_NAME@ 
   BUFFERPOOL BP32K
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
CREATE LOB TABLESPACE WBMLOB09 IN @DB_NAME@ 
   BUFFERPOOL BP32K
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
CREATE LOB TABLESPACE WBMLOB10 IN @DB_NAME@ 
   BUFFERPOOL BP32K
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
CREATE LOB TABLESPACE WBMLOB11 IN @DB_NAME@ 
   BUFFERPOOL BP32K
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
CREATE LOB TABLESPACE WBMLOB12 IN @DB_NAME@ 
   BUFFERPOOL BP32K
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
CREATE LOB TABLESPACE WBMLOB13 IN @DB_NAME@ 
   BUFFERPOOL BP32K
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
CREATE LOB TABLESPACE WBMLOB14 IN @DB_NAME@ 
   BUFFERPOOL BP32K
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
CREATE LOB TABLESPACE WBMLOB15 IN @DB_NAME@ 
   BUFFERPOOL BP32K
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
CREATE LOB TABLESPACE WBMLOB16 IN @DB_NAME@ 
   BUFFERPOOL BP32K
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
CREATE LOB TABLESPACE WBMLOB17 IN @DB_NAME@ 
   BUFFERPOOL BP32K
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
CREATE LOB TABLESPACE WBMLOB18 IN @DB_NAME@ 
   BUFFERPOOL BP32K
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
CREATE LOB TABLESPACE WBMLOB19 IN @DB_NAME@ 
   BUFFERPOOL BP32K
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
CREATE LOB TABLESPACE WBMLOB20 IN @DB_NAME@ 
   BUFFERPOOL BP32K
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
CREATE LOB TABLESPACE WBMLOB21 IN @DB_NAME@ 
   BUFFERPOOL BP32K
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
CREATE LOB TABLESPACE WBMLOB22 IN @DB_NAME@ 
   BUFFERPOOL BP32K
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
CREATE LOB TABLESPACE WBMLOB23 IN @DB_NAME@ 
   BUFFERPOOL BP32K
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
CREATE LOB TABLESPACE WBMLOB24 IN @DB_NAME@ 
   BUFFERPOOL BP32K
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
CREATE LOB TABLESPACE WBMLOB25 IN @DB_NAME@ 
   BUFFERPOOL BP32K
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
CREATE LOB TABLESPACE WBMLOB26 IN @DB_NAME@ 
   BUFFERPOOL BP32K
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
CREATE LOB TABLESPACE WBMLOB27 IN @DB_NAME@ 
   BUFFERPOOL BP32K
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
CREATE LOB TABLESPACE WBMLOB28 IN @DB_NAME@ 
   BUFFERPOOL BP32K
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
CREATE LOB TABLESPACE WBMLOB29 IN @DB_NAME@ 
   BUFFERPOOL BP32K
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
CREATE LOB TABLESPACE WBMLOB30 IN @DB_NAME@ 
   BUFFERPOOL BP32K
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
CREATE LOB TABLESPACE WBMLOB31 IN @DB_NAME@ 
   BUFFERPOOL BP32K
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
CREATE LOB TABLESPACE WBMLOB32 IN @DB_NAME@ 
   BUFFERPOOL BP32K
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
CREATE LOB TABLESPACE WBMLOB33 IN @DB_NAME@ 
   BUFFERPOOL BP32K
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
CREATE LOB TABLESPACE WBMLOB34 IN @DB_NAME@ 
   BUFFERPOOL BP32K
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
CREATE LOB TABLESPACE WBMLOB35 IN @DB_NAME@ 
   BUFFERPOOL BP32K
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
CREATE LOB TABLESPACE WBMLOB36 IN @DB_NAME@ 
   BUFFERPOOL BP32K
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
   
COMMIT;

   
