-- Licensed Materials - Property of IBM
-- 5724-M24
-- Copyright IBM Corporation 2011.  All Rights Reserved.
-- US Government Users Restricted Rights - Use, duplication or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.
-- ------------------------------------------------------------------------------------
--
-- Scriptfile to upgrade database from v7.5 to v8.0 for SQL Server
--
-- ------------------------------------------------------------------------------------
-- Following variables need to be changed for customization before running this script:
-- @DB_NAME@ = the database name, eg MONITOR
-- @SCHEMA@  = the schema name, eg MONITOR
--
--
-- Run the script in the sqlcmd command line processor
--
-- USAGE:  sqlcmd -U <userid> -P <password> -e -i upgradeSchema750.sql
--
-- ------------------------------------------------------------------------------------
use @DB_NAME@
checkpoint
GO

DELETE FROM @SCHEMA@.SCHEMA_VERSION
GO

INSERT INTO @SCHEMA@.SCHEMA_VERSION (
        SCHEMA_VERSION, DATA_MIGRATION) 
        VALUES( 80, 0 )
GO




-- Changes for 8.0

ALTER TABLE @SCHEMA@.ACT_MGR_ALERTS_T 
  ADD PRIORITY BIGINT
GO 

CREATE TABLE @SCHEMA@.ACT_ALERT_COMMENTS_T
(
    ALERT_ID                           NVARCHAR(32)                        NOT NULL ,
    COMMENT_OWNER                      NVARCHAR(32)                        NOT NULL ,
    COMMENT_TIME                       DATETIME                           NOT NULL ,
    COMMENT_TEXT                       NVARCHAR(4000)                          NULL ,
    VERSION_ID                         SMALLINT                           NOT NULL ,
    PRIMARY KEY NONCLUSTERED ( ALERT_ID, COMMENT_OWNER, COMMENT_TIME )
)
GO

ALTER TABLE @SCHEMA@.ACT_MGR_ALERTS_T 
  ADD STATUS NVARCHAR(32) NULL
GO 

ALTER TABLE @SCHEMA@.META_MONITOR_CONTEXT_T
  ADD HIDDEN SMALLINT NULL
GO 

UPDATE @SCHEMA@.META_MONITOR_CONTEXT_T SET HIDDEN = 0
GO

ALTER TABLE @SCHEMA@.META_MONITOR_CONTEXT_T 
    ADD CONSTRAINT META_MONITOR_CONTEXT_C1 CHECK (HIDDEN IS NOT NULL)
GO 

ALTER TABLE @SCHEMA@.META_MONITOR_METRIC_T
  ADD HIDDEN SMALLINT NULL
GO 

UPDATE @SCHEMA@.META_MONITOR_METRIC_T SET HIDDEN = 0
GO

ALTER TABLE @SCHEMA@.META_MONITOR_METRIC_T
    ADD CONSTRAINT META_MONITOR_METRIC_C1 CHECK (HIDDEN IS NOT NULL)
GO  

ALTER TABLE @SCHEMA@.META_KPI_T
  ADD HIDDEN SMALLINT NULL
GO 

UPDATE @SCHEMA@.META_KPI_T SET HIDDEN = 0
GO

ALTER TABLE @SCHEMA@.META_KPI_T
    ADD CONSTRAINT META_KPI_C1 CHECK (HIDDEN IS NOT NULL)
GO    
