#************************************************************************
# Licensed Materials - Property of IBM
# 5724-M24
# Copyright IBM Corporation 2008,2009. All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#************************************************************************

# The wsadmin_classpath needs to be set to include com.ibm.wbimonitor.lifecycle.spi_6.1.0.jar
# sample command will be  <profile_home/bin>wsadmin -port <SOAP_PORT> -user adminUser1 -password admin_pw -lang jython 
# -wsadmin_classpath <WAS_INSTALL>\plugins\com.ibm.wbimonitor.lifecycle.spi_6.1.0.jar -f assignRoleToUserOnResourceGroup.py.py  user  resourceGroup role
# The userid and password won't be needed if WAS security is turned off.
# The RESTSecurityAdminMBean is described in the documentation as well as in  com.ibm.wbimonitor.lifecycle.mbeans.
# WAS_INSTALL/plugins/com.ibm.wbimonitor.lifecycle_6.1.0.jar contains RESTSecurityAdminMBean.xml

#Sample output
#C:\IBM\WebSphere\MonServer\profiles\WBMon01\bin>wsadmin -lang jython -wsadmin_cl
#asspath C:\IBM\WebSphere\MonServer\plugins\com.ibm.wbimonitor.lifecycle.spi_6.1.
#0.jar -f "C:\Downloads\REST-MBean-Scripts\createSuperUser.py" sridhar4
#WASX7209I: Connected to process "server1" on node blackholeNode01 using SOAP connector;  The type of process is: UnManagedProcess
#WASX7303I: The following options are passed to the scripting environment and are
# available as arguments that are stored in the argv variable: "[sridhar4]"
#RESTSecurityAdminMBean.toString=javax.management.modelmbean.RequiredModelMBean@4
#0344034
#1

from java.lang import Boolean
from java.lang import Integer
from java.lang import String
from java.lang import System

from com.ibm.wbimonitor.lifecycle.spi.mbeans import RESTSecurityAdminMBeanFactory

if ((len(sys.argv) != 3)):
    print "This script requires 3 parameters: userId, resourceGroup(root, etc) and role(KPI-Administrator, etc)"
    print "e.g.: <scriptname>.py wbmonitor"
    raise ValueError    

userId = sys.argv[0]
resourceGroup = sys.argv[1]
role = sys.argv[2]

AdminControl.trace( 'com.ibm.wbimonitor.*=all=enabled' )

rest_mbean = RESTSecurityAdminMBeanFactory.getMBean( AdminControl.getAdminClient() )
print 'RESTSecurityAdminMBean.toString=' + rest_mbean.toString()

#The following assigns 'SuperUser' role to the user someUser. Fully qualified DN is required.
#The return type is a boolean 'true' or 'false'
fullUserId = AdminTask.searchUsers ('[-uid '+ userId + ']')
result = rest_mbean.assignRoleToUserOnResourceGroup(fullUserId,resourceGroup,role,"user")
print result


