#  Licensed Materials - Property of IBM
#  5724-M24
#  (C) Copyright IBM Corporation 2007, 2008. All Rights Reserved.
#  US Government Users Restricted Rights- Use, duplication or disclosure
#  restricted by GSA ADP Schedule Contract with IBM Corp.
import os, sys
from os import environ,path
import re


def disableEchoParams(profileDir, tmpFileName):

  propertiesPath = path.join(profileDir,"properties")
  propertiesPath = path.join(propertiesPath,"wsadmin.properties")

  os.rename(propertiesPath, tmpFileName)  

  input = open(tmpFileName, "r")
  lines = input.readlines()
  input.close()
  output = open(propertiesPath, "w")
  p = re.compile('^[\s]*com\.ibm\.ws\.scripting\.echoparams')
  done = "false"
  for line in lines:
    if (done == "false"):
      m = p.search(line)
      if m:
        output.write("com.ibm.ws.scripting.echoparams=false\n")
	done = "true"
      else:
        output.write(line)
    else:
      output.write(line)

  output.close()

def restore(profileDir, tmpFileName):
  if (path.exists(tmpFileName)):
    propertiesPath = path.join(profileDir,"properties")
    propertiesPath = path.join(propertiesPath,"wsadmin.properties")
    os.rename(tmpFileName, propertiesPath)





if __name__ == "__main__": 

  cmd        = sys.argv[1]
  profDir    = sys.argv[2]
  tmpFile    = sys.argv[3]

  if (cmd.find("disableEchoParams") >= 0):
    disableEchoParams(profDir, tmpFile)
  elif (cmd.find("restore") >= 0):
    restore(profDir, tmpFile)
  else:
    print "Unknown command: ",cmd
