#  Licensed Materials - Property of IBM
#  5724-M24
#  Copyright IBM Corporation 2008,2009. All Rights Reserved.
#  US Government Users Restricted Rights - Use, duplication or disclosure
#  restricted by GSA ADP Schedule Contract with IBM Corp.
#

import java 

def wsadminToList(inStr):
        outList=[]
        if (len(inStr)>0 and inStr[0]=='[' and inStr[-1]==']'):
                tmpList = inStr[1:-1].split(" ")
        else:
                tmpList = inStr.split("\n")  #splits for Windows or Linux
        for item in tmpList:
                item = item.rstrip();        #removes any Windows "\r"
                if (len(item)>0):
                        outList.append(item)
        return outList
#endDef

def isAppExist(apps, appName):
    # Check if App is already installed on the target server
    # Comparing the application name.
    appExist = "False"
    for tmpAppName in wsadminToList(apps):
        if (cmp(tmpAppName, appName) == 0):
            appExist = "True"
            break 
        #endIf 
    #endFor
    return appExist
#enddef

if ((len(sys.argv) != 1)):
        print "This script requires 1 parameter: profilePath"
        print "e.g.: <scriptname>.py /opt/WebSphere/Monitor/profiles/MonSrv01"
	raise ValueError	

profilePath = sys.argv[0]
print "profilePath="+profilePath
execfile(profilePath+'/config.wbm/MonitorProfileVals.py')

#install EAR
execfile(moncommonPath+'/installEar.py')

installableApps = washome+"/installableApps.wbm"
print "installableApps ="+installableApps


#---------------------------------------------------------
# First, list the existing applications 
#---------------------------------------------------------
apps = AdminApp.list( )
print "INFO:  Installed applications: "
print str(apps)

rc = 0
#Install Business Space Manager
try:
    location = installableApps
    ear = bspaceEarName
    app = bspaceAppname
    cell     = cellName
    node     = nodeName

    if(isAppExist(apps,app) == "False"):
        properties = ['-appname',app,'-node',nodeName,'-server',serverName]
        AdminApp.install(location+"/"+ear+".ear",properties)
        AdminConfig.save()
    else:
        print app +" application already deployed to the cell." 
except:
    print "warning: Install Business Space Manager failed."
    rc = -1    

# set the AllAuthenticated Security roll for the application
roll="Administrator"
rc2 = setAllAuthenticated(app, roll)
if(rc2 == -1):
    rc = -1

    
if(rc == -1):
    raise ValueError("Install Business Space failed")

    