#  Licensed Materials - Property of IBM
#  5724-M24
#  Copyright IBM Corporation 2007, 2010. All Rights Reserved.
#  US Government Users Restricted Rights - Use, duplication or disclosure
#  restricted by GSA ADP Schedule Contract with IBM Corp.
#
import sys
import os

# add the profile modules directory to the sys.path 
sys.path.append(os.path.normpath(os.path.join(os.getcwd(), 'scripts/modules')))

# import helper modules (found in the above profile modules directory)
import ResourceHelper

# import profile properties generated by the installer
profilePropertiesFile = os.path.normpath(os.path.join(sys.registry['user.install.root'], 'config.wbm/MonitorProfileVals.py')) 
print "Profile properties being loaded from %s" % profilePropertiesFile 
execfile(profilePropertiesFile)

# computer node scoped scope parameter
nodeScopeParameter = 'Node=%s' % nodeName

# normalize the JDBC driver path
print "JDBC_DRIVER_PATH = %s" % JDBC_DRIVER_PATH
wasInstallRoot = os.path.normpath(sys.registry['was.install.root'])
print 'wasInstallRoot = %s' % wasInstallRoot
jdbcDriverPath = os.path.normpath(JDBC_DRIVER_PATH)
print 'jdbcDriverPath = %s' % jdbcDriverPath
jdbcDriverPath = jdbcDriverPath.replace(wasInstallRoot, '${WAS_INSTALL_ROOT}')
print 'jdbcDriverPath = %s' % jdbcDriverPath

# create node scoped WBM_JDBC_DRIVER_PATH
ResourceHelper.createEnvironmentVariable(nodeScopeParameter, 'WBM_JDBC_DRIVER_PATH', jdbcDriverPath)

# create node scoped, database type specific, environment variables
if DB2_JDBC_DRIVER_NATIVEPATH:
	ResourceHelper.createEnvironmentVariable(nodeScopeParameter, 'DB2UNIVERSAL_JDBC_DRIVER_NATIVEPATH', DB2_JDBC_DRIVER_NATIVEPATH)
if(wbmDBType in [S_COMMON_DB_DERBY_EMBEDDED]):
	pass # nothing to do here
elif(wbmDBType in [S_COMMON_DB_DB2, S_COMMON_DB_DB2_ZOS, S_COMMON_DB_DB2_ZOS_8, S_COMMON_DB_DB2_ZOS_9]):
	if not ResourceHelper.getEnvironmentVariable(nodeScopeParameter, 'DB2390_JDBC_DRIVER_PATH'):
		ResourceHelper.createEnvironmentVariable(nodeScopeParameter, 'DB2390_JDBC_DRIVER_PATH', jdbcDriverPath)
	if not ResourceHelper.getEnvironmentVariable(nodeScopeParameter, 'DB2UNIVERSAL_JDBC_DRIVER_PATH'):
		ResourceHelper.createEnvironmentVariable(nodeScopeParameter, 'DB2UNIVERSAL_JDBC_DRIVER_PATH', jdbcDriverPath)
	if not ResourceHelper.getEnvironmentVariable(nodeScopeParameter, 'UNIVERSAL_JDBC_DRIVER_PATH'):
		ResourceHelper.createEnvironmentVariable(nodeScopeParameter, 'UNIVERSAL_JDBC_DRIVER_PATH', jdbcDriverPath)
elif(wbmDBType in [S_COMMON_DB_ORACLE_11g]):
	if not ResourceHelper.getEnvironmentVariable(nodeScopeParameter, 'ORACLE_JDBC_DRIVER_PATH'):
		ResourceHelper.createEnvironmentVariable(nodeScopeParameter, 'ORACLE_JDBC_DRIVER_PATH', jdbcDriverPath)
elif(wbmDBType in [S_COMMON_DB_MS_SQLSERVER]):
	if not ResourceHelper.getEnvironmentVariable(nodeScopeParameter, 'MICROSOFT_JDBC_DRIVER_PATH'):
		ResourceHelper.createEnvironmentVariable(nodeScopeParameter, 'MICROSOFT_JDBC_DRIVER_PATH', jdbcDriverPath)

print 'Committing changes to the configuration repository...'
AdminConfig.save()
print 'Done.'
