#  Licensed Materials - Property of IBM
#  5724-M24
#  Copyright IBM Corporation 2007, 2009. All Rights Reserved.
#  US Government Users Restricted Rights - Use, duplication or disclosure
#  restricted by GSA ADP Schedule Contract with IBM Corp.
#

##################################################################
# Remove resources used by Monitor Server
# If Monitor Server was installed on an
# ND deployment manager (dmgr), remove a subset of the resources.
##################################################################
import java 

if ((len(sys.argv) != 1)):
        print "This script requires 1 parameter: profilePath"
        print "e.g.: <scriptname>.py /opt/WebSphere/Monitor/profiles/MonSrv01"
	raise ValueError	

profilePath = sys.argv[0]
print "profilePath="+profilePath
execfile(profilePath+'/config.wbm/MonitorProfileVals.py')
execfile(moncommonPath+'/MonitorServerUtil.py')

UtilWsadminHolder.AdminConfig = AdminConfig
UtilWsadminHolder.AdminTask = AdminTask

if (isUTE == "true"):
	print "\n### Removing Monitor Server resources for Toolkit"
elif (ndType == "dmgr"):
	print "\n### Removing Monitor Server resources for deployment manager"
else:
	print "\n### Removing Monitor Server resources for standalone node"

# get line separator 
lineSeparator = java.lang.System.getProperty('line.separator') 

print "Setting up our variables"

# Calculated values
cellName = AdminConfig.showAttribute(AdminConfig.list("Cell"), "name")
busName = "MONITOR." + cellName + ".Bus"

scope = Scope(clusterName, cellName, nodeName, serverName)

if (ndType != "dmgr"):
	try:
		print "Removing SI Bus: " + busName
		if (not doesBusExist(busName)):
			print "SI Bus not present.  Continuing"
		else:
			removeBus(busName)
			print "SI Bus removed"
	except:
		print "Error removing SI Bus: " + busName + ".  Continuing"

	try:
		print "Removing Authentication Alias: " + dashboardGenAliasName
		configId = getAuthenticationAliasConfigId(dashboardGenAliasName)
		if (configId == None):
			print "Authentication Alias not present.  Continuing"
		else:
			AdminConfig.remove(configId)
			print "Authentication Alias removed"
	except:
		print "Error removing Authentication Alias: " + dashboardGenAliasName + ".  Continuing"

	try:
		print "Removing Authentication Alias: " + busAliasName
		configId = getAuthenticationAliasConfigId(busAliasName)
		if (configId == None):
			print "Authentication Alias not present.  Continuing"
		else:
			AdminConfig.remove(configId)
			print "Authentication Alias removed"
	except:
		print "Error removing Authentication Alias: " + busAliasName + ".  Continuing"

try:
	print "Removing Datasource: " + datasourceName
	configId = getDatasourceConfigId(scope, Scope.CELL_SCOPE, jdbcProviderName, datasourceName)
	if (configId == None):
		print "Datasource not present.  Continuing"
	else:
		AdminConfig.remove(configId)
		print "Datasource removed"
except:
	print "Error removing Datasource: " + datasourceName + ".  Continuing"
    
try:
    print "Removing Datasource: " + routingDatasourceName
    configId = getDatasourceConfigId(scope, Scope.CELL_SCOPE, jdbcProviderName, routingDatasourceName)
    if (configId == None):
        print "Datasource not present.  Continuing"
    else:
        AdminConfig.remove(configId)
        print "Datasource removed"
except:
    print "Error removing Datasource: " + routingDatasourceName + ".  Continuing"    
    
try:
    print "Removing Datasource: " + dmsDatasourceName
    configId = getDatasourceConfigId(scope, Scope.CELL_SCOPE, dmsJdbcProviderName, dmsDatasourceName)
    if (configId == None):
        print "Datasource not present.  Continuing"
    else:
        AdminConfig.remove(configId)
        print "Datasource removed"
except:
    print "Error removing Datasource: " + dmsDatasourceName + ".  Continuing"    

try:
	print "Removing Datasource Provider: " + jdbcProviderName
	configId = getJdbcProviderConfigId(scope, Scope.CELL_SCOPE, jdbcProviderName)
	if (configId == None):
		print "Datasource Provider not present.  Continuing"
	else:
		AdminConfig.remove(configId)
		print "Datasource Provider removed"
except:
	print "Error removing Datasource Provider: " + jdbcProviderName + ".  Continuing"
    
try:
    print "Removing Datasource Provider: " + dmsJdbcProviderName
    configId = getJdbcProviderConfigId(scope, Scope.CELL_SCOPE, dmsJdbcProviderName)
    if (configId == None):
        print "Datasource Provider not present.  Continuing"
    else:
        AdminConfig.remove(configId)
        print "Datasource Provider removed"
except:
    print "Error removing Datasource Provider: " + dmsJdbcProviderName + ".  Continuing"    

try:
    # Create WAS Environment variable WBM_JDBC_DRIVER_PATH
    print "Removing WAS Environment variable WBM_JDBC_DRIVER_PATH"
    execfile(moncommonPath+'/setWASVar.py')
    removeEnvironment(cellName,None,serverName,"WBM_JDBC_DRIVER_PATH")
    removeEnvironment(cellName,nodeName,serverName,"WBM_JDBC_DRIVER_PATH")
except:
    print "Error removing variable WBM_JDBC_DRIVER_PATH. Continuing"

try:
	print "Removing Authentication Alias: " + datasourceAuthAliasName
	configId = getAuthenticationAliasConfigId(datasourceAuthAliasName)
	if (configId == None):
		print "Authentication Alias not present.  Continuing"
	else:
		AdminConfig.remove(configId)
		print "Authentication Alias removed"
except:
	print "Error removing Authentication Alias: " + datasourceAuthAliasName + ".  Continuing"
try:
	print "Removing Authentication Alias: " + datasourceAdminAuthAliasName
	configId = getAuthenticationAliasConfigId(datasourceAdminAuthAliasName)
	if (configId == None):
		print "Admin Authentication Alias not present.  Continuing"
	else:
		AdminConfig.remove(configId)
		print "Admin Authentication Alias removed"
except:
	print "Error removing Authentication Alias: " + datasourceAdminAuthAliasName + ".  Continuing"

	
try:
	print "Removing Authentication Alias: " + qcfAuthAliasName
	configId = getAuthenticationAliasConfigId(qcfAuthAliasName)
	if (configId == None):
		print "Authentication Alias not present.  Continuing"
	else:
		AdminConfig.remove(configId)
		print "Authentication Alias removed"
except:
	print "Error removing Authentication Alias: " + qcfAuthAliasName + ".  Continuing"

try:
    print "Removing Authentication Alias: " + eeAuthAliasName
    configId = getAuthenticationAliasConfigId(eeAuthAliasName)
    if (configId == None):
        print "Authentication Alias not present.  Continuing"
    else:
        AdminConfig.remove(configId)
        print "Authentication Alias removed"
except:
    print "Error removing Authentication Alias: " + eeAuthAliasName + ".  Continuing"    

if (ndType != "dmgr"):
	try:
		print "Removing Emitter Factory: " + emitterFactoryName
		configId = getEmitterFactory(scope, Scope.CELL_SCOPE, emitterFactoryName)
		if (configId == None):
			print "Emitter Factory not present.  Continuing"
		else:
			AdminConfig.remove(configId)
			print "Emitter Factory removed"
	except:
		print "Error removing Emitter Factory: " + emitterFactoryName + ".  Continuing"

try:
	print "Removing Lifecycle WorkManager: " + lcwmName
	configId = getWorkManager(scope, Scope.CELL_SCOPE, lcwmName)
	if (configId == None):
		print "Lifecycle WorkManager not present.  Continuing"
	else:
		AdminConfig.remove(configId)
		print "Lifecycle WorkManager removed"
except:
	print "Error removing Lifecycle WorkManager: " + lcwmName + ".  Continuing"

AdminConfig.save()
