#  Licensed Materials - Property of IBM
#  5724-M24
#  Copyright IBM Corporation 2007, 2011. All Rights Reserved.
#  US Government Users Restricted Rights - Use, duplication or disclosure
#  restricted by GSA ADP Schedule Contract with IBM Corp.
#

import java
from java.util import Properties
from java.io import FileInputStream

if ((len(sys.argv) != 1)):
        print "This script requires 1 parameter: profilePath"
        print "e.g.: <scriptname>.py /opt/WebSphere/Monitor/profiles/MonSrv01"
	raise ValueError	

profilePath = sys.argv[0]
print "profilePath="+profilePath
execfile(profilePath+'/config.wbm/MonitorProfileVals.py')

location = washome+"/installableApps.wbm"
ear = emitterRestServicesEarName
war = emitterRestServicesWarName
app = emitterRestServicesAppname
wleApp = emitterRestServicesAppnameForWLE
node     = nodeName
server   = serverName
        
busName = "MONITOR."+cellName+".Bus"
cellConfigId=cellName+"(cells/"+cellName+"|cell.xml)" 
subscriptHome=nodeName+"."+serverName+"-MONITOR."+cellName+".Bus" 

rc = 0        
#install EAR
execfile(moncommonPath+'/installEarwithVH.py')
rc2 = installEar(location, ear, war, app, node, server)
if(rc2 == -1):
    rc = -1

# set the AllAuthenticated Security roll for the application
roll="eventemitters"
rc3 = setAllAuthenticated(app, roll)
if(rc3 == -1):
    rc = -1

if(rc == -1):
    raise ValueError("Install and/or configure RestServices failed")

if (ndType == "standalone"):
    newurlp = AdminConfig.getid("/Cell:"+cellName+"/URLProvider:Default URL Provider/")
    print "newurlp="+newurlp
    
    prop = Properties()
    prop.load(FileInputStream(profilePath+"/properties/portdef.props"))
    port = prop.getProperty("WC_defaulthost")
    print "port="+port
    securePort = prop.getProperty("WC_defaulthost_secure")
    print "securePort="+securePort
    print "enableAdminSecurity="+enableAdminSecurity
    if (enableAdminSecurity == "true"):
        portNumber = securePort
        httpStr = "https"
    else:
        portNumber = port
        httpStr = "http"
    print "portNumber="+portNumber
    print "httpStr="+httpStr

    prop2 = Properties()
    prop2.load(FileInputStream(profilePath+"/config.wbm/wbmServerIndex.properties"))
    serverName = prop2.getProperty("serverindex.hostName")
        
    name = ['name', 'Monitor_Emitter_URL']
    spec = ['spec', httpStr+"://"+serverName+":"+portNumber+"/rest/bpm/events"]
    jndiName = ['jndiName', "monitor/emitter/defaultURL"]
    providerType = ['providerType', "Default URL Provider"]
    urlAttrs = [name, spec, jndiName, providerType]
    emitterUrl = AdminConfig.create('URL', newurlp, urlAttrs)
    print "emitterUrl="+emitterUrl
    
#puts "Creating jms error destination queue"
    try:    
        optList=["-bus",busName,"-name","MonitorEventEmitterErrorQueue","-description","Error Queue for Monitor JMS Event Emitter Service","-type","Queue","-node",nodeName,"-server",server,"-reliability","ASSURED_PERSISTENT"]
        print "\nCreating the MonitorEventEmitterErrorQueue destination with the following arguments"
        print optList
        AdminTask.createSIBDestination(optList)
        print "Done creating the MonitorEventEmitterErrorQueue destination"
    except:    
        rc = -1
        print "warning: failed to create the MonitorEventEmitterErrorQueue destination"

#puts "Creating jms destination queue"
    try:    
        optList=["-bus",busName,"-name","MonitorEventEmitterQueue","-description","Queue for Monitor JMS Event Emitter Service","-type","Queue","-node",nodeName,"-server",server,"-reliability","ASSURED_PERSISTENT","-exceptionDestination","MonitorEventEmitterErrorQueue"]
        print "\nCreating the MonitorEventEmitterQueue destination with the following arguments"
        print optList
        AdminTask.createSIBDestination(optList)
        print "Done creating the MonitorEventEmitterQueue destination"
    except:    
        rc = -1
        print "warning: failed to create the MonitorEventEmitterQueue destination"

#puts "Creating error queue connection factory"
    try:    
        optList=["-name","MonitorEmitterErrorQConnFactory","-description","Queue Connection factory used by the JMS MonitorEventEmitterErrorQueue","-jndiName","jms/MonitorEventEmitter/ErrorQConnFactory","-type","queue","-containerAuthAlias","MonitorBusAuth","-authDataAlias","MonitorBusAuth","-busName",busName,"-nonPersistentMapping","ExpressNonPersistent", "-persistentMapping","ReliablePersistent","-readAhead","Default","-targetType","BusMember","-targetSignificance","Preferred","-connectionProximity","Bus","-shareDataSourceWithCMP","false"]
        print "\nCreating the MonitorEmitterErrorQ connection factory with the following cellConfigId"
        print cellConfigId
        print "Creating the MonitorEmitterErrorQ connection factory with the following optList"
        print optList
        AdminTask.createSIBJMSConnectionFactory(cellConfigId,optList)
        print "Done creating the MonitorEmitterErrorQ connection factory"
    except:    
        rc = -1
        print "warning: failed to create the MonitorEmitterErrorQ connection factory"

#puts "Creating queue connection factory"
    try:    
        optList=["-name","MonitorEmitterQueueConnFactory","-description","Queue Connection factory used by the JMS MonitorEventEmitterQueue","-jndiName","jms/MonitorEventEmitter/QueueConnFactory","-type","queue","-containerAuthAlias","MonitorBusAuth","-authDataAlias","MonitorBusAuth","-busName",busName,"-nonPersistentMapping","ExpressNonPersistent", "-persistentMapping","ReliablePersistent","-readAhead","Default","-targetType","BusMember","-targetSignificance","Preferred","-connectionProximity","Bus","-shareDataSourceWithCMP","false"]
        print "\nCreating the MonitorEmitterQueueConnFactory with the following cellConfigId"
        print cellConfigId
        print "Creating the MonitorEmitterQueueConnFactory with the following optList"
        print optList
        AdminTask.createSIBJMSConnectionFactory(cellConfigId,optList)
        print "Done creating the MonitorEmitterQueue connection factory"
    except:    
        rc = -1
        print "warning: failed to create the MonitorEmitterQueueConnFactory"

#puts "Creating JMS queue"
    try:    
        optList=["-name","MonitorEventEmitterQueue","-description","JMS Queue for the Monitor JMS Event Emitter service","-jndiName","jms/MonitorEventEmitter/Queue","-queueName","MonitorEventEmitterQueue","-deliveryMode","Application ","-readAhead","AsConnection","-busName",busName]
        print "\nCreating the MonitorEventEmitterQueue JMS queue with the following cellConfigId"
        print cellConfigId
        print "Creating the MonitorEventEmitterQueue JMS queue with the following optList"
        print optList
        AdminTask.createSIBJMSQueue(cellConfigId,optList)
        print "Done creating the MonitorEventEmitterQueue JMS queue"
    except:    
        rc = -1
        print "warning: failed to create the MonitorEventEmitterQueue JMS queue"

#puts "Creating JMS error queue"
    try:    
        optList=["-name","MonitorEventEmitterErrorQueue","-description","JMS Error Queue for the Monitor JMS Event Emitter service","-jndiName","jms/MonitorEventEmitter/ErrorQueue","-queueName","MonitorEventEmitterErrorQueue","-deliveryMode","Application","-readAhead","AsConnection","-busName",busName]
        print "\nCreating the MonitorEventEmitterErrorQueue JMS queue with the following cellConfigId"
        print cellConfigId
        print "Creating the MonitorEventEmitterErrorQueue JMS queue with the following arguments"
        print optList
        AdminTask.createSIBJMSQueue(cellConfigId,optList)
        print "Done creating the MonitorEventEmitterErrorQueue JMS queue"
    except:    
        rc = -1
        print "warning: failed to create the MonitorEventEmitterErrorQueue JMS queue"

#puts "Creating activation spec"
    try:    
        optList=["-name","MonitorEventEmitterActivationSpec","-description","Activation Specification used by the JMS Event Emitter Service","-jndiName","jms/MonitorEventEmitter/ActivationSpec","-destinationJndiName","jms/MonitorEventEmitter/Queue ","-acknowledgeMode","Auto-acknowledge","-authenticationAlias","MonitorBusAuth","-busName",busName,"-durableSubscriptionHome",subscriptHome,"-maxBatchSize","1","-maxConcurrency","1", "-subscriptionDurability","NonDurable","-readAhead","Default","-targetType","BusMember","-targetSignificance","Preferred ","-shareDataSourceWithCMP","false"]
        print "\nCreating the MonitorEventEmitterActivationSpec with the following cellConfigId"
        print cellConfigId
        print "Creating the MonitorEventEmitterActivationSpec with the following arguments"
        print optList
        AdminTask.createSIBJMSActivationSpec(cellConfigId,optList)
        print "Done creating the MonitorEventEmitterActivationSpec"
    except:    
        rc = -1
        print "warning: failed to create the MonitorEventEmitterActivationSpec"

    providerid=AdminConfig.getid("/Cell:"+cellName+"/EventInfrastructureProvider:/")
    try:		
        Name = ['name', 'EmitterFactoryForREST']
        JndiName = ['jndiName', 'com/ibm/monitor/EmitterFactoryForREST']
        Description = ['description', 'Emitter Factory for REST Emitter']
        TransactionMode = ['preferredTransactionMode', 'false']
        SynchronizationMode = ['preferredSynchronizationMode', 'true']
        SyncJNDIName = ['synchronousTransmissionProfileJNDIName', 'com/ibm/events/configuration/bus-transmission/Default']
        filteringEnabled = ['filteringEnabled', 'false']

        optList1 = [Name,JndiName,Description,TransactionMode,SynchronizationMode,SyncJNDIName,filteringEnabled]
        print "\nCreating the EmitterFactoryForREST with the following providerid"
        print providerid
        print "Creating the EmitterFactoryForREST with the following optList1"
        print optList1
        AdminConfig.create('EmitterFactoryProfile', providerid, optList1)
        print "Done creating the EmitterFactoryForREST"
    except:    
        rc = -1
        print "warning: failed to create the EmitterFactoryForREST"

    try:		
        Name = ['name', 'EmitterFactory']
        JndiName = ['jndiName', 'com/ibm/monitor/EmitterFactory']
        Description = ['description', 'Emitter Factory for MDB Emitter']
        TransactionMode = ['preferredTransactionMode', 'false']
        SynchronizationMode = ['preferredSynchronizationMode', 'true']
        SyncJNDIName = ['synchronousTransmissionProfileJNDIName', 'com/ibm/events/configuration/bus-transmission/Default']
        filteringEnabled = ['filteringEnabled', 'false']

        optList2 = [Name,JndiName,Description,TransactionMode,SynchronizationMode,SyncJNDIName,filteringEnabled]
        print "\nCreating the EmitterFactoryForMDB with the following providerid"
        print providerid
        print "Creating the EmitterFactoryForMDB with the following optList2"
        print optList2
        AdminConfig.create('EmitterFactoryProfile', providerid, optList2)
        print "Done creating the EmitterFactoryForMDB"
    except:    
        rc = -1
        print "warning: failed to create the EmitterFactoryForMDB"
    try:		
        Name = ['name', 'EmitterFactoryForJMS']
        JndiName = ['jndiName', 'com/ibm/monitor/EmitterFactoryForJMS']
        Description = ['description', 'Emitter Factory for JMS Emitter ']
        TransactionMode = ['preferredTransactionMode', 'false']
        SynchronizationMode = ['preferredSynchronizationMode', 'true']
        SyncJNDIName = ['synchronousTransmissionProfileJNDIName', 'com/ibm/events/configuration/bus-transmission/Default']
        filteringEnabled = ['filteringEnabled', 'false']

        optList3 = [Name,JndiName,Description,TransactionMode,SynchronizationMode,SyncJNDIName,filteringEnabled]
        print "\nCreating the EmitterFactoryForMDB with the following providerid"
        print providerid
        print "Creating the EmitterFactoryForMDB with the following optList3"
        print optList3
        AdminConfig.create('EmitterFactoryProfile', providerid, optList3)
        print "Done creating the EmitterFactoryForJMS"
    except:    
        rc = -1
        print "warning: failed to create the EmitterFactoryForJMS"

#puts "************************************************************"
#puts "************************* Lombardi *************************"
#puts "************************************************************"

#    * Create error queue destination on MONITOR SI bus for the JMS emitter.
#    
#        - Type  Queue
#        - Name  LombardiJMSEmitterErrorQueue
#
    try:    
        optList=["-bus",busName,"-name","LombardiJMSEmitterErrorQueue","-description","Error queue for the Lombardi JMS event emitter","-type","Queue","-node",nodeName,"-server",server,"-reliability","ASSURED_PERSISTENT"]
        print "\nCreating the LombardiJMSEmitterErrorQueue destination with the following arguments"
        print optList
        AdminTask.createSIBDestination(optList)
        print "Done creating the LombardiJMSEmitterErrorQueue destination"
    except:    
        rc = -1
        print "warning: failed to create the LombardiJMSEmitterErrorQueue destination"

# 
#    * Create queue destination on MONITOR SI bus for Lombardi events.
#   
#       - Type  Queue
#       - Name  LombardiEventEmitterInputQueue
#
    try:    
        optList=["-bus",busName,"-name","LombardiEventEmitterInputQueue","-description","Input queue for the Lombardi JMS event emitter","-type","Queue","-node",nodeName,"-server",server,"-reliability","ASSURED_PERSISTENT","-exceptionDestination","LombardiJMSEmitterErrorQueue"]
        print "\nCreating the LombardiEventEmitterInputQueue destination with the following arguments"
        print optList
        AdminTask.createSIBDestination(optList)
        print "Done creating the LombardiEventEmitterInputQueue destination"
    except:    
        rc = -1
        print "warning: failed to create the LombardiEventEmitterInputQueue destination"


#     * Create Lombardi Event Emission JMS Queue
#
#        - Name  LombardiEventEmissionQueue
#        - JNDI name  jms/com.ibm.lombardi/EventEmissionQueue (points to same queue as above)
#        - Description 
#        - Bus name  MONITOR.cellname.Bus
#        - Queue name  LombardiEventEmissionQueue
#
    try:    
        optList=["-name","LombardiEventEmissionQueue","-description","Output queue for Lombardi event emission","-jndiName","jms/com.ibm.lombardi/EventEmissionQueue","-queueName","LombardiEventEmitterInputQueue","-deliveryMode","Application ","-readAhead","AsConnection","-busName",busName]
        print "\nCreating the LombardiEventEmissionQueue JMS queue with the following cellConfigId"
        print cellConfigId
        print "Creating the LombardiEventEmissionQueue JMS queue with the following optList"
        print optList
        AdminTask.createSIBJMSQueue(cellConfigId,optList)
        print "Done creating the LombardiEventEmissionQueue JMS queue"
    except:    
        rc = -1
        print "warning: failed to create the LombardiEventEmissionQueue JMS queue"

#    * Create Lombardi Event Emission JMS Queue Connection Factory
#    
#        - Name  LombardiEventEmissionQCF
#        - JNDI name  jms/com.ibm.lombardi/EventEmissionQueueFactory
#        - Description 
#        - Bus name  MONITOR.cellname.Bus
#
    try:    
        optList=["-name","LombardiEventEmissionQCF","-description","Queue connection factory for Lombardi event emission","-jndiName","jms/com.ibm.lombardi/EventEmissionQueueFactory","-type","queue","-containerAuthAlias","MonitorBusAuth","-authDataAlias","MonitorBusAuth","-busName",busName,"-nonPersistentMapping","ExpressNonPersistent", "-persistentMapping","ReliablePersistent","-readAhead","Default","-targetType","BusMember","-targetSignificance","Preferred","-connectionProximity","Bus","-shareDataSourceWithCMP","false"]
        print "\nCreating the LombardiEventEmissionQCF with the following cellConfigId"
        print cellConfigId
        print "Creating the LombardiEventEmissionQCF with the following optList"
        print optList
        AdminTask.createSIBJMSConnectionFactory(cellConfigId,optList)
        print "Done creating the LombardiEventEmissionQCF connection factory"
    except:    
        rc = -1
        print "warning: failed to create the LombardiEventEmissionQCF"

#     * Create JMS Queue for the Lombardi JMS Event Emitter to use as input
#
#        - Name  LombardiEventEmitterInputQueue
#        - JNDI name  jms/com.ibm.lombardi/JMSEmitterInput
#        - Description 
#        - Bus name  MONITOR.cellname.Bus
#        - Queue name  LombardiEventEmitterInputQueue
#
    try:    
        optList=["-name","LombardiEventEmitterInputQueue","-description","Input queue for the Lombardi event emitter","-jndiName","jms/com.ibm.lombardi/JMSEmitterInput","-queueName","LombardiEventEmitterInputQueue","-deliveryMode","Application ","-readAhead","AsConnection","-busName",busName]
        print "\nCreating the LombardiEventEmitterInputQueue JMS queue with the following cellConfigId"
        print cellConfigId
        print "Creating the LombardiEventEmitterInputQueue JMS queue with the following optList"
        print optList
        AdminTask.createSIBJMSQueue(cellConfigId,optList)
        print "Done creating the LombardiEventEmitterInputQueue JMS queue"
    except:    
        rc = -1
        print "warning: failed to create the LombardiEventEmitterInputQueue JMS queue"

#     * Create JMS Queue Connection Factory for the Lombardi JMS Event Emitter to use as input
#    
#        - Name  LombardiEventEmitterInputQCF
#        - JNDI name  jms/com.ibm.lombardi/JMSEmitterInputQueueFactory
#        - Description 
#        - Bus name  MONITOR.cellname.Bus
#
    try:    
        optList=["-name","LombardiEventEmitterInputQCF","-description","Input queue connection factory for the Lombardi event emitter","-jndiName","jms/com.ibm.lombardi/JMSEmitterInputQueueFactory","-type","queue","-containerAuthAlias","MonitorBusAuth","-authDataAlias","MonitorBusAuth","-busName",busName,"-nonPersistentMapping","ExpressNonPersistent", "-persistentMapping","ReliablePersistent","-readAhead","Default","-targetType","BusMember","-targetSignificance","Preferred","-connectionProximity","Bus","-shareDataSourceWithCMP","false"]
        print "\nCreating the LombardiEventEmitterInputQCF with the following cellConfigId"
        print cellConfigId
        print "Creating the LombardiEventEmitterInputQCF with the following optList"
        print optList
        AdminTask.createSIBJMSConnectionFactory(cellConfigId,optList)
        print "Done creating the LombardiEventEmitterInputQCF connection factory"
    except:    
        rc = -1
        print "warning: failed to create the LombardiEventEmitterInputQCF"

#     * Create JMS Activation Specification for the Lombardi JMS Event Emitter to use as input
#    
#        - Name  LombardiEventEmitterInputAS
#        - JNDI name  jms/com.ibm.lombardi/JMSEmitterInputActivationSpec
#        - Description 
#        - Destination type  Queue
#        - Destination JNDI name  jms/com.ibm.lombardi/JMSEmitterInput
#        - Bus name  MONITOR.cellname.Bus
#        - Authentication Alias  MonitorBusAuth
#
    try:    
        optList=["-name","LombardiEventEmitterInputAS","-description","Activation specification used by the Lombardi event emitter","-jndiName","jms/com.ibm.lombardi/JMSEmitterInputActivationSpec","-destinationJndiName","jms/com.ibm.lombardi/JMSEmitterInput","-acknowledgeMode","Auto-acknowledge","-authenticationAlias","MonitorBusAuth","-busName",busName,"-durableSubscriptionHome",subscriptHome,"-maxBatchSize","1","-maxConcurrency","1", "-subscriptionDurability","NonDurable","-readAhead","Default","-targetType","BusMember","-targetSignificance","Preferred ","-shareDataSourceWithCMP","false"]
        print "\nCreating the LombardiEventEmitterInputAS with the following cellConfigId"
        print cellConfigId
        print "Creating the LombardiEventEmitterInputAS with the following arguments"
        print optList
        AdminTask.createSIBJMSActivationSpec(cellConfigId,optList)
        print "Done creating the LombardiEventEmitterInputAS"
    except:    
        rc = -1
        print "warning: failed to create the LombardiEventEmitterInputAS"

#     * Create JMS Queue for the Lombardi JMS Event Emitter to use for errors
#
#        - Name  LombardiEmitterErrorQueue
#        - JNDI name  jms/com.ibm.lombardi/JMSEmitterError
#        - Description 
#        - Bus name  MONITOR.cellname.Bus
#        - Queue name  LombardiEmitterErrorQueue
#
    try:    
        optList=["-name","LombardiEmitterErrorQueue","-description","Error queue for the Lombardi event emitter","-jndiName","jms/com.ibm.lombardi/JMSEmitterError","-queueName","LombardiEventEmitterInputQueue","-deliveryMode","Application ","-readAhead","AsConnection","-busName",busName]
        print "\nCreating the LombardiEmitterErrorQueue JMS queue with the following cellConfigId"
        print cellConfigId
        print "Creating the LombardiEmitterErrorQueue JMS queue with the following optList"
        print optList
        AdminTask.createSIBJMSQueue(cellConfigId,optList)
        print "Done creating the LombardiEmitterErrorQueue JMS queue"
    except:    
        rc = -1
        print "warning: failed to create the LombardiEmitterErrorQueue JMS queue"

#     * Create JMS Queue Connection Factory for the Lombardi JMS Event Emitter to use for errors
#    
#        - Name  LombardiEventEmitterErrorQCF
#        - JNDI name  jms/com.ibm.lombardi/JMSEmitterErrorQueueFactory
#        - Description 
#        - Bus name  MONITOR.cellname.Bus
#
    try:    
        optList=["-name","LombardiEventEmitterErrorQCF","-description","Error queue connection factory for the Lombardi event emitter","-jndiName","jms/com.ibm.lombardi/JMSEmitterErrorQueueFactory","-type","queue","-containerAuthAlias","MonitorBusAuth","-authDataAlias","MonitorBusAuth","-busName",busName,"-nonPersistentMapping","ExpressNonPersistent", "-persistentMapping","ReliablePersistent","-readAhead","Default","-targetType","BusMember","-targetSignificance","Preferred","-connectionProximity","Bus","-shareDataSourceWithCMP","false"]
        print "\nCreating the LombardiEventEmitterErrorQCF with the following cellConfigId"
        print cellConfigId
        print "Creating the LombardiEventEmitterErrorQCF with the following optList"
        print optList
        AdminTask.createSIBJMSConnectionFactory(cellConfigId,optList)
        print "Done creating the LombardiEventEmitterErrorQCF connection factory"
    except:    
        rc = -1
        print "warning: failed to create the LombardiEventEmitterErrorQCF"


#    * Create event emitter factory for use by the JMS emitter.
#        - Name  LombardiEventEmitterFactory
#        - JNDI name  cei/com.ibm.lombardi/EmitterFactory
#        - Description 
#        - Support event service transmission  Checked
#        - Prefer event service transmission  Checked
#        - JNDI name  cei/com.ibm.lombardi/EmitterFactory.
#
    try:		
        Name = ['name', 'LombardiEventEmitterFactory']
        JndiName = ['jndiName', 'cei/com.ibm.lombardi/EmitterFactory']
        Description = ['description', 'Emitter Factory for the Lombardi Emitter']
        TransactionMode = ['preferredTransactionMode', 'false']
        SynchronizationMode = ['preferredSynchronizationMode', 'true']
        SyncJNDIName = ['synchronousTransmissionProfileJNDIName', 'com/ibm/events/configuration/bus-transmission/Default']
        filteringEnabled = ['filteringEnabled', 'false']

        optList1 = [Name,JndiName,Description,TransactionMode,SynchronizationMode,SyncJNDIName,filteringEnabled]
        print "\nCreating the LombardiEventEmitterFactory with the following providerid"
        print providerid
        print "Creating the LombardiEventEmitterFactory with the following optList1"
        print optList1
        AdminConfig.create('EmitterFactoryProfile', providerid, optList1)
        print "Done creating the LombardiEventEmitterFactory"
    except:    
        rc = -1
        print "warning: failed to create the EmitterFactoryForLombardi"

#Deploy a JMS Emitter application instance configured to use the above resources.
#        -appname IBM_WLE_EMITTER_SERVICE 
#        -MapResRefToEJB [
#               [ EventEmitterMDB MDBEmitter EventEmitterMDB.jar,META-INF/ejb-jar.xml EmitterFactory com.ibm.events.emitter.EmitterFactory cei/com.ibm.lombardi/EmitterFactory "" "" "" ]
#               [ EventEmitterREST "" eventEmitter.war,WEB-INF/web.xml EmitterFactoryForREST com.ibm.events.emitter.EmitterFactory cei/com.ibm.lombardi/EmitterFactory "" "" "" ]
#        ]
#        -CtxRootForWebMod [
#               [ EventEmitterREST eventEmitter.war,WEB-INF/web.xml /rest/wle/events ]
#        ] 
#        -BindJndiForEJBMessageBinding [
#               [ EventEmitterMDB MDBEmitter EventEmitterMDB.jar,META-INF/ejb-jar.xml "" jms/com.ibm.lombardi/JMSEmitterInputActivationSpec jms/com.ibm.lombardi/JMSEmitterInput MonitorBusAuth ]
#        ]
#    try:		
extraAppInstallOptions = []

# set option to set context roots of web modules
#contextRootMapEventEmitter = [ 'EventEmitterREST', 'eventEmitter.war,WEB-INF/web.xml', '/rest/wle/events']
contextRootMapEventEmitter = [ '.*', '.*', '/unsupported']
contextRootOptions = [ contextRootMapEventEmitter ]
extraAppInstallOptions.extend(['-CtxRootForWebMod', contextRootOptions])

# set option to map resource references to EJBs
resourceRefMapJMSEmitterFactory = [ 'EventEmitterMDB', '.*', '.*', '.*', 'com.ibm.events.emitter.EmitterFactory', 'cei/com.ibm.lombardi/EmitterFactory', '', '', '' ]
resourceRefMapRESTEmitterFactory = [  'EventEmitterREST', '', 'eventEmitter.war,WEB-INF/web.xml', 'EmitterFactoryForREST', 'com.ibm.events.emitter.EmitterFactory', 'cei/com.ibm.lombardi/EmitterFactory', '', '', '' ]
resourceRefMaps = [ resourceRefMapJMSEmitterFactory,  resourceRefMapRESTEmitterFactory ]
extraAppInstallOptions.extend(['-MapResRefToEJB', resourceRefMaps])

# set option to map JMS message bindings
jmsBindingMDB = [ 'EventEmitterMDB', '.*', 'EventEmitterMDB.jar,META-INF/ejb-jar.xml', '', 'jms/com.ibm.lombardi/JMSEmitterInputActivationSpec', 'jms/com.ibm.lombardi/JMSEmitterInput', 'MonitorBusAuth' ]
jmsBindingOptions = [ jmsBindingMDB ]
extraAppInstallOptions.extend(['-BindJndiForEJBMessageBinding', jmsBindingOptions]);
print "INFO: Application installation options: ",extraAppInstallOptions

execfile(moncommonPath+'/installEarwithVH.py')
rc2 = installEar(location, ear, war, wleApp, node, server, extraAppInstallOptions)
if(rc2 == -1):
	rc = -1

#	set the AllAuthenticated Security roll for the WLE application
roll="eventemitters"
rc3 = setAllAuthenticated(wleApp, roll)
if(rc3 == -1):
	rc = -1

#    except:    
#        rc = -1
#        print "warning: failed to install and/or configure WLE application failed"

print "Changing startingWeight"
newdep = AdminConfig.getid("/Deployment:"+app+"/")
print "newdep="+newdep
depObject = AdminConfig.showAttribute (newdep,"deployedObject")
AdminConfig.show(depObject,'startingWeight')
AdminConfig.modify(depObject,[['startingWeight','100']])
print "Saving Changes"
AdminConfig.save()







		
