import sys
from types import *
from java import lang
from java import util
from java import io


#_______Utilities__________
#------------------------------------------------------------------------------
# ret(obj) - return utility
#------------------------------------------------------------------------------
def ret(obj):
	return ((obj) and (obj) or "None")
#------------------------------------------------------------------------------
# ret(obj) - return utility
#------------------------------------------------------------------------------
def notEmpty(destination):
	if (destination!=None and len(destination)>0):
		return 'true'
	else:
		return 'false' 
#_______Functions__________


#----------------------
# Load a properties file into a Dictionary. 

#----------------------

def loadProperties (source):

	result = {}
	if type(source) == type(''): # name provided, use file
		source = io.FileInputStream(source)
	bis = io.BufferedInputStream(source)
	props = util.Properties()
	props.load(bis)
	bis.close()
	for key in props.keySet().iterator():
		result[key] = props.get(key)
	return result
	
#------------------------------------------------------------------------------
# Gets a property
#------------------------------------------------------------------------------

def getProperty (properties, name, default=None):
	return properties.get(name, default).replace('"', '').strip()
	
	
def getProperty(name):
	return props.get(name, None).replace('"', '').strip()


#------------------------------------------------------------------------------
# checkPrereqInstall - verify prereq installation
#------------------------------------------------------------------------------

def checkPrereqInstall(appName):
	method="checkPrereqInstall(appName):"
	print getProperty("scrName")+method+">>Enter"
	appString = AdminApp.list()
	appList = appString.splitlines()

	indSDOInstalled ="false"
	for app in appList:
		if app.replace('"', '') == appName.replace('"', '') :
			indSDOInstalled="true"
			break
	if indSDOInstalled=="true":
		print getProperty("scrName")+method+"Application "+appName + " was found"
	else:
		print getProperty("scrName")+method+"Application "+appName + " was not found"				
	print getProperty("scrName")+method+"<<End:"+indSDOInstalled	
	return indSDOInstalled
#------------------------------------------------------------------------------
# checkCEIBus() Verifies if CommonEventInfrastructure_Bus exists
#------------------------------------------------------------------------------
def checkCEIBus():
	method="checkCEIBus():"
	print getProperty("scrName")+method+">>Enter"
	isCEIBus="false"
	busesString = AdminTask.listSIBuses()
	if len(busesString) != 0:
		busesList=busesString.splitlines() 
		for bus in busesList:
			busName = AdminConfig.showAttribute(bus,"name")
			if busName == getProperty("ceiBusName"):
				isCEIBus="true"
				break
	if isCEIBus=="true":
		print getProperty("scrName")+method+"Bus " + getProperty("ceiBusName") + " was found"
	else:
		print getProperty("scrName")+method+"Bus " + getProperty("ceiBusName") + " was not found"
	print getProperty("scrName")+method+"<<End:"+isCEIBus						
	return isCEIBus
#------------------------------------------------------------------------------
# checkWSNService() Verifies if WSN service is defined
#------------------------------------------------------------------------------
def checkWSNService():
	method="checkWSNService():"
	print getProperty("scrName")+method+">>Enter"
	oldService=None
	servicesString = AdminTask.listWSNServices()
	if len(servicesString) != 0:
		servicesList=servicesString.splitlines() 
		for service in servicesList:
			serviceName=AdminConfig.showAttribute(service,"name")
			if serviceName == getProperty("wsnServiceName"):
				oldService=service
				break
	if oldService!=None:
		print getProperty("scrName")+ method + "Service " + getProperty("wsnServiceName") + " was found:"+oldService
	else:
		print getProperty("scrName")+method+"Service " + getProperty("wsnServiceName") + " was not found"
	print getProperty("scrName")+method+"<<End:"+ret(oldService)					
	return oldService

#------------------------------------------------------------------------------
# checkWSNServicePoint(service) Verifies if WSN service point is defined
#------------------------------------------------------------------------------
def checkWSNServicePoint(service):
	method="checkWSNServicePoint(service):"
	print getProperty("scrName")+method+">>Enter"
	servicePointOld=None
	servicePointsString = AdminTask.listWSNServicePoints(service)
	if len(servicePointsString) != 0:
		servicePointsList=servicePointsString.splitlines() 
		for servicePoint in servicePointsList:
			servicePointName=AdminConfig.showAttribute(servicePoint,"name")
			if servicePointName == getProperty("wsnServicePointName"):
				servicePointOld = servicePoint
				break

	if servicePointOld!=None:
		print getProperty("scrName")+method+"Service Point " + getProperty("wsnServicePointName") + " was found:"+servicePointOld
	else:
		print getProperty("scrName")+method+"Service Point " + getProperty("wsnServicePointName") + " was not found"
	print getProperty("scrName")+method+"<<End:"+ret(servicePointOld)
	return servicePointOld
#------------------------------------------------------------------------------
# deleteSIBWSEndpointListenerApp() Clean the installed app for endpoint listener
#------------------------------------------------------------------------------
def deleteSIBWSEndPointListenerApp():
	method="deleteSIBWSEndPointListenerApp():"
	print getProperty("scrName")+method+">>Enter"
	epListenerName = getProperty("epListenerName")
	app1=epListenerName+"."+crtNodeName+"."+crtServerName
	app2="sibws."+crtNodeName+"."+crtServerName 

        appString=AdminApp.list()
	appList=appString.splitlines()
	isChanged="false"
	for app in appList:
            if app == app1:
                AdminApp.uninstall(app1)
                isChanged="true"
            if app == app2:
                AdminApp.uninstall(app2)
                isChanged="true"

	print getProperty("scrName")+method+"Clean endpoint listener application:"+isChanged
	print getProperty("scrName")+method+"<<End:"+isChanged	
	return isChanged

#------------------------------------------------------------------------------
# checkSIBWSEndpointListener() Check an Endpoint listener
#------------------------------------------------------------------------------
def checkSIBWSEndpointListener():
	method="checkSIBWSEndpointListener():"
	epListenerOld = None
	print getProperty("scrName")+method+">>Enter"	
	epListenerString = AdminConfig.list("SIBWSEndpointListener")
	if len(epListenerString) != 0:
		epListenerList=epListenerString.splitlines() 
		for epListener in epListenerList:
			epListenerNameVal=AdminConfig.showAttribute(epListener,"name")
			if epListenerNameVal == getProperty("epListenerName"):
				epListenerOld = epListener
				break

	if epListenerOld!=None:
		print getProperty("scrName")+method+"Endpoint Listener "+getProperty("epListenerName") + " was found:"+epListenerOld
	else:
		print getProperty("scrName")+method+"Endpoint Listener "+getProperty("epListenerName")+ " was not found"
	print getProperty("scrName")+method+"<<End:"+ret(epListenerOld)
	return epListenerOld

#--------------------------------------------------------------
# removeWSNConfiguration Remove a server/node for WSN testing 
#--------------------------------------------------------------
def removeWSNConfiguration():
	method="removeWSNConfiguration():"
	print getProperty("scrName")+method+">>Enter"
	#Clean WSN Service
	wsnServices=checkWSNService()
	isChanged="false"
	if wsnServices!=None:
		#Clean WSN Permanent topic namespace
		topic=checkWSNTopicNamespace(wsnServices)
		if topic!=None:
			val = "[-deleteSIBTopicSpace true]"
			AdminTask.deleteWSNTopicNamespace(topic,val)
		#Clean WSN Service Point
		servicePoint=checkWSNServicePoint(wsnServices)
		if servicePoint!=None:
			AdminTask.deleteWSNServicePoint(servicePoint)
		#Clean WSN Service	
		AdminTask.deleteWSNService(wsnServices,"[-deleteSIBTopicSpaces true]")
		isChanged="true"
	#Clean SIBWSEndpointListener
	epListener=checkSIBWSEndpointListener()
	
	if epListener!=None:
		print "DELETING epListener: " + epListener + "|"
		AdminTask.deleteSIBWSEndpointListener(epListener)
		AdminConfig.save()
		isChanged="true"
	#Clean APPs Service
	if deleteSIBWSEndPointListenerApp():
		isChanged=="true"
	#Delete SIB Destination topic
	destination=checkSIBDestination()
	if destination!=None:
		val="[-bus "+ getProperty("ceiBusName") + " -name "+getProperty("ceiBusTopicDestinationName")+"]"
		AdminTask.deleteSIBDestination(val)
		isChanged="true"
	#Clean SIBJMSTopic
	epTopic=checkSIBJMSTopic()
	print epTopic
	if epTopic!=None:
		AdminTask.deleteSIBJMSTopic(epTopic)
		isChanged="true"

	#Clean SIBJMSTopicPub
	epTopic=checkSIBJMSTopicPub()
	print epTopic
	if epTopic!=None:
		AdminTask.deleteSIBJMSTopic(epTopic)
		isChanged="true"
	
	#Clean SIBJMSActivationSpec
	epActivationSpec=checkSIBJMSActivationSpec()
	print epActivationSpec
	if epActivationSpec!=None:
		AdminTask.deleteSIBJMSActivationSpec(epActivationSpec)		
		isChanged="true"
		
	#Clean installEventServerMdb
	checkEventServerMdb = "false"
	appStringEventServerMdb = AdminApp.list()
	apptListEventServerMdb = appStringEventServerMdb.splitlines()
	for appEventServerMdb in apptListEventServerMdb:
		if appEventServerMdb == "EventServerMdb":
			checkEventServerMdb = "true"
			deleteEventServerMdb = AdminApp.uninstall(appEventServerMdb)
			print "The application EventServerMdb was uninstalled successfully"
			isChanged="true"
	if checkEventServerMdb == "false":
		print 	"The application EventServerMdb is not installed"
					
	if isChanged=="true":
		AdminConfig.save()
	print getProperty("scrName")+method+"<<End:"

#--------------------------------------------------------------
# checkSIBDestination Check is the topic bus destination is defined
#--------------------------------------------------------------
def checkSIBDestination():
	method="checkSIBDestination():"
	print getProperty("scrName")+method+">>Enter"
	destination=None
	val="[-bus " + getProperty("ceiBusName")+" -type TopicSpace]"
	destinationString = AdminTask.listSIBDestinations(val)
	if len(destinationString) != 0:
		destinationList=destinationString.splitlines() 
		for dest in destinationList:
			destinationName=AdminConfig.showAttribute(dest,"identifier")
			if destinationName == getProperty("ceiBusTopicDestinationName"):
				destination=dest
				break

	if destination!=None:
		print getProperty("scrName")+method+"CEI SIB Detination "+destinationName + " was found:"+destination
	else:
		print getProperty("scrName")+method+"Endpoint Listener "+destinationName+ " was not found"
	print getProperty("scrName")+method+"<<End:"+ret(destination)
	return destination

#--------------------------------------------------------------
# checkWSNTopicNamespace Check is the WSN permanant topic is defined
#--------------------------------------------------------------
def checkWSNTopicNamespace(service):
	method="checkWSNTopicNamespace(service):"
	print getProperty("scrName")+method+">>Enter"
	topicNameSpace="http://www.ibmcompany.com/"+getProperty("ceiBusTopicDestinationName")
	topic=AdminTask.listWSNTopicNamespaces(service,"[-namespace "+topicNameSpace+"]")
	if topic!=None and len(topic)>0:
		print getProperty("scrName")+method+"WSN permanent topic "+topicNameSpace+" was found:"+topic
	else:
		print getProperty("scrName")+method+"WSN permanent topic "+topicNameSpace+" was not found"
	print getProperty("scrName")+method+"<<End:"+ret(topic)
	return topic
	

#--------------------------------------------------------------
# checkSIBJMSTopic() Check a  JMS Activation Spec
#--------------------------------------------------------------	

def checkSIBJMSTopic():
	method="checkSIBJMSTopic():"
	print getProperty("scrName")+method+">>Enter"
	epTopicOld=None
	epTopicString = AdminTask.listSIBJMSTopics(crtServer)
	print "got epTopic: " + epTopicString
	if len(epTopicString) > 0:
		epTopicList=epTopicString.splitlines() 
		for epTopic in epTopicList:
			epTopicNameVal=AdminConfig.showAttribute(epTopic,"name")
			if epTopicNameVal == getProperty("jmsName"):
				epTopicOld=epTopic
				break

	if epTopicOld != None:
		print getProperty("scrName")+method+" SIBJMSTopic "+getProperty("jmsName") + " was found: "+epTopicOld
	else:
		print getProperty("scrName")+method+" SIBJMSTopic "+ getProperty("jmsName")+ " was not found "
	print getProperty("scrName")+method+"<<End:"+ret(epTopicOld)
	return epTopicOld

#--------------------------------------------------------------
# checkSIBJMSTopicPub() Check a  JMS Activation Spec
#--------------------------------------------------------------	

def checkSIBJMSTopicPub():
	method="checkSIBJMSTopicPub():"
	print getProperty("scrName")+method+">>Enter"
	epTopicOld=None
	epTopicString = AdminTask.listSIBJMSTopics(crtServer)
	print "got epTopic: " + epTopicString
	if len(epTopicString) > 0:
		epTopicList=epTopicString.splitlines() 
		for epTopic in epTopicList:
			epTopicNameVal=AdminConfig.showAttribute(epTopic,"name")
			if epTopicNameVal == getProperty("jmsNamePub"):
				epTopicOld=epTopic
				break

	if epTopicOld != None:
		print getProperty("scrName")+method+" SIBJMSTopic "+getProperty("jmsName") + " was found: "+epTopicOld
	else:
		print getProperty("scrName")+method+" SIBJMSTopic "+ getProperty("jmsName")+ " was not found "
	print getProperty("scrName")+method+"<<End:"+ret(epTopicOld)
	return epTopicOld
	

#--------------------------------------------------------------
# checkSIBJMSActivationSpec() Check a JMS Activation Spec
#--------------------------------------------------------------	

def checkSIBJMSActivationSpec():
	method="checkSIBJMSActivationSpec():"
	print getProperty("scrName")+method+">>Enter"
	epActivationSpecOld=None
	epActivationSpecString = AdminTask.listSIBJMSActivationSpecs(crtServer)
	print epActivationSpecString
	if len(epActivationSpecString) != 0:
		epActivationSpecList=epActivationSpecString.splitlines() 
		for epActivationSpec in epActivationSpecList:
			epActivationSpecNameVal=AdminConfig.showAttribute(epActivationSpec,"name")
			if epActivationSpecNameVal == getProperty("asName"):
				epActivationSpecOld=epActivationSpec
				break

	if epActivationSpecOld!=None:
		print getProperty("scrName")+method+" SIBJMSActivationSpec "+ getProperty("asName") + " was found: " + epActivationSpecOld
	else:
		print getProperty("scrName") + method + " SIBJMSActivationSpec " + getProperty("asName") + " was not found"
	print getProperty("scrName")+method+"<<End:"+ret(epActivationSpecOld)
	return epActivationSpecOld

def removeEventGroupWsnPub():
    # Find and remove EventGroupProfile
    stringEventGroupProfile=AdminConfig.list("EventGroupProfile")
    listEventGroupProfile = stringEventGroupProfile.splitlines()		
    for everyEventGroupProfile in listEventGroupProfile:
        showEventGroupName=AdminConfig.showAttribute(everyEventGroupProfile,"eventGroupName")
        if showEventGroupName ==getProperty("EventGroupName"):
            idEventGroupProfile=everyEventGroupProfile
            AdminConfig.remove(idEventGroupProfile)
	    print "EventGroupProfile"+idEventGroupProfile+"was deleted"
	    break


		
#_______Main__________
#------------------------------------------------------------------------------
# Main entry point
#------------------------------------------------------------------------------
method="Main():"
if len(sys.argv)>=1:
	file = sys.argv[0]
else:
	print "Give the eventWSN.properties as parameter"
props = loadProperties(file)
print "Properties file: %s, contents:" % file
print props

print getProperty("scrName") + method + ">>Enter"
print getProperty("scrName")
print props
#Initialize global variables
#--Cell

crtCellName =  getProperty("crtCellName")
if crtCellName!=None:	
	crtCell = AdminConfig.getid("/Cell:" + crtCellName + "/")
if crtCell==None or crtCellName==None:
	crtCell=AdminConfig.list("Cell")
	crtCell=crtCell.splitlines()
	crtCell=crtCell[0]
	crtCellName=AdminConfig.showAttribute(crtCell,"name")	
print getProperty("scrName")+method+"Cell name:" + crtCellName
print getProperty("scrName")+method+"Cell:" + crtCell
#--Node
crtNodeName=None
crtNodeName = getProperty("crtNodeName")
if crtNodeName!=None:	
	crtNode = AdminConfig.getid("/Cell:" + crtCellName + "/Node:"+crtNodeName+"/")
if crtNode==None or crtNodeName==None:
	crtNode=AdminConfig.list("Node")
	crtNode=crtNode.splitlines()
	crtNode=crtNode[0]
	crtNodeName=AdminConfig.showAttribute(crtNode,"name")	
print getProperty("scrName")+method+"Node name:" + crtNodeName
print getProperty("scrName")+method+"Node:" + crtNode
#--Server
crtServerName =  getProperty("crtServerName")
if crtServerName!=None:	
	crtServer = AdminConfig.getid("/Cell:" + crtCellName + "/Node:"+crtNodeName+"/Server:"+crtServerName+"/")
if crtServer==None or crtServerName==None:
	crtServer=AdminConfig.list("Server")
	crtServer=crtServer.splitlines()
	crtServer=crtServer[0]
	crtServerName=AdminConfig.showAttribute(crtServer,"name")	
print getProperty("scrName")+method+"Server name:" + crtServerName
print getProperty("scrName")+method+"Server:" + crtServer

#WSNEndpointListener Variabile 
app1=getProperty("epListenerName")+"."+crtNodeName+"."+crtServerName
app2="sibws."+crtNodeName+"."+crtServerName 

#Verifies SDO prereq
sdo_app = getProperty("sdo_app")	
if checkPrereqInstall(sdo_app)!="true":
	sys.exit(0)

	
#Verifies CEI prereq	
if checkCEIBus()!="true":
	sys.exit(0)

#Create a server configuration for tests
removeWSNConfiguration()	

# remove the event group Wsn_pub
removeEventGroupWsnPub()

AdminConfig.save()
print getProperty("scrName")+method+"<<End:"

