-- Licensed Materials - Property of IBM
-- 5724-M24
-- Copyright IBM Corporation 2010, 2011.  All Rights Reserved.
-- US Government Users Restricted Rights - Use, duplication or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.
-- ------------------------------------------------------------------------------------
--
-- Script file to create schema (tables) for fine grain security sample
--
-- ------------------------------------------------------------------------------------
-- Following variables need to be changed for customization before running this script:
-- @SCHEMA@  = the schema name, eg MONITOR
--
-- Run the script in the DB2 command line processor with admin privileges.
--
-- USAGE:   db2 -tf createSampleTable_DB2.sql
--
-- ------------------------------------------------------------------------------------

-------------------
-- Create tables --
-------------------
CREATE TABLE @SCHEMA@.FGS_SP_SECFILTER_MAPPED_T ( 
	ID BIGINT  NOT NULL  GENERATED ALWAYS AS IDENTITY (START WITH 0, INCREMENT BY 1, NO CACHE ) ,
	MODEL_ID VARCHAR (128)  NOT NULL , 
	MC_ID VARCHAR (128)  NOT NULL , 
	FILTER_METRIC_ID VARCHAR (128)  NOT NULL , 
	EXTERNAL_FILTER_VALUE VARCHAR (128)  NOT NULL , 
	ACTUAL_FILTER_VALUE VARCHAR (128)  NOT NULL  , 
	PRIMARY KEY ( ID)  
) ;

CREATE TABLE @SCHEMA@.FGS_SP_OBJSEC_MAPPED_T  ( 
	ID BIGINT  NOT NULL  GENERATED ALWAYS AS IDENTITY (START WITH 0, INCREMENT BY 1, NO CACHE ) ,
	MODEL_ID VARCHAR (128)  NOT NULL , 
	MC_ID VARCHAR (128)  NOT NULL , 
	SEC_OBJ_TYPE VARCHAR (128)  NOT NULL , 
	EXTERNAL_OBJECT_ID VARCHAR (128)  NOT NULL , 
	ACTUAL_OBJET_ID VARCHAR (128)  NOT NULL  , 
	PRIMARY KEY ( ID)  
) ;
	
INSERT INTO @SCHEMA@.FGS_SP_SECFILTER_MAPPED_T (MODEL_ID,MC_ID,FILTER_METRIC_ID,EXTERNAL_FILTER_VALUE,ACTUAL_FILTER_VALUE) values ('MortgageLendingBAM','Mortgage_Lending_BAM_MC','Loan_Officer','GeraldMander@mail.com','Gerald Mander');
INSERT INTO @SCHEMA@.FGS_SP_SECFILTER_MAPPED_T (MODEL_ID,MC_ID,FILTER_METRIC_ID,EXTERNAL_FILTER_VALUE,ACTUAL_FILTER_VALUE) values ('MortgageLendingBAM','Mortgage_Lending_BAM_MC','Loan_Officer','RobertGump@mail.com','Robert Gump');
INSERT INTO @SCHEMA@.FGS_SP_SECFILTER_MAPPED_T (MODEL_ID,MC_ID,FILTER_METRIC_ID,EXTERNAL_FILTER_VALUE,ACTUAL_FILTER_VALUE) values ('MortgageLendingBAM','Mortgage_Lending_BAM_MC','Loan_Officer','JoanSmith@mail.com','Joan Smith');

INSERT INTO @SCHEMA@.FGS_SP_OBJSEC_MAPPED_T (MODEL_ID,MC_ID,SEC_OBJ_TYPE,EXTERNAL_OBJECT_ID,ACTUAL_OBJET_ID) values ('MortgageLendingBAM','','KPI','Manager','Yearly_Maximum_Completed_Loan_Amount');
INSERT INTO @SCHEMA@.FGS_SP_OBJSEC_MAPPED_T (MODEL_ID,MC_ID,SEC_OBJ_TYPE,EXTERNAL_OBJECT_ID,ACTUAL_OBJET_ID) values ('MortgageLendingBAM','','KPI','Manager','Monthly_Maximum_Completed_Loan_Amount');
INSERT INTO @SCHEMA@.FGS_SP_OBJSEC_MAPPED_T (MODEL_ID,MC_ID,SEC_OBJ_TYPE,EXTERNAL_OBJECT_ID,ACTUAL_OBJET_ID) values ('MortgageLendingBAM','','KPI','Manager','Total_Completed_Loans');

INSERT INTO @SCHEMA@.FGS_SP_OBJSEC_MAPPED_T (MODEL_ID,MC_ID,SEC_OBJ_TYPE,EXTERNAL_OBJECT_ID,ACTUAL_OBJET_ID) values ('MortgageLendingBAM','Mortgage_Lending_BAM_MC','Metric','Manager','Application_Loan_Amount');
INSERT INTO @SCHEMA@.FGS_SP_OBJSEC_MAPPED_T (MODEL_ID,MC_ID,SEC_OBJ_TYPE,EXTERNAL_OBJECT_ID,ACTUAL_OBJET_ID) values ('MortgageLendingBAM','Mortgage_Lending_BAM_MC','Metric','Manager','Completed_Loan_Amount');


COMMIT;

CONNECT RESET;