-- Licensed Materials - Property of IBM
-- 5724-M24
-- Copyright IBM Corporation 2010, 2011.  All Rights Reserved.
-- US Government Users Restricted Rights - Use, duplication or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.
-- ------------------------------------------------------------------------------------
--
-- Script file to create database and tablespaces for SQL Server UDB 
--
-- ------------------------------------------------------------------------------------
-- Following variables need to be changed for customization before running this script:
-- @DB_NAME@ = the database name, eg MONITOR
-- @SCHEMA@  = the schema name, eg MONITOR
--
-- Run the script in the sqlcmd command line processor
--
-- USAGE:  sqlcmd -U <userid> -P <password> -e -i createSampleTable_SQLServer.sql
--
-- ------------------------------------------------------------------------------------
use @DB_NAME@
checkpoint
GO

CREATE TABLE @SCHEMA@.FGS_SP_SECFILTER_MAPPED_T ( 
	ID BIGINT IDENTITY(1,1) NOT NULL,
	MODEL_ID NVARCHAR(128) NOT NULL , 
	MC_ID NVARCHAR(128)  NOT NULL , 
	FILTER_METRIC_ID NVARCHAR(128)  NOT NULL , 
	EXTERNAL_FILTER_VALUE NVARCHAR(128)  NOT NULL , 
	ACTUAL_FILTER_VALUE NVARCHAR(128)  NOT NULL  , 
	PRIMARY KEY ( ID)  
	)
	GO
CREATE TABLE @SCHEMA@.FGS_SP_OBJSEC_MAPPED_T  ( 
	ID BIGINT IDENTITY(1,1) NOT NULL,
	MODEL_ID NVARCHAR(128)  NOT NULL , 
	MC_ID NVARCHAR(128)  NOT NULL , 
	SEC_OBJ_TYPE NVARCHAR(128)  NOT NULL , 
	EXTERNAL_OBJECT_ID NVARCHAR(128)  NOT NULL , 
	ACTUAL_OBJET_ID NVARCHAR(128)  NOT NULL  , 
	PRIMARY KEY ( ID)  
	)
	GO
INSERT INTO @SCHEMA@.FGS_SP_SECFILTER_MAPPED_T (MODEL_ID,MC_ID,FILTER_METRIC_ID,EXTERNAL_FILTER_VALUE,ACTUAL_FILTER_VALUE) values ('MortgageLendingBAM','Mortgage_Lending_BAM_MC','Loan_Officer','GeraldMander@mail.com','Gerald Mander')
GO
INSERT INTO @SCHEMA@.FGS_SP_SECFILTER_MAPPED_T (MODEL_ID,MC_ID,FILTER_METRIC_ID,EXTERNAL_FILTER_VALUE,ACTUAL_FILTER_VALUE) values ('MortgageLendingBAM','Mortgage_Lending_BAM_MC','Loan_Officer','RobertGump@mail.com','Robert Gump');
GO
INSERT INTO @SCHEMA@.FGS_SP_SECFILTER_MAPPED_T (MODEL_ID,MC_ID,FILTER_METRIC_ID,EXTERNAL_FILTER_VALUE,ACTUAL_FILTER_VALUE) values ('MortgageLendingBAM','Mortgage_Lending_BAM_MC','Loan_Officer','JoanSmith@mail.com','Joan Smith');
GO
INSERT INTO @SCHEMA@.FGS_SP_OBJSEC_MAPPED_T (MODEL_ID,MC_ID,SEC_OBJ_TYPE,EXTERNAL_OBJECT_ID,ACTUAL_OBJET_ID) values ('MortgageLendingBAM','','KPI','Manager','Yearly_Maximum_Completed_Loan_Amount')
GO
INSERT INTO @SCHEMA@.FGS_SP_OBJSEC_MAPPED_T (MODEL_ID,MC_ID,SEC_OBJ_TYPE,EXTERNAL_OBJECT_ID,ACTUAL_OBJET_ID) values ('MortgageLendingBAM','','KPI','Manager','Monthly_Maximum_Completed_Loan_Amount')
GO
INSERT INTO @SCHEMA@.FGS_SP_OBJSEC_MAPPED_T (MODEL_ID,MC_ID,SEC_OBJ_TYPE,EXTERNAL_OBJECT_ID,ACTUAL_OBJET_ID) values ('MortgageLendingBAM','','KPI','Manager','Total_Completed_Loans')
GO
INSERT INTO @SCHEMA@.FGS_SP_OBJSEC_MAPPED_T (MODEL_ID,MC_ID,SEC_OBJ_TYPE,EXTERNAL_OBJECT_ID,ACTUAL_OBJET_ID) values ('MortgageLendingBAM','Mortgage_Lending_BAM_MC','Metric','Manager','Application_Loan_Amount')
GO
INSERT INTO @SCHEMA@.FGS_SP_OBJSEC_MAPPED_T (MODEL_ID,MC_ID,SEC_OBJ_TYPE,EXTERNAL_OBJECT_ID,ACTUAL_OBJET_ID) values ('MortgageLendingBAM','Mortgage_Lending_BAM_MC','Metric','Manager','Completed_Loan_Amount')
GO
