@rem  Licensed Materials - Property of IBM
@rem  5724-M24
@rem  Copyright IBM Corporation 2007, 2008. All Rights Reserved.
@rem  US Government Users Restricted Rights- Use, duplication or disclosure
@rem  restricted by GSA ADP Schedule Contract with IBM Corp.
@@REM
@@REM
@@REM
@echo off

setlocal

echo.
echo WebSphere Business Monitor 6.2 Clean-up Utility


GOTO VARIABLES
:USAGE
echo.
echo cleanup.bat -w ^<WAS_HOME^> -f -h
echo where
echo   -w <WAS_HOME>: full path of Monitor Install direcotry
echo   -f force. Will not prompt for user selection
echo   -h print this help message.
echo.
GOTO DONE
  
:VARIABLES

set wasHome=""
set interactive=1

:LOOP
IF "%1" == "" GOTO CONTINUE
IF "%1" == "-w" (
  set wasHome=%2
  GOTO FORWARD
)  
IF "%1" == "-f" (
  set interactive=0
  shift /1
  GOTO LOOP
)  
IF "%1" == "-h" (
  GOTO USAGE
)

:FORWARD
shift /1
shift /1
GOTO LOOP
:CONTINUE

set curDir=%~dp0
IF  %wasHome% == "" cd %curDir%..\..
IF  %wasHome% == "" set wasHome=%CD%


set WAS_HOME=%wasHome%
set WBM_CLEANUP_INTERACTIVE=%interactive%

echo %WAS_HOME%


set JYTHON_CACHE="%wasHome%"\optionalLibraries\jython\cachedir\packages\jython.pkc
set CP="%wasHome%"\optionalLibraries\jython\jython.jar;lib\wbminstall_log.jar
set JAVA_HOME=%wasHome%\java
set JYTHON_HOME=%wasHome%\optionalLibraries\jython

echo CP: %CP%
IF NOT EXIST %JYTHON_CACHE% (
  echo.
  echo Load Jython libraries. Please wait ...
  call "%JAVA_HOME%\bin\java"  -Dpyton.home="%JYTHON_HOME%" -classpath %CP%  org.python.util.jython dummy.jy 2>NUL >NUL
  echo Done.
)


call "%JAVA_HOME%\bin\java"  -Dpyton.home="%JYTHON_HOME%" -classpath %CP%  org.python.util.jython cleanup.jy "%wasHome%"


:DONE
endlocal
