<%--
  Licensed Materials - Property of IBM
  5724-M24
  Copyright IBM Corporation 2007,2012. All Rights Reserved.
  US Government Users Restricted Rights - Use, duplication or disclosure
  restricted by GSA ADP Schedule Contract with IBM Corp.
--%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<%@page session="true" contentType="text/html" pageEncoding="ISO-8859-1" import="java.util.*,javax.portlet.*,com.ibm.wbimonitor.security.rest.admin.*" %>

<%@taglib uri="http://java.sun.com/portlet" prefix="portlet" %>
<portlet:defineObjects/>

<%@ include file="includeDojoIfNecessary.jspf" %>


<html lang="en">
<head>

<script language="JavaScript" type="text/javascript">
    dojo.require("dojo.rpc.JsonService");
    dojo.require("dojo.string");

    dojo.addOnLoad(init);
    
    
    //V7.5 US35131 roll back roleData from 5 to 4
    var roleData = new Array(4);
    roleData[0]= 'Business-Manager';
    roleData[1]= 'Personal-KPI-Administrator';
    roleData[2]= 'Public-KPI-Administrator';
    roleData[3]= 'KPI-Administrator';
//    roleData[4]= 'MonitorData-Security-Administrator';
    var sel;
    //v7.5
    
    var restAdmin = new dojo.rpc.JsonService("/AdminUI/RPCAdapter/jsonrpc/RESTSecurityAdminImpl");

	var request;
	var requestCallback;

	var resourceGroups = new Array();
	var models         = new Array();
	var models_root    = new Array();
	var roles          = new Array();
	var users          = new Array();
	var role_users     = new Array();
	var groups         = new Array();
	var role_groups    = new Array();

    var externalBreadcrumbs = new Array();
    var externalBreadcrumbURIs = new Array();
    var returnURI = null;

    var searchType     = 'user';   //valid values are "user" and "group"

	var resourceGroupSortColumn = null;
	var resourceGroupSortDirection = null;
	
	var resourceGroupFilter = null;
	var resourceGroupFilterValue = null;
	
	var selectedResourceGroup = null;
	var selectedRole = null;

    var rootModelListID = null;
    
    var deletedResourceGroup = null;

    var messages = null;

    var savedJSESSIONID = null;
    
    var searchField = 'roleAvailableFilter';
    var searchLimit = 'adminSearchLimitValue';
    var userSelectControl = 'roleDetailAvailableMembers';

    var mdsDiagRestoreConfig     = false;
    var mdsDiagSearchStringValue = null;
    var mdsDiagSearchStringLimit = null;
    var mdsDiagSelectedUser      = null;
    var mdsDiagSelectSavedUser   = false;

    var mdsPrevHelpUrl = "/ibm/help/index.jsp?topic=/com.ibm.wbpm.mon.admin.rest.doc/sec/help_mds_admin_cfg.html";

    function trim(str)
    {
        return str.replace(/^\s*/, "").replace(/\s*$/, "");
    }

    function getCookie(name)
    {
        var val = null;
        if (document.cookie) {
            var cookies = document.cookie.split(';');
            for (var i=0; (i<cookies.length) && !val; i++) {
                var j = cookies[i].indexOf('=');
                if (j > 0)
                {
                                if (trim(cookies[i].substring(0,j)) == name) {
                                    val = cookies[i].substring(j+1);
                                    return val;
                            }
                }
            }
        }
        return val;
    }



	function init()
	{
       //IMPORTANT: Each json-rpc servlet response contains a new JSESSIONID , effectively logging out 
       //           the current user - the original JSESSIONID cookie must be restored on each callback 
       savedJSESSIONID = getCookie('JSESSIONID');    //save cookie 


       var locale = "<%=request.getLocale().toString().toLowerCase().replace('_','-')%>";
       dojo.requireLocalization("SecurityUI","datasecadmin", locale);
       messages = dojo.i18n.getLocalization("SecurityUI","datasecadmin", locale);

       document.getElementById("adminTitle").appendChild(document.createTextNode(messages.adminTitle));
       document.getElementById("adminInstruction").appendChild(document.createTextNode(messages.adminInstruction));
		document.getElementById("adminInstruction").appendChild(document.createElement('p'));
		document.getElementById("adminInstruction").appendChild(document.createTextNode(messages.adminInstructionII));
		document.getElementById("adminInstruction").appendChild(document.createTextNode(messages.adminInstructionCognoswebclient));
		
       document.getElementById("resourceGroups").appendChild(document.createTextNode(messages.resourceGroups));
       document.getElementById("adminNewButton").appendChild(document.createTextNode(messages.adminNewButton));
       document.getElementById("adminDeleteButton").appendChild(document.createTextNode(messages.adminDeleteButton));
       document.getElementById("adminApplyButton").appendChild(document.createTextNode(messages.adminApplyButton));
       document.getElementById("adminCancelButton").appendChild(document.createTextNode(messages.adminCancelButton));
       document.getElementById("adminOKButtonRG").appendChild(document.createTextNode(messages.adminOkButton));
       document.getElementById("adminApplyButtonRG").appendChild(document.createTextNode(messages.adminApplyButton));
       document.getElementById("adminCancelButtonRG").appendChild(document.createTextNode(messages.adminCancelButton));
       document.getElementById("adminOKButtonRoles").appendChild(document.createTextNode(messages.adminOkButton));
       document.getElementById("adminCancelButtonRoles").appendChild(document.createTextNode(messages.adminCancelButton));
//       document.getElementById("adminUsersButton").appendChild(document.createTextNode(messages.adminUsersButton));
//       document.getElementById("adminGroupsButton").appendChild(document.createTextNode(messages.adminGroupsButton));
       document.getElementById("adminSearchButton").appendChild(document.createTextNode(messages.adminSearchButton));
       document.getElementById("adminSearchLimit").appendChild(document.createTextNode(messages.adminSearchLimit));
       
       document.getElementById("mdsDiagSearchLimit").appendChild(document.createTextNode(messages.adminSearchLimit));
       document.getElementById("mdsDiagSearchForLabel").appendChild(document.createTextNode(messages.adminSearchForLabel));
       document.getElementById("mdsDiagSearchButton").appendChild(document.createTextNode(messages.adminSearchButton));
       document.getElementById("mdsDiagInstruction").appendChild(document.createTextNode(messages.mdsDiagInstruction));
       document.getElementById("mdsModelsAvailableMsg").appendChild(document.createTextNode(messages.noModelsAvailable));

       
       document.getElementById("models").appendChild(document.createTextNode(messages.models));
       document.getElementById("roles").appendChild(document.createTextNode(messages.roles));
       document.getElementById("adminRGName").appendChild(document.createTextNode(messages.adminRGName));
       document.getElementById("adminRGDescription").appendChild(document.createTextNode(messages.adminRGDescription));
       document.getElementById("changeDesc").appendChild(document.createTextNode(messages.adminRGDescription));
       
       document.getElementById("rgDetailsInstruction").appendChild(document.createTextNode(messages.rgDetailsInstruction));
       document.getElementById("rgNewInstruction").appendChild(document.createTextNode(messages.rgNewInstruction));
       document.getElementById("rgRolesInstruction").appendChild(document.createTextNode(messages.rgRolesInstruction));
       document.getElementById("rgSecurityRequirements").appendChild(document.createTextNode(messages.rgSecurityRequirements));
       document.getElementById("rgRolesAdminSecurityDisabled").appendChild(document.createTextNode(messages.rgRolesAdminSecurityDisabled));
       document.getElementById("rgRolesApplicationSecurityDisabled").appendChild(document.createTextNode(messages.rgRolesApplicationSecurityDisabled));
       //document.getElementById("rgRolesVMMDisabled").appendChild(document.createTextNode(messages.rgRolesVMMDisabled));
       //document.getElementById("adminTableSelectRoles").appendChild(document.createTextNode(messages.adminTableSelect));
       //document.getElementById("adminTableNameRoles").appendChild(document.createTextNode(messages.adminTableName));
       
       document.getElementById("adminSearchForLabel").appendChild(document.createTextNode(messages.adminSearchForLabel));
       document.getElementById("adminAvailableModels").appendChild(document.createTextNode(messages.adminAvailableModels));
       document.getElementById("adminSelectedModels").appendChild(document.createTextNode(messages.adminSelectedModels));
       document.getElementById("adminAvailableMembers").appendChild(document.createTextNode(messages.adminAvailableMembers));
       document.getElementById("adminSelectedMembers").appendChild(document.createTextNode(messages.adminSelectedMembers));
       
       document.getElementById("adminTableFilterInstruction").appendChild(document.createTextNode(messages.adminTableFilterInstruction));
       document.getElementById("adminTableFilterLabel").appendChild(document.createTextNode(messages.adminTableFilterLabel));
       document.getElementById("adminTableFilterBy").appendChild(document.createTextNode(messages.adminTableFilterBy));
       document.getElementById("adminTableSearchTerms").appendChild(document.createTextNode(messages.adminTableSearchTerms));
       document.getElementById("adminGoButton").appendChild(document.createTextNode(messages.adminGoButton));
       document.getElementById("adminTableSelectAll").title = messages.adminTableSelectAll;
       document.getElementById("adminTableDeselectAll").title = messages.adminTableDeselectAll;
       document.getElementById("adminTableShowFilter").title = messages.adminTableShowFilter;
       document.getElementById("adminTableHideFilter").title = messages.adminTableHideFilter;
       document.getElementById("adminTableClearFilter").title = messages.adminTableClearFilter;
       document.getElementById("adminTableSelect").appendChild(document.createTextNode(messages.adminTableSelect));
       document.getElementById("adminTableName").appendChild(document.createTextNode(messages.adminTableName));
       document.getElementById("adminTableDescription").appendChild(document.createTextNode(messages.adminTableDescription));
       document.getElementById("adminTableTotal").appendChild(document.createTextNode(messages.adminTableTotal));

       document.getElementById("configTab").appendChild(document.createTextNode(messages.tabConfigure));
       document.getElementById("diagText").appendChild(document.createTextNode(messages.tabDiagnose));
       
       // v7.5 new textNode begin. 
 //v7.5 us35131      document.getElementById("href_MonitorDataSecurityAdministrator").appendChild(document.createTextNode(messages.MonitorDataSecurityAdministrator));
 //v7.5 us35131      document.getElementById("desc_MonitorDataSecurityAdministrator").appendChild(document.createTextNode(messages.MonitorDataSecurityAdministratorDesc));
       document.getElementById("href_BusinessManager").appendChild(document.createTextNode(messages.BusinessManager));
       document.getElementById("desc_BusinessManager").appendChild(document.createTextNode(messages.BusinessManagerDesc));
       document.getElementById("href_PersonalKPIAdministrator").appendChild(document.createTextNode(messages.PersonalKPIAdmin));
       document.getElementById("desc_PersonalKPIAdministrator").appendChild(document.createTextNode(messages.PersonalKPIAdminDesc));
       document.getElementById("href_PublicKPIAdministrator").appendChild(document.createTextNode(messages.PublicKPIAdmin));
       document.getElementById("desc_PublicKPIAdministrator").appendChild(document.createTextNode(messages.PublicKPIAdminDesc));
       document.getElementById("href_KPIAdministrator").appendChild(document.createTextNode(messages.KPIAdmin));
       document.getElementById("desc_KPIAdministrator").appendChild(document.createTextNode(messages.KPIAdminDesc));      
   
       for (var i=0; i<roleData.length; i++)
       {
			document.getElementById("adminUsersButton"+i).appendChild(document.createTextNode(messages.editButton));
			document.getElementById("adminGroupsButton"+i).appendChild(document.createTextNode(messages.editButton));
			document.getElementById("adminDescUser"+i).appendChild(document.createTextNode(messages.adminUsersButton));
			document.getElementById("adminDescGroup"+i).appendChild(document.createTextNode(messages.adminGroupsButton));
       }

       // v7.5 new textNode end
       //////////////////////////////////////////////////////////////////////////////////////////////////
       //This section of code is used to get the query parameters for resource group name and breadcrumbs

       var BREADCRUMB_PARAMNAME = "breadcrumb";
       var BREADCRUMBURI_PARAMNAME = "breadcrumburi";
       var RETURNURI_PARAMNAME = "returnuri";
       var RG_PARAMNAME = "resource-group";
       
       // Get URI related query params before decoding URI
       var my_href = window.location.href;

       // Get the return URI (valid only if MDS called by another Admin UI panel)
       returnURI = getQueryParamValue(my_href,RETURNURI_PARAMNAME);
       
       // Get the breadcrumb URIs (valid only if MDS called by another Admin UI panel)
       var count = 0;
       do {
         var morsel = getQueryParamValue(my_href,BREADCRUMBURI_PARAMNAME + count);
         if (morsel != null) {
            externalBreadcrumbURIs[count] = morsel
            count++;
         }
       } while (morsel);

       // Get TEXT query params after decoding
       my_href = decodeURI(window.location.href);

       //FIND THE RSOUCE GROUP PARAMETER NAME
       var rgToSelect = getQueryParamValue(my_href,RG_PARAMNAME);

       if (rgToSelect) {
         queryResourceGroupsAndSelectOne(rgToSelect);
       
          } else {
          queryResourceGroups();
       }

       count = 0;
       do {
          var morsel = getQueryParamValue(my_href,BREADCRUMB_PARAMNAME + count);
          if (morsel != null) {
              externalBreadcrumbs[count] = morsel
              count++;
          }
       } while (morsel);

       //for (var c=0; c < externalBreadcrumbs.length; c++) {
       //   alert("Breadcrumb " + c + " is " + externalBreadcrumbs[c]);
       //}
       //////////////////////////////////////////////////////////////////////////////////////////////////
	}

    function getModelsForUser(userDN) {
       restAdmin.getModelsForUser(userDN).addCallback(getModelsForUserCallback);
       document.getElementById('mdsDiagTable').style.display='none';
       document.getElementById('mdsModelsAvailableMsg').style.display='none';
    
       tbody = document.getElementById('mdsDiagtbody');
       while (tbody.firstChild)
          tbody.removeChild(tbody.firstChild);

    }

	function getModelsForUserCallback(data)
	{
        document.cookie='JSESSIONID=' + savedJSESSIONID + ';path=/ibm';
        //alert("Enter");

        if ((data) && (data.length > 0)) {

           tbody = document.getElementById('mdsDiagtbody');

           for (var c=0; c < data.length; c++) {
              
              //alert("parse data[]");
              modelInfo=data[c];
              roles=modelInfo[1];

              tr = document.createElement('tr');
              tr.className='table-row';
              
              tdModel = document.createElement('td');
              tdModel.className='collection-table-text';
              tdModel.width= '30%';
              
              tdRoles = document.createElement('td');
              tdRoles.className='collection-table-text';
              tdRoles.width='70%';
              
              //var modelDiv = document.createElement('div');
              //modelDiv.appendChild(document.createTextNode(modelInfo[0]));
              //tdModel.appendChild(modelDiv);
              tdModel.appendChild(document.createTextNode(modelInfo[0]));
              //alert("MI" + modelInfo[0]);

              for (var i=0; i< roles.length; i++) {
                 var rolesDiv = document.createElement('div');
                 rolesDiv.appendChild(document.createTextNode(roles[i]));
                 tdRoles.appendChild(rolesDiv);
                 //tdRoles.appendChild(document.createTextNode(roles[i]));
                 //alert("R" + roles[i]);
              }

              tr.appendChild(tdModel);
              tr.appendChild(tdRoles);
              tbody.appendChild(tr);
           }

           document.getElementById('mdsDiagTable').style.display='inline';

        } else {
           //Show no models available to this user
           document.getElementById('mdsModelsAvailableMsg').style.display='inline';
           document.getElementById('mdsDiagTable').style.display='none';
        }
	}
    
    function getQueryParamValue(href, param) {

       var paramLen = param.length;
       var param_index = href.indexOf(param);

       if (param_index >= 0) {
          param_index_end = href.indexOf("&", param_index + paramLen);

          //alert("param_index=" + param_index + " param_index_end=" +  param_index_end);
          if (param_index_end == -1) {
             paramValue = href.substring(param_index + paramLen + 1) 
          } else {
             paramValue = href.substring(param_index + paramLen + 1, param_index_end) 
          }

          //alert("Selected RG: " +  rgToSelect);
          return paramValue;

          //load the panel showing the configuration of the resource group if it exists
       } else {
          return null;
       }
    }
    
    
    var rgToSelectAfterLoad = null;
    function queryResourceGroupsAndSelectOne(oneRG)
    {
       rgToSelectAfterLoad = oneRG;
       restAdmin.getAllResourceGroupsAndDescriptions().addCallback(queryResourceGroupsAndSelectOneCallback);
    }
	
    function queryResourceGroupsAndSelectOneCallback(data)
	{
        document.cookie='JSESSIONID=' + savedJSESSIONID + ';path=/ibm';
		
        if (data)
	   		resourceGroups = data;

        //open the selected RG
        for (var i=0; i<resourceGroups.length; i++) {
           
           if (resourceGroups[i][0] == 'root') {
               resourceGroups[i][1] = messages.rootDescription;
           }

           //alert("does " + resourceGroups[i][0] + " or + " + resourceGroups + " == " + rgToSelectAfterLoad + "?");
           if (resourceGroups[i][0] == rgToSelectAfterLoad) {
              openResourceGroup(i,true);
              return;
           }
        }
	    
        populateResourceGroupTable();
	}
    
    function queryResourceGroups()
	{
       //restAdmin.getAllResourceGroups().addCallback(queryResourceGroupsCallback);
       try{
       		restAdmin.getAllResourceGroupsAndDescriptions().addCallback(queryResourceGroupsCallback);
		}catch(e){
			document.getElementById("adminInstruction").appendChild(document.createElement('p'));
			document.getElementById("adminInstruction").appendChild(document.createTextNode(messages.authenticationWarningMsg));
		}
	}
	
	function queryResourceGroupsCallback(data)
	{
        document.cookie='JSESSIONID=' + savedJSESSIONID + ';path=/ibm';
		
        if (data)
	   		resourceGroups = data;

        for (var i=0; i<resourceGroups.length; i++) {
           if (resourceGroups[i][0] == 'root') {
               resourceGroups[i][1] = messages.rootDescription;
           }
        }
	    populateResourceGroupTable();
	}

	function saveNewResourceGroup(resgroup)
	{
       //resgroup = resgroup.replace(/'/g, "''");
       restAdmin.createResourceGroup(resgroup).addCallback(saveNewResourceGroupCallback);
	}
	
	function saveNewResourceGroupWithDescription(resgroup, description)
	{
        //resgroup = resgroup.replace(/'/g, "''");
        //description = description.replace(/'/g, "''");
	    restAdmin.createResourceGroupWithDescription(resgroup, description).addCallback(saveNewResourceGroupCallback);
	}
	
    function saveNewResourceGroupCallback(data)
	{
        document.cookie='JSESSIONID=' + savedJSESSIONID + ';path=/ibm';
        //dojo.io.cookie.setCookie('JSESSIONID', savedJSESSIONID, null, '/ibm');  //restore cookie
        
        if (data == 'false') {
           alert(messages.errorCreating);
        } //else {
           //saveResourceGroupToResourceMapping()
           //}
	}

	function changeResourceGroupDescription(resgroup, description)
	{
        //resgroup = resgroup.replace(/'/g, "''");
        //description = description.replace(/'/g, "''");
	    restAdmin.changeResourceGroupDescription(resgroup, description).addCallback(changeResourceGroupDescriptionCallback);
	}
	
    function changeResourceGroupDescriptionCallback(data)
	{
        document.cookie='JSESSIONID=' + savedJSESSIONID + ';path=/ibm';
        
        if (data == 'false') {
           alert(messages.errorCreating);
        }
	}

	function deleteResourceGroup(resgroup)
	{
        //resgroup = resgroup.replace(/'/g, "''");
	    restAdmin.deleteResourceGroup(resgroup).addCallback(deleteResourceGroupCallback);
	}
	
	function deleteResourceGroupCallback(data)
	{   
        document.cookie='JSESSIONID=' + savedJSESSIONID + ';path=/ibm';
        //dojo.io.cookie.setCookie('JSESSIONID', savedJSESSIONID, null, '/ibm');  //restore cookie
        
        if (data == 'false') {
           var result = dojo.string.substitute(messages.errorDeleting, [deletedResourceGroup]);
           alert(result);
        } else {
           var result = dojo.string.substitute(messages.backToRoot, [deletedResourceGroup]);
           alert(result);
        }
	}

	function queryModels(resourceGroup)
	{
       restAdmin.getResourcesInResourceGroup(resourceGroup).addCallback(queryModelsCallback);
	}

	function queryModelsCallback(data)
	{
       document.cookie='JSESSIONID=' + savedJSESSIONID + ';path=/ibm';
       //dojo.io.cookie.setCookie('JSESSIONID', savedJSESSIONID, null, '/ibm');  //restore cookie
       
       var sel = document.getElementById('rgDetailSelectedModels');

       while (sel.firstChild)
          sel.removeChild(sel.firstChild);

       if (data) {
          models = data;

          for (var i=0; i<models.length; i++)
          {
             var m = models[i]
             var opt = document.createElement('OPTION');
             //opt.value = ''+i;
             opt.value = m;
             opt.appendChild(document.createTextNode(m));
             sel.appendChild(opt);
          }
       }
	}

	function saveModelResourceGroup(model, resourceGroup)
	{
       //alert("Saving " + model + " to " + resourceGroup + ".");
       if(model) {
       restAdmin.changeResourceGroup(model,resourceGroup).addCallback(saveModelResourceGroupCallback);
	}
	}

	function saveModelResourceGroupCallback(data)
	{
       document.cookie='JSESSIONID=' + savedJSESSIONID + ';path=/ibm';
       //dojo.io.cookie.setCookie('JSESSIONID', savedJSESSIONID, null, '/ibm');  //restore cookie
       
       if (data == 'false') {
          alert(messages.errorChanging);
       }
	}

	function queryModelsRoot()
	{
       restAdmin.getResourcesInResourceGroup("root").addCallback(queryModelsRootCallback);
	}
	
	function queryModelsRootCallback(data)
	{
       document.cookie='JSESSIONID=' + savedJSESSIONID + ';path=/ibm';
       //dojo.io.cookie.setCookie('JSESSIONID', savedJSESSIONID, null, '/ibm');  //restore cookie
       
       var def = document.getElementById(rootModelListID);

       while (def.firstChild)
           def.removeChild(def.firstChild);

		if (data) {
           models_root = data;
        
           for (var i=0; i<models_root.length; i++)
           {
               var m = models_root[i];
               var opt = document.createElement('OPTION');
               //opt.value = ''+i;
               opt.value = m;
               opt.appendChild(document.createTextNode(m));
               def.appendChild(opt);
           }
        }
	}
	
	function queryRoles()
	{
        restAdmin.getAllRoles().addCallback(queryRolesCallback);
	}

	function queryRolesCallback(data)
	{
        document.cookie='JSESSIONID=' + savedJSESSIONID + ';path=/ibm';
        //dojo.io.cookie.setCookie('JSESSIONID', savedJSESSIONID, null, '/ibm');  //restore cookie
		
        //if (data)
		//	roles = data;
        roles = roleData;

// Remove this code block per 477657, item 1) - use a radio button to select because only one option valid at a time
// (note: dynamically created radio button problem on IE6) forced us to implement another way
//		// populate role table
//		var tbody = document.getElementById('role_tbody');
//
//      while (tbody.firstChild)
//          tbody.removeChild(tbody.firstChild);
//
//		for (var i=0; i<roles.length; i++)
//		{
//			var tr = document.createElement('tr');
//			tr.className = 'table-row';
//			tbody.appendChild(tr);
//			var td = document.createElement('td');
//			td.className = 'collection-table-text';
//			td.width='1%'
//			tr.appendChild(td);
//			var checkbox = document.createElement('input');
//			//checkbox.id = 'role_checkbox_'+i;
//     		//checkbox.type = 'checkbox';
//			checkbox.type = 'radio';     //radio buttons appear, but can't be selected on IE6
//			checkbox.name = 'roles';
//			checkbox.value = 'role_' + i;
//          if (i==0) {
//             checkbox.checked = true;
//          }
//			td.appendChild(checkbox);
//			//attachEvent(checkbox,'click',handleRoleCheckboxClick);
//			td = document.createElement('td');
//			td.className = 'collection-table-text';
//			tr.appendChild(td);
//            //change link to text - d 464844
//			//var a = document.createElement('a');
//			//a.href = 'javascript:openRole("'+i+'")';
//			//td.appendChild(a);
//			//a.appendChild(document.createTextNode(roles[i]));
//            td.appendChild(document.createTextNode(roles[i]));
//		}
	}
	
	function queryAllUsers(filter, limit)
	{
       //Empty the list and write "Loading..."
       var avail = document.getElementById(userSelectControl);
       while (avail.firstChild)
          avail.removeChild(avail.firstChild);
       var opt = document.createElement('OPTION');
       opt.value = messages.loading;
       opt.appendChild(document.createTextNode(messages.loading));
       avail.appendChild(opt);

       restAdmin.getAllUsersLimit(filter, limit).addCallback(queryAllUsersCallback);
	}

	function queryAllUsersCallback(data)
	{
        document.cookie='JSESSIONID=' + savedJSESSIONID + ';path=/ibm';
        //dojo.io.cookie.setCookie('JSESSIONID', savedJSESSIONID, null, '/ibm');  //restore cookie

        var exceptionReturned = false;
        if (data)
        {
            if (data.length == 2) {
               if (data[0] == 'exception') {
                  exceptionReturned = true;
                  alert(data[1]);
               }
               if (data[1] == 'exception') {
                  exceptionReturned = true;
                  alert(data[0]);
               }
            }
            
			if (exceptionReturned == true || data.length == 0) {
               var avail = document.getElementById(userSelectControl);
               while (avail.firstChild)
                  avail.removeChild(avail.firstChild);
               var opt = document.createElement('OPTION');
               opt.value = messages.empty;
               opt.appendChild(document.createTextNode(messages.empty));
               avail.appendChild(opt);
            } 
            else
            {
                users = data;
            
                var avail = document.getElementById(userSelectControl);
                while (avail.firstChild)
                   avail.removeChild(avail.firstChild);
            
    			for (var i=0; i<users.length; i++)
	    		{
                    var tok = users[i];
                    var userDN = tok.DN;

                    //Only add the user to the "available" list if they don't already exist in the role_users list
                    //var matchFound = 'false'; 
                    //for (var j = 0; j < role_users.length; j++) {
                    //   if (role_users[j] == userDN) {
                    //      matchFound = 'true';
                    //      break;
                    //   }
                    //}

                    //if (matchFound == 'false') {
                       var opt = document.createElement('OPTION');
                       opt.id = 'user_'+userDN;
                       opt.value = userDN;
                       opt.title = userDN;
                       opt.appendChild(document.createTextNode(userDN));
                       avail.appendChild(opt);
                    //}
    			}
            }

            if (mdsDiagSelectSavedUser == true) {
               mdsDiagSelectSavedUser = false;
               if (mdsDiagSelectedUser != null) {
                  if (selectSpecificUserDiag(mdsDiagSelectedUser) == true) {
                     doFindAvailableModels();
                  }
               }
            }
		}
	}
	
	function queryRoleMembers(role, rg)
	{
       restAdmin.getUsersInRoleForResourceGroup(role, rg, searchType).addCallback(queryRoleMembersCallback);
	}

	function queryRoleMembersCallback(data)	
	{
        document.cookie='JSESSIONID=' + savedJSESSIONID + ';path=/ibm';
        //dojo.io.cookie.setCookie('JSESSIONID', savedJSESSIONID, null, '/ibm');  //restore cookie
        
        if (data)
		{
			role_users.length = 0;
			role_groups.length = 0;
                
			var sel = document.getElementById('roleDetailSelectedMembers');

            while (sel.firstChild)
               sel.removeChild(sel.firstChild);

			for (var i=0; i < data.length; i++)
			{
                //if (searchType == 'user' && data[i].substring(0,2) == 'cn') {
                   //alert("listing users, skip group:" + data[i]);
                //   continue;
                //}
				
                //if (searchType == 'group' && data[i].substring(0,3) == 'uid') {
                   //alert("listing groups, skip user:" + data[i]);
                //   continue;
                //}

                if (searchType == 'user') {
                   role_users[role_users.length] = data[i];
                } else {
                   role_groups[role_groups.length] = data[i];
                }

                var opt = document.createElement('OPTION');
				opt.id = 'user_'+ data[i];
				opt.value = data[i];
				opt.title = data[i];
				opt.appendChild(document.createTextNode(data[i]));
				sel.appendChild(opt);
			}
		}
	}
	
	function queryAllGroups(filter, limit)
	{
       //Empty the list and write "Loading..."
       var avail = document.getElementById(userSelectControl);
       while (avail.firstChild)
          avail.removeChild(avail.firstChild);
       var opt = document.createElement('OPTION');
       opt.value = messages.loading;
       opt.appendChild(document.createTextNode(messages.loading));
       avail.appendChild(opt);
       
       restAdmin.getAllUserGroupsLimit(filter, limit).addCallback(queryAllUserGroupsCallback);
	}

	function queryAllUserGroupsCallback(data)
	{
        document.cookie='JSESSIONID=' + savedJSESSIONID + ';path=/ibm';
        //dojo.io.cookie.setCookie('JSESSIONID', savedJSESSIONID, null, '/ibm');  //restore cookie
        
        var exceptionReturned = false;
        if (data)
        {
            if (data.length == 2) {
               if (data[0] == 'exception') {
                  exceptionReturned = true;
                  alert(data[1]);
               }
               if (data[1] == 'exception') {
                  exceptionReturned = true;
                  alert(data[0]);
               }
            }
            
			if (exceptionReturned == true || data.length == 0) {
               var avail = document.getElementById(userSelectControl);
               while (avail.firstChild)
                  avail.removeChild(avail.firstChild);
               var opt = document.createElement('OPTION');
               opt.value = messages.empty;
               opt.appendChild(document.createTextNode(messages.empty));
               avail.appendChild(opt);
            } 
            else
            {
    			groups = data;
	    		var avail = document.getElementById(userSelectControl);
            
                while (avail.firstChild)
                   avail.removeChild(avail.firstChild);

    			for (var i=0; i<groups.length; i++)
	    		{
                    var tok = groups[i];
                    var groupDN = tok.DN;

                    //Only add the user to the "available" list if they don't already exist in the role_users list
                    //var matchFound = 'false'; 
                    //for (var j = 0; j < role_groups.length; j++) {
                    //   if (role_groups[j] == groupDN) {
                    //      matchFound = 'true';
                    //      break;
                    //   }
                    //}
          
                    //if (matchFound == 'false') {
                       var opt = document.createElement('OPTION');
                       opt.id = 'group_' + groupDN;
                       opt.value = groupDN;
                       opt.title = groupDN;
                       opt.appendChild(document.createTextNode(groupDN));
                       avail.appendChild(opt);
                    //}
                }
			}
		}
	}
	
	function assignRole(user, resourceGroup, role)
	{
       restAdmin.assignRoleToUserOnResourceGroup(user, resourceGroup, role, searchType).addCallback(assignRoleCallback);
	}

	function assignRoleCallback(data)
	{
        document.cookie='JSESSIONID=' + savedJSESSIONID + ';path=/ibm';
        //dojo.io.cookie.setCookie('JSESSIONID', savedJSESSIONID, null, '/ibm');  //restore cookie
        
        if (data == 'false')
		{
           alert(messages.errorAssigning);
		}
		//v7.5 D673751 is caused by the un-synch calling of restAdmin and the front-end GUI
		queryRoleMembersRoot(); 
	}
	
	function removeRole(user, resourceGroup, role)
	{
       restAdmin.removeRole(user, role, resourceGroup).addCallback(assignRoleCallback);
	}

	function removeRoleCallback(data)
	{
        document.cookie='JSESSIONID=' + savedJSESSIONID + ';path=/ibm';
        //dojo.io.cookie.setCookie('JSESSIONID', savedJSESSIONID, null, '/ibm');  //restore cookie
        
        if (data == 'false')
		{
           alert(messages.errorRemoving);
		}
	}
	

	function populateResourceGroupTable()
	{
        setHelpUrl("/ibm/help/index.jsp?topic=/com.ibm.wbpm.mon.admin.rest.doc/sec/help_mds_admin_cfg.html");
        
        var tbody = document.getElementById('rg_tbody');
		while(tbody.firstChild)		
			tbody.removeChild(tbody.firstChild);
		var total = 0;
		for (var i=0; i<resourceGroups.length; i++)
		{
			if (checkFilter(resourceGroups[i]))
			{
                addResourceGroupToTable(i);
				total++;
			}
		}
		var rg_total = document.getElementById('rg_total');
		if (rg_total.firstChild)
			rg_total.removeChild(rg_total.firstChild);
		rg_total.appendChild(document.createTextNode(''+total));
		handleCheckboxClick();
	}
	
	function addResourceGroupToTable(index) 
	{
        
		var rgObj = resourceGroups[index];
		var rgname = rgObj[0];
		var rgdesc = rgObj[1];
		if (rgObj)
		{
			var tbody = document.getElementById('rg_tbody');
			var tr = document.createElement('tr');
			tr.id = 'rg_tr_'+index;
			tr.className = 'table-row';
			var before = null;
			if (resourceGroupSortColumn)
			{
				var test = tbody.lastChild;
                
				var test_rg = null;
				if (test) {
					test_rg = resourceGroups[eval(test.id.substring(6))][0];
                }

                if (resourceGroupSortDirection == 'ascending')
				{
                    while(test_rg && (test_rg.toLowerCase() > rgname.toLowerCase()))
					{
						before = test;
						test = before.previousSibling;
						test_rg = null;
						if (test) 
							test_rg = resourceGroups[eval(test.id.substring(6))][0];
					}
				}
				else
				{
					while(test_rg && (test_rg.toLowerCase() < rgname.toLowerCase()))
					{
						before = test;
						test = before.previousSibling;
						test_rg = null;
						if (test) 
							test_rg = resourceGroups[eval(test.id.substring(6))][0];
					}
					
				}
			}
			tbody.insertBefore(tr,before);
			
            var td = document.createElement('td');
			td.className = 'collection-table-text';
			td.width='1%'
			tr.appendChild(td);
			
            var checkbox = document.createElement('input');
			checkbox.id = 'rg_checkbox_'+index;
			checkbox.type = 'checkbox';
			td.appendChild(checkbox);
			attachEvent(checkbox,'click',handleCheckboxClick);
			td = document.createElement('td');
			td.className = 'collection-table-text';
			tr.appendChild(td);
			
            var a = document.createElement('a');
			a.href = 'javascript:openResourceGroup("'+index+'")';
			td.appendChild(a);
			a.appendChild(document.createTextNode(rgname));

            var desc = document.createElement('td');
            desc.className = 'collection-table-text';
            desc.width='80%'
            desc.appendChild(document.createTextNode(rgdesc))
            tr.appendChild(desc);

		}
	}
		
	function doNewResourceGroup()
    {
		selectedResourceGroup = null;

		document.getElementById('resourceGroupList').style.display = 'none';
    	document.getElementById('resourceGroupDetail').style.display = 'inline';
		document.getElementById('rgDetailEdit').style.display = 'none';
		document.getElementById('rgDetailNew').style.display = 'inline';
		var rg_name = document.getElementById('rgDetailNewName');
		var rg_desc = document.getElementById('rgDetailNewDescription');
		rg_name.value = '';
		rg_desc.value = '';
		document.getElementById('rgDetailTitle').style.display = 'none';
		document.getElementById('rgDetailDefaultModels').style.display = 'none';
		document.getElementById('rgDetailModels').style.display = 'none';
		document.getElementById('rgDetailRoles').style.display = 'none';

        var roleTitle = document.getElementById('breadcrumbNewRG');
    	while (roleTitle.firstChild)
    		roleTitle.removeChild(roleTitle.firstChild);

        //Add Monitor Data Security Administration breadcrumb
        var a = document.createElement('a');
        a.href = 'javascript:doResourceGroupDetailCancel()';
        a.appendChild(document.createTextNode(messages.adminTitle));
        roleTitle.appendChild(a);
        roleTitle.appendChild(document.createTextNode(" > "));

        roleTitle.appendChild(document.createTextNode(messages.breadcrumbNewRG));

        setHelpUrl("/ibm/help/index.jsp?topic=/com.ibm.wbpm.mon.admin.rest.doc/sec/help_sec_create_new_resgroup.html");
    }

    function doNewResourceGroupApply()
    {
        //This is the case where a new RG is being created
        //alert("Save new Resource Group");

        var name = document.getElementById('rgDetailNewName').value;
        var description = document.getElementById('rgDetailNewDescription').value;
        name = dojo.string.trim(name);
        if (!name)
        {
            alert(messages.errorNameRequiredForRG);
            return;
        }
        
        for (var i = 0; i < resourceGroups.length; i++) {
           if (name == resourceGroups[i][0]) {
              alert(messages.errorNameAlreadyExistsForRG);
              return;
           }
        }
        //718968 reference was web ui validation.xml 
        // set the mininal scope of invalid chars for resource group 
        // six chars of & % ' " < >
        // reg_classname=/^[^\%\<\>\'\"\&amp;][^\%\<\>\'\"\&amp;]*$/;
        reg_classname=/^[^\%\<\>\'\"\&][^\%\<\>\'\"\&]*$/;
        if (!reg_classname.test(name))
		{
			alert(messages.errorNameInvalidChars);
			return;
		}
        //718968
        if (name.length > 40) {
           alert(messages.errorNameOver40Chars);
           return;
        }
        
        if (description.length > 80) {
           alert(messages.errorDescriptionOver80Chars);
           return;
        }
        
        selectedResourceGroup = new Array();
        selectedResourceGroup[0] = name;
        selectedResourceGroup[1] = description;
        resourceGroups[resourceGroups.length] = selectedResourceGroup;
        saveNewResourceGroupWithDescription(name, description);

        openResourceGroup(resourceGroups.length-1);
    }
    
    function doEditResourceGroup()
    {
		for (var i=0; i<resourceGroups.length; i++)
		{
			var checkbox = document.getElementById('rg_checkbox_'+i);
			if (checkbox && checkbox.checked) {
				openResourceGroup(i);
				i = resourceGroups.length;
			}
		}
    }

    function openResourceGroup(index,disableOK)
    {
        //alert(" start openResourceGroup");

        if(disableOK) {
           document.getElementById('adminOKButtonRG').style.display='none';
           document.getElementById('adminApplyButtonRG').style.display='inline';
        }
        else {
           document.getElementById('adminOKButtonRG').style.display='inline';
           document.getElementById('adminApplyButtonRG').style.display='none';
        }
    	selectedResourceGroup = resourceGroups[index];
    	
    	document.getElementById('resourceGroupList').style.display = 'none';
    	document.getElementById('resourceGroupDetail').style.display = 'inline';
		document.getElementById('rgDetailTitle').style.display = 'inline';
		document.getElementById('rgDetailNew').style.display = 'none';
		document.getElementById('rgDetailEdit').style.display = 'inline';
		document.getElementById('rgDetailRoles').style.display = 'inline';

        setHelpUrl("/ibm/help/index.jsp?topic=/com.ibm.wbpm.mon.admin.rest.doc/sec/help_addremove_roles.html");
        
        var rg_name = document.getElementById('rgDetailName');
		while (rg_name.firstChild)
			rg_name.removeChild(rg_name.firstChild);

        var description = document.getElementById('rgDetailChangeDescription');
        description.value = selectedResourceGroup[1];
        if (selectedResourceGroup[0] == 'root') {
           description.disabled = true;
        } else {
           description.disabled = false;
        }
        
        if (externalBreadcrumbs.length > 0) {
           for (var c=0; c < externalBreadcrumbs.length; c++) {
              var a = document.createElement('a');
              a.href = externalBreadcrumbURIs[c];
              a.appendChild(document.createTextNode(externalBreadcrumbs[c]));
              rg_name.appendChild(a);
              rg_name.appendChild(document.createTextNode(" > "));
           }
           
           rg_name.appendChild(document.createTextNode(selectedResourceGroup[0]));
        
        } else {
        var a = document.createElement('a');
        a.href = 'javascript:doResourceGroupDetailCancel()';
        a.appendChild(document.createTextNode(messages.adminTitle));
        rg_name.appendChild(a);
           rg_name.appendChild(document.createTextNode(" > " + selectedResourceGroup[0]));
        }

		if (selectedResourceGroup[0] == 'root')
		{
			// Resources in the default (e.g. 'root') resourcegroup
			document.getElementById('rgDetailDefaultModels').style.display = 'inline';
			document.getElementById('rgDetailModels').style.display = 'none';
			document.getElementById('rgDetailsInstruction').style.display = 'none';

            // State that we are loading the resources in root
            var avail = document.getElementById('rgDetailDefaultModelList');
            while (avail.firstChild)
                avail.removeChild(avail.firstChild);
            var opt = document.createElement('OPTION');
            opt.value = messages.loading;
            opt.appendChild(document.createTextNode(messages.loading));
            avail.appendChild(opt);

            rootModelListID = 'rgDetailDefaultModelList';
            queryModelsRoot(); //note  - this method uses the value of  rootModelListID
            
            queryRoleMembersRoot(); //v7.5

		}
		else
		{
			document.getElementById('rgDetailDefaultModels').style.display = 'none';
			document.getElementById('rgDetailModels').style.display = 'inline';
			document.getElementById('rgDetailsInstruction').style.display = 'inline';

            // State that we are loading the resources in root
            var avail = document.getElementById('rgDetailAvailableModels');
            while (avail.firstChild)
                avail.removeChild(avail.firstChild);
            var opt = document.createElement('OPTION');
            opt.value = messages.loading;
            opt.appendChild(document.createTextNode(messages.loading));
            avail.appendChild(opt);

            // State that we are loading the resources in the selected model
            var sel = document.getElementById('rgDetailSelectedModels');
            while (sel.firstChild)
                sel.removeChild(sel.firstChild);
            var opt = document.createElement('OPTION');
            opt.value = messages.loading;
            opt.appendChild(document.createTextNode(messages.loading));
            sel.appendChild(opt);

            rootModelListID = 'rgDetailAvailableModels';
            queryModelsRoot(); //note  - this method uses the value of  rootModelListID
            
            queryRoleMembersRoot();//v7.5

            queryModels(selectedResourceGroup[0]); 
		}

        // Default searchType is user (e.g. someone clicks the role name instead of selecting a role and clicking "Groups"
        searchType = 'user';
        queryRolesCallback();  //TODO - this needs to be queryRoles() when the json-rpc call is done
    }
    
    function doDeleteResourceGroup()
    {
		for (var i=0; i<resourceGroups.length; i++)
		{
			var checkbox = document.getElementById('rg_checkbox_'+i);
			if (checkbox && checkbox.checked) {

               deletedResourceGroup = resourceGroups[i];

               var result = dojo.string.substitute(messages.confirmRGDelete, [deletedResourceGroup[0]]);
                
               var response = confirm(result);

                if (response) {
                   deleteResourceGroup(deletedResourceGroup[0]);

                   resourceGroups.splice(i,1);

                } else {
                   return;
                }
			}
		}
		populateResourceGroupTable();
    }
    
    function attachEvent(node,event,callback)
    {
        if (node.attachEvent) 
        	node.attachEvent('on'+event,callback);
        if (node.addEventListener) 
        	node.addEventListener(event,callback,false);
    }
    
    function getEventSource(e)
    {
        if (e.srcElement) 
        	return e.srcElement;
        if (e.target) 
        	return e.target;
		return null;
    }
    
    function handleCheckboxClick()
    {
    	var cnt = 0;
    	var def = false;
		for (var i=0; i<resourceGroups.length; i++)
		{
			var checkbox = document.getElementById('rg_checkbox_'+i);
			if (checkbox && checkbox.checked)
			{
				cnt++;
				if (resourceGroups[i][0] == 'root')
					def = true;
			}
		}
		document.getElementById('adminDeleteButton').disabled = ((cnt == 0) || def);
		//document.getElementById('rg_edit').disabled = (cnt != 1);
    }
    
    function handleRoleCheckboxClick()
    {
    	var cnt = 0;
		for (var i=0; i<roles.length; i++)
		{
			var checkbox = document.getElementById('role_checkbox_'+i);
			if (checkbox && checkbox.checked)
			{
				cnt++;
			}
		}
		document.getElementById('adminUsersButton').disabled = (cnt != 1);
		document.getElementById('adminGroupsButton').disabled = (cnt != 1);
    }
    
    function doResourceGroupSortByName(e)
    {
    	var img;
    	if (resourceGroupSortColumn != 'Display Name')
    	{
    		img = document.getElementById('rg_sort_'+resourceGroupSortColumn);
    		if (img) 
    			img.src = '<%=renderResponse.encodeURL( renderRequest.getContextPath() + "/SecurityUI/SortNone.gif" )%>';
    		resourceGroupSortDirection = 'descending';
    	}
    	resourceGroupSortColumn = 'Display Name';
		img = document.getElementById('rg_sort_'+resourceGroupSortColumn);
    	if (resourceGroupSortDirection == 'descending')
    	{
    		img.src = '<%=renderResponse.encodeURL( renderRequest.getContextPath() + "/SecurityUI/SortDescending.gif" )%>';
    		resourceGroupSortDirection = 'ascending';
    	}
    	else 
    	{
    	    img.src = '<%=renderResponse.encodeURL( renderRequest.getContextPath() + "/SecurityUI/SortAscending.gif" )%>';
    		resourceGroupSortDirection = 'descending';
    	}
    	populateResourceGroupTable();
    }
    
    function doSelectResourceGroups(sel)
    {
    	var cnt = 0;
    	var def = false;
		for (var i=0; i<resourceGroups.length; i++)
		{
			var checkbox = document.getElementById('rg_checkbox_'+i);
			if (checkbox)
			{
				checkbox.checked = sel;
				if (sel)
				{
					cnt++;
					if (resourceGroups[i]["Resource Group ID"] == null)
						def = true;
				}
			}
		}
		document.getElementById('adminDeleteButton').disabled = ((cnt == 0) || def);
		//document.getElementById('rg_edit').disabled = (cnt != 1);
    }

    function doShowResourceGroupFilter(show)
    {
    	document.getElementById('adminTableShowFilter').style.display = (show)?'none':'inline';
    	document.getElementById('adminTableHideFilter').style.display = (show)?'inline':'none';
    	document.getElementById('rg_filter').style.display = (show)?'inline':'none';
    }
    
    function doFilterResourceGroups()
    {
    	var sel = document.getElementById('rg_filter_type');
    	var opt = sel.options[sel.selectedIndex];
    	resourceGroupFilter = opt.value;
    	resourceGroupFilterValue = document.getElementById('rg_filter_value').value;
    	if (resourceGroupFilterValue)
    	{
    		// convert wildcard string to a regular expression
    		var regex = '^';
    		for (var i=0; i<resourceGroupFilterValue.length; i++)
    		{
    			var c = resourceGroupFilterValue.charAt(i);
    			switch (c)
				{
    				case '.':
    				case '^':
    				case '$':
    				case '+':
    				case '\\':
    				case '(':
    				case ')':
    				case '{':
    				case '}':
    				case '[':
    				case ']':
    					regex = regex + '\\' + c;
    					break;
    				case '?':
    					regex = regex + '.';
    					break;
    				case '*':
    				case '%':
    					regex = regex + '.*';
    					break;
    				default:
    					regex = regex + c;
    					break;
				}
    		}
    		// convert wildcard string to a regular expression
			regex = regex + '$';
			resourceGroupFilterValue = new RegExp(regex);
    	}
    	if (resourceGroupFilter == 'model')
    	{
    		// to improve performance... go ahead and figure
			// out which models meet the filter value
			var m = new Array();
    		for (var i=0; i<models.length; i++)
    		{
    			var tmp = models[i];
    			if (resourceGroupFilterValue.test(tmp))
    				m[m.length] = models[i];
    		}
    		resourceGroupFilterValue = m;
    	}
		populateResourceGroupTable();
    }
    
    function checkFilter(rg)
    {
    	var rc = false;
    	if (rg)
    	{
    		rc = true;
	    	if (resourceGroupFilter && resourceGroupFilterValue)
    		{
	    		if (resourceGroupFilter == 'name')
	    			rc = resourceGroupFilterValue.test(rg[0]);
	    		if (resourceGroupFilter == 'model')
	    		{
	    			rc = false;
	    			for (var i=0; i<resourceGroupFilterValue.length; i++)
	    			{
	    				var m = resourceGroupFilterValue[i];
	    				if (m["Resource Group ID"] == rg["Resource Group ID"])
	    				{
	    					rc = true;
	    					i = resourceGroupFilterValue.length;
	    				}
	    			}
	    		}
    		}
    	}
    	return rc;
    }
    
    function doClearFilterResourceGroups()
    {
    	if (resourceGroupFilter)
    	{
    		resourceGroupFilter = null;
    		document.getElementById('rg_filter_value').value = '';
    		populateResourceGroupTable();
    	}
    }
    
    function selectItems(avail_id,sel_id) {

        var avail = document.getElementById(avail_id);
        var sel = document.getElementById(sel_id);
    	var opt = avail.firstChild;

        var message = null;
        if (searchType == 'user') {
           message = messages.errorUserAlreadySelected;
        } else {
           message = messages.errorGroupAlreadySelected;
        }

        while (opt) {

			var skip = false;

        	if (opt.selected) {
				// see if the selected item is the empty one ... if so we do not want to move to the other list
				if(opt.value == messages.empty) {
				  skip = true;
				}
				else {
					opt2 = sel.firstChild;
					while (opt2) {
						//alert("Compare " + opt.value + " to " + opt2.value);
						if (opt.value == opt2.value) {
							var result = dojo.string.substitute(message, [opt.value]);
							alert(result);
							skip = true;
						}
						opt2 = opt2.nextSibling;
					}
				}	

                next = opt.nextSibling;
                
                if (skip == false) {
                   avail.removeChild(opt);
                   sel.appendChild(opt);
                }
        		
                opt = next;
        	}
        	else {
        		opt = opt.nextSibling;
        	}
        }
    }
    
    function selectAllItems(avail_id,sel_id) {
        var avail = document.getElementById(avail_id);
        var sel = document.getElementById(sel_id);
        
        var message = null;
        if (searchType == 'user') {
           message = messages.errorUserAlreadySelected;
        } else {
           message = messages.errorGroupAlreadySelected;
        }
		
		// just stop if the list has an empty in it.. empty should mean only the empty item on the list
		if(avail.firstChild.value == messages.empty) {
		  return;
		}

        while (avail.firstChild) {
            var skip = false;
        	
            var opt = avail.firstChild;

			opt2 = sel.firstChild;
			while (opt2) {
				//alert("Compare " + opt.value + " to " + opt2.value);
				if (opt.value == opt2.value) {
					var result = dojo.string.substitute(message, [opt.value]);
					//alert(result); lets not show the message here... user not care which ones were on the list when moving them all
					skip = true;
				}
				opt2 = opt2.nextSibling;
			}
		   	avail.removeChild(opt);
            if (skip == false) {
        	    sel.appendChild(opt); 
            }
        }
    }
    
    function deselectItems(avail_id,sel_id) {
        var avail = document.getElementById(avail_id);
        var sel = document.getElementById(sel_id);
    	var opt = sel.firstChild;
		var check = false;
		
        while (opt) {
			var add = true;
        	if (opt.selected) {
            	next = opt.nextSibling;				
				
				// check available list to see if already on it
				var opt2 = avail.firstChild;
				while (opt2) {
					//alert("Compare " + opt.value + " to " + opt2.value);
					if (opt.value == opt2.value) {
						add = false;
					}
					opt2 = opt2.nextSibling;
				}
				
				// always remove from selected list
        		sel.removeChild(opt);
				// only add to available list if not already there
				if (add)  { 
				   avail.appendChild(opt);
				}
        		opt = next;
				check = true; // so looks like we added one ... need to check for empty later
        	}
        	else {
        		opt = opt.nextSibling;
        	}
        }
		
		// clean up the empty item on the list if we have added one above
		if(check) {
			opt = avail.firstChild;
			while (opt) {
				if (opt.value == messages.empty) {
					next = opt.nextSibling;
					avail.removeChild(opt);
					opt = next;
				}
				else {
					opt = opt.nextSibling;
				}
			}		
		}		
    }
    
    function deselectAllItems(avail_id,sel_id) {
        var avail = document.getElementById(avail_id);
        var sel = document.getElementById(sel_id);
		var check = false;		
        while (sel.firstChild) {
        	var opt = sel.firstChild;
			var add = true;
							
			// check available list to see if already on it
			var opt2 = avail.firstChild;
			while (opt2) {
				//alert("Compare " + opt.value + " to " + opt2.value);
				if (opt.value == opt2.value) {
					add = false;
				}
				opt2 = opt2.nextSibling;
			}
				
			// always remove from list
        	sel.removeChild(opt);
			// only add to available list if not already there
			if (add) { 
				avail.appendChild(opt);
			}
        	check = true;			
        }
		
		// if we moved one ...then lets clean up the available list to remove the empty
		if(check) {
			opt = avail.firstChild;
			while (opt) {
				if (opt.value == messages.empty) {
					next = opt.nextSibling;
					avail.removeChild(opt);
					opt = next;
				}
				else {
					opt = opt.nextSibling;
				}
			}		
		}		
    }

    
    function doResourceGroupDetailOk()
    {
    	if (!selectedResourceGroup)
    	{
            //This is the case where a new RG is being created
            //alert("Save new Resource Group");

    		var name = document.getElementById('rgDetailNewName').value;
    		var description = document.getElementById('rgDetailNewDescription').value;
    		if (!name)
    		{
                alert(messages.errorNameRequiredForRG);
    			return;
    		}
   			
            for (var i = 0; i < resourceGroups.length; i++) {
               if (name == resourceGroups[i]) {
                  alert(messages.errorNameAlreadyExistsForRG);
                  return;
               }
            }
            
            selectedResourceGroup = new Object();
   			selectedResourceGroup[0] = name;
   			selectedResourceGroup[1] = description;
   			resourceGroups[resourceGroups.length] = selectedResourceGroup;
            saveNewResourceGroupWithDescription(name, description);


    	} else {
            var description = document.getElementById('rgDetailChangeDescription').value;

            if (description != selectedResourceGroup[1]) {
               selectedResourceGroup[1] = description;
               changeResourceGroupDescription(selectedResourceGroup[0],description);
               saveResourceGroupToResourceMapping()
            } else {
               saveResourceGroupToResourceMapping()
            }
        }

         // Disable the return.. this was only called from the model update screen anyway and caused the
        // the REST callbacks to not run properly causing the updates maybe or maybe not to execute
         //if (returnURI) {
         //   document.cookie='JSESSIONID=' + savedJSESSIONID + ';path=/ibm';
         //   window.location = returnURI;
         //}
    }

    function saveResourceGroupToResourceMapping()
    {
    	if ((selectedResourceGroup) && (selectedResourceGroup[0] != 'root'))
    	{
            //This is the case where the user may have moved resources between RGs
            //alert("Save default and selected Resource Group lists");
         
            // make sure all available models have no resource group set
            var avail = document.getElementById('rgDetailAvailableModels');
    		for (var opt = avail.firstChild; opt; opt = opt.nextSibling)
    		{
    			var m = opt.value; //models_root[eval(opt.value)];
                //alert("Root model:" + m);

                saveModelResourceGroup(m, 'root');
    		}
    		// make sure all selected modes have the right resource group
            var sel = document.getElementById('rgDetailSelectedModels');
    		for (var opt = sel.firstChild; opt; opt = opt.nextSibling)
    		{
    			var m = opt.value; //models[eval(opt.value)];
                //alert("Selected model:" + m);
    			
                saveModelResourceGroup(m, selectedResourceGroup[0]);
    		}
    	}

        if (returnURI==null) {
           document.getElementById('resourceGroupDetail').style.display = 'none';
           document.getElementById('resourceGroupList').style.display = 'inline';

           populateResourceGroupTable();
        }
    }
    
    function doResourceGroupDetailCancel()
    {
        if (returnURI) {
          document.cookie='JSESSIONID=' + savedJSESSIONID + ';path=/ibm'; 
           window.location = returnURI;
        } else {
    	document.getElementById('resourceGroupDetail').style.display = 'none';
		document.getElementById('resourceGroupList').style.display = 'inline';
        document.getElementById('roleDetail').style.display = 'none';
    	populateResourceGroupTable();
    }
    }
    
    function doRoleDetailOk()
    {
        //This is the case where the user wants to save the roles that they have just changed
        //alert("Save role configuration");
    	
        var selectedRoleUsers = new Array();

        var role_members = null;
        if (searchType == 'user') {
           role_members = role_users;
        } else {
           role_members = role_groups;
        }

    	var sel = document.getElementById('roleDetailSelectedMembers');
    	var opt = sel.firstChild;
        while (opt)
        {
            var user = opt.value;
        	selectedRoleUsers[selectedRoleUsers.length] = user;
        	opt = opt.nextSibling;
        }

        //Find role assignments in selectedRoleUsers that don't exist in role_members, and add them
        for (var i = 0; i < selectedRoleUsers.length; i++) {
           var userMatched = 'false';
           for (var j = 0; j < role_members.length; j++) {
              if (selectedRoleUsers[i] == role_members[j]) {
                 userMatched = 'true';
                 break;
              }
           }

           if (userMatched == 'false') {
              // TODO: save to server
              //alert("Adding:" + selectedRoleUsers[i] + " rg:" + selectedResourceGroup + " role:" + selectedRole);
              assignRole(selectedRoleUsers[i], selectedResourceGroup[0], selectedRole);
           }
        }

        //Find role assignments in role_members that don't exist in selectedRoleUsers, and delete them
        for (var i = 0; i < role_members.length; i++) {
           var userMatched = 'false';
           for (var j = 0; j < selectedRoleUsers.length; j++) {
              if (role_members[i] == selectedRoleUsers[j]) {
                 userMatched = 'true';
                 break;
              }
           }

           if (userMatched == 'false') {
              // TODO: save to server
              //alert("Removing:" + role_members[i] + " rg:" + selectedResourceGroup + " role:" + selectedRole);
              removeRole(role_members[i], selectedResourceGroup[0], selectedRole);
           }
        }
        document.getElementById('resourceGroupDetail').style.display = 'inline';
        document.getElementById('roleDetail').style.display = 'none';
        }
    
    function doRoleDetailCancel()
    {
    	document.getElementById('resourceGroupDetail').style.display = 'inline';
		document.getElementById('roleDetail').style.display = 'none';
    }
    function doEditRoleUsers(index)
    {
        searchType = "user";
		openRole(index);
    }

    function doEditRoleGroups(index)
    {
        searchType = "group";
		openRole(index);
    }


    function openRole(index)
    {
    	selectedRole = roles[index];

        var filter = document.getElementById(searchField);
        filter.value = '*';

        var avail = document.getElementById(userSelectControl);
        while (avail.firstChild)
           avail.removeChild(avail.firstChild);
        var opt = document.createElement('OPTION');
        opt.value = messages.empty;
        opt.appendChild(document.createTextNode(messages.empty));
        avail.appendChild(opt);
    	
        //var title = 'New Resource Group - '+ selectedRole;
    	//if (selectedResourceGroup)
        //	title = selectedResourceGroup + ' - '+selectedRole;
    	
        var roleTitle = document.getElementById('roleDetailTitle');
    	while (roleTitle.firstChild)
    		roleTitle.removeChild(roleTitle.firstChild);

        if (externalBreadcrumbs.length > 0) {
           for (var c=0; c < externalBreadcrumbs.length; c++) {
              var a = document.createElement('a');
              a.href = externalBreadcrumbURIs[c];
              a.appendChild(document.createTextNode(externalBreadcrumbs[c]));
              roleTitle.appendChild(a);
              roleTitle.appendChild(document.createTextNode(" > "));
           }
         
           //Add resource group name breadcrumb
           var arc = document.createElement('a');
           arc.href = 'javascript:doRoleDetailCancel()';
           arc.appendChild(document.createTextNode(selectedResourceGroup[0]));
           roleTitle.appendChild(arc);
           roleTitle.appendChild(document.createTextNode(" > "));
        
        } else {
        //Add Monitor Data Security Administration breadcrumb
        var a = document.createElement('a');
        a.href = 'javascript:doResourceGroupDetailCancel()';
        a.appendChild(document.createTextNode(messages.adminTitle));
        roleTitle.appendChild(a);
        roleTitle.appendChild(document.createTextNode(" > "));

        //Add resource group name breadcrumb
        var arc = document.createElement('a');
        arc.href = 'javascript:doRoleDetailCancel()';
        arc.appendChild(document.createTextNode(selectedResourceGroup[0]));
        roleTitle.appendChild(arc);
        roleTitle.appendChild(document.createTextNode(" > "));
        }

        var breadcrumbSearchType = null;
        var instructions = null;

        if (searchType == 'user') {
           breadcrumbSearchType = dojo.string.substitute(messages.selectUsersForRole, [selectedRole]);
           instructions = messages.roleUserSearchInstruction;
        } else {
           breadcrumbSearchType = dojo.string.substitute(messages.selectGroupsForRole, [selectedRole]);
           instructions = messages.roleGroupSearchInstruction;
        }
        roleTitle.appendChild(document.createTextNode(breadcrumbSearchType));

//        var instructionElement = document.getElementById('memberSearchInstruction');
//    	while (instructionElement.firstChild)
//    		instructionElement.removeChild(roleTitle.firstChild);
//        instructionElement.appendChild(document.createTextNode(instructions));
        
        document.getElementById('resourceGroupDetail').style.display = 'none';
    	
        // move all users back to available
    	//var avail = document.getElementById('roleDetailAvailableMembers');
    	//var sel = document.getElementById('roleDetailSelectedMembers');
        
        //while (sel.firstChild)
        //{
        //	var opt = sel.firstChild;
        //	sel.removeChild(opt);
        //	avail.appendChild(opt);
        //}

        if (searchType == 'user') {
           queryRoleMembers(selectedRole, selectedResourceGroup[0], 'user');
        } else {
           queryRoleMembers(selectedRole, selectedResourceGroup[0], 'group');   // groups?
        }

		document.getElementById('roleDetail').style.display = 'inline';
    }

    function search() {

       var limit = document.getElementById(searchLimit).value;

        //Was a valid numeric entered?
        for (var i=0; i < limit.length; i++) {
           numChar = limit.charAt(i);
           if ((numChar < "0") || (numChar > "9")) {
              alert(messages.searchNumericLimitError);
              return;
           }
        }

        if ((limit < 1) || (limit > 4500)){
           alert(messages.searchNumericLimitError);
           return;
        }

        document.getElementById('mdsModelsAvailableMsg').style.display='none';
        document.getElementById('mdsDiagTable').style.display='none';

        //Save the context of the diag tab.
        if (searchField =='mdsDiagSearchStringValue') {
           mdsDiagSearchStringValue = document.getElementById(searchField).value;
           mdsDiagSearchStringLimit = document.getElementById(searchLimit).value;
           mdsDiagRestoreConfig = true;
        }
        
        if (searchType == 'user') { 
           searchUsers();
        } else {
           searchGroups();
        }
    }

    function searchUsers() {
        var filter = document.getElementById(searchField).value;
        var limit = document.getElementById(searchLimit).value;
        queryAllUsers(filter, limit)
    }
    
    function searchGroups() {
        var filter = document.getElementById(searchField).value;
        var limit = document.getElementById(searchLimit).value;
        queryAllGroups(filter, limit)
    }

    function switchTabToConfig() {
       var diag = document.getElementById('diagTab');
       diag.className = "mdstabs-off";
       while (diag.firstChild)
          diag.removeChild(diag.firstChild);
       var a = document.createElement('a');
       a.href = 'javascript:switchTabToDiag()';
       a.appendChild(document.createTextNode(messages.tabDiagnose));
       a.className = "mdstabs-item";
       diag.appendChild(a);

       var config = document.getElementById('configTab');
       config.className = "mdstabs-on";
       while (config.firstChild)
          config.removeChild(config.firstChild);
       config.appendChild(document.createTextNode(messages.tabConfigure));

       document.getElementById('mdsConfigTab').style.display = 'inline';
       document.getElementById('mdsDiagTab').style.display = 'none';

       mdsDiagSelectedUser = findSelectedUserDiag();

       userSelectControl = 'roleDetailAvailableMembers';
       searchField = 'roleAvailableFilter';
       searchLimit = 'adminSearchLimitValue';

       setHelpUrl(mdsPrevHelpUrl);
    }

    function switchTabToDiag() {
       var config = document.getElementById('configTab');
       config.className = "mdstabs-off";
       while (config.firstChild)
          config.removeChild(config.firstChild);
       var a = document.createElement('a');
       a.href = 'javascript:switchTabToConfig()';
       a.appendChild(document.createTextNode(messages.tabConfigure));
       a.className = "mdstabs-item";
       config.appendChild(a);

       var diag = document.getElementById('diagTab');
       diag.className = "mdstabs-on";
       while (diag.firstChild)
          diag.removeChild(diag.firstChild);
       diag.appendChild(document.createTextNode(messages.tabDiagnose));

       document.getElementById('mdsConfigTab').style.display = 'none';
       document.getElementById('mdsDiagTab').style.display = 'inline';

       userSelectControl = 'mdsDiagAvailableMembers';
       searchField = 'mdsDiagSearchStringValue';
       filter = document.getElementById(searchField);
       searchLimit = 'mdsDiagSearchLimitValue';
       limit = document.getElementById(searchLimit);
       searchType = 'user';

       if (mdsDiagRestoreConfig) {
          filter.value= mdsDiagSearchStringValue;
          limit.value= mdsDiagSearchStringLimit;
          mdsDiagSelectSavedUser = true;
          search();
       } else {
          filter.value = '*';
       }

       mdsPrevHelpUrl = getHelpUrl();
       setHelpUrl("/ibm/help/index.jsp?topic=/com.ibm.wbpm.mon.admin.rest.doc/sec/help_mds_admin_diagnose.html");
    }

    function setHelpUrl(url) {
		var anchor = document.getElementById('helpInstruction');
		if(null != anchor)  {
			anchor.href=url;
		}
    }

    function getHelpUrl() {
       var anchor = document.getElementById('helpInstruction');
       return anchor.href;
    }

    function findSelectedUserDiag() {
       var avail = document.getElementById('mdsDiagAvailableMembers');
       var opt = avail.firstChild;
       
       while (opt)
       {
           if (opt.selected) {
              return opt.value;
           }  
           
           opt = opt.nextSibling;
       }

       return null;
    }

    function selectSpecificUserDiag(user) {
       var avail = document.getElementById('mdsDiagAvailableMembers');
       var opt = avail.firstChild;
       
       while (opt)
       {
           if (opt.value == user) {
              opt.selected = true;
              return true;
           }  
           
           opt = opt.nextSibling;
       }
       return false;
    }

    function doFindAvailableModels() {
       
       var avail = document.getElementById('mdsDiagAvailableMembers');
       var opt = avail.firstChild;
       var selectedUser = null;
       var userCount = 0;

       while (opt)
       {
           if (opt.selected)
           {
              selectedUser = opt.value;
              userCount++;
           }  
           
           opt = opt.nextSibling;
       }

       if (userCount > 1) {
          alert(messages.selectOnlyOneUser);
          var opt = avail.firstChild;
          while (opt)
          {
              opt.selected = false;
              opt = opt.nextSibling;
          }

          return;
       }

       if (selectedUser == null) {
          alert(messages.selectAtLeastOneUser);
       } else {
          getModelsForUser(selectedUser);
       }

    }
// v7.5  new function - begin
// these function is used to query all the users and groups, for each role, under the 'root' resourceGroup

	function queryRoleMembersRoot()
	{
		queryRoleMembersRootUser();
		queryRoleMembersRootGroup();
	}
	function queryRoleMembersRootUser()
	{
		restAdmin.getUsersInRoleForResourceGroup(roleData[0], selectedResourceGroup[0], 'user').addCallback(queryRoleMembersRootCallback_0_user);
		restAdmin.getUsersInRoleForResourceGroup(roleData[1], selectedResourceGroup[0], 'user').addCallback(queryRoleMembersRootCallback_1_user);
		restAdmin.getUsersInRoleForResourceGroup(roleData[2], selectedResourceGroup[0], 'user').addCallback(queryRoleMembersRootCallback_2_user);
		restAdmin.getUsersInRoleForResourceGroup(roleData[3], selectedResourceGroup[0], 'user').addCallback(queryRoleMembersRootCallback_3_user);
//v7.5 us35131		restAdmin.getUsersInRoleForResourceGroup(roleData[4], selectedResourceGroup[0], 'user').addCallback(queryRoleMembersRootCallback_4_user);
	}
	function queryRoleMembersRootGroup()
	{
		restAdmin.getUsersInRoleForResourceGroup(roleData[0], selectedResourceGroup[0], 'group').addCallback(queryRoleMembersRootCallback_0_group);
		restAdmin.getUsersInRoleForResourceGroup(roleData[1], selectedResourceGroup[0], 'group').addCallback(queryRoleMembersRootCallback_1_group);
		restAdmin.getUsersInRoleForResourceGroup(roleData[2], selectedResourceGroup[0], 'group').addCallback(queryRoleMembersRootCallback_2_group);
		restAdmin.getUsersInRoleForResourceGroup(roleData[3], selectedResourceGroup[0], 'group').addCallback(queryRoleMembersRootCallback_3_group);
//v7.5 us35131		restAdmin.getUsersInRoleForResourceGroup(roleData[4], selectedResourceGroup[0], 'group').addCallback(queryRoleMembersRootCallback_4_group);
	}
	function queryRoleMembersRootCallback_0_user(data)
	{
		searchType = 'user';
		sel = document.getElementById('roleDetailSelectedMembers_0_user');
		queryRoleMembersRootCallback(data);					
	}
		function queryRoleMembersRootCallback_1_user(data)
	{
		searchType = 'user';
		sel = document.getElementById('roleDetailSelectedMembers_1_user');
		queryRoleMembersRootCallback(data);					
	}
		function queryRoleMembersRootCallback_2_user(data)
	{
		searchType = 'user';
		sel = document.getElementById('roleDetailSelectedMembers_2_user');
		queryRoleMembersRootCallback(data);					
	}
		function queryRoleMembersRootCallback_3_user(data)
	{
		searchType = 'user';
		sel = document.getElementById('roleDetailSelectedMembers_3_user');
		queryRoleMembersRootCallback(data);					
	}
		function queryRoleMembersRootCallback_4_user(data)
	{
		searchType = 'user';
		sel = document.getElementById('roleDetailSelectedMembers_4_user');
		queryRoleMembersRootCallback(data);					
	}
		function queryRoleMembersRootCallback_0_group(data)
	{
		searchType = 'group';
		sel = document.getElementById('roleDetailSelectedMembers_0_group');
		queryRoleMembersRootCallback(data);					
	}
		function queryRoleMembersRootCallback_1_group(data)
	{
		searchType = 'group';
		sel = document.getElementById('roleDetailSelectedMembers_1_group');
		queryRoleMembersRootCallback(data);					
	}
		function queryRoleMembersRootCallback_2_group(data)
	{
		searchType = 'group';
		sel = document.getElementById('roleDetailSelectedMembers_2_group');
		queryRoleMembersRootCallback(data);					
	}
		function queryRoleMembersRootCallback_3_group(data)
	{
		searchType = 'group';
		sel = document.getElementById('roleDetailSelectedMembers_3_group');
		queryRoleMembersRootCallback(data);					
	}
		function queryRoleMembersRootCallback_4_group(data)
	{
		searchType = 'group';
		sel = document.getElementById('roleDetailSelectedMembers_4_group');
		queryRoleMembersRootCallback(data);					
	}
	function queryRoleMembersRootCallback(data)
	{
        document.cookie='JSESSIONID=' + savedJSESSIONID + ';path=/ibm';
        if (data)
		{
			role_users.length = 0;
			role_groups.length = 0;
                
            while (sel.firstChild)
               sel.removeChild(sel.firstChild);
			data.sort(); //d674484
			for (var i=0; i < data.length; i++)
			{
                if (searchType == 'user') {
                   role_users[role_users.length] = data[i];
                } else {
                   role_groups[role_groups.length] = data[i];
                }

                var opt = document.createElement('OPTION');
				opt.id = 'user_'+ data[i];
				opt.value = data[i];
				opt.title = data[i];
				opt.appendChild(document.createTextNode(data[i]));
				sel.appendChild(opt);
			}
		}
	
	}

function showHideMonitorRole(item) {
		
    var taskSet = document.getElementById("child_"+item);
    var taskImg = document.getElementById("img_"+item);
    
    if (taskSet.style.display == "block") {
        taskSet.style.display = "none";
        taskImg.src = "/ibm/console/images/arrow_collapsed.gif";
    } else {
        taskSet.style.display = "block";
        taskImg.src = "/ibm/console/images/arrow_expanded.gif";
    }
}

// v7.5 new function - end
</script>

</head>
<%@ include file="was-styles-common.jsp" %>
<body>

<table width="100%" cellspacing="0" cellpadding="0" border="0">
 <tbody>
  <tr valign="top">
   <td class="mdstabs-on" id="configTab" width="1%" nowrap="" height="12"></td>
   <td class="blank-tab" width="1%" nowrap="" height="12">
    <img height="10" align="absmiddle" width="2" alt="" src="/ibm/console/images/onepix.gif"/>
   </td>
   <td class="mdstabs-off" id="diagTab" width="1%" nowrap="" height="12">
    <a class="mdstabs-item" id="diagText" title="Debug" href="javascript:switchTabToDiag()" tabindex="1"></a>
   </td>
   <td class="blank-tab" width="1%" nowrap="" height="12">
    <img height="10" align="absmiddle" width="2" alt="" src="/ibm/console/images/onepix.gif"/>
   </td>
   <td class="blank-tab" width="99%" nowrap="" height="12">
    <img height="10" align="absmiddle" width="2" alt="" src="/ibm/console/images/onepix.gif"/>
   </td>
  </tr>
 </tbody>
</table>
<table cellspacing="0" cellpadding="10" border="0" width="100%" summary="Framing Table" valign="top">
 <tbody>
  <tr>
   <td class="layout-manager">

<div id="mdsConfigTab">
<div id='resourceGroupList'>
<h1 id='adminTitle' class='title-bread-crumb'></h1>
<p  id='adminInstruction' class='instruction-text'></p>
<h1 id='resourceGroups' class='title-bread-crumb'></h1>
<p class='instruction-text'></p>
<div>
<table class='button-section' width='100%' cellspacing="0" cellpadding=3" border="0">
<tbody>
<tr class='table-button-section'>
<td>
<button id='adminNewButton' class='securityFunctionButton' onclick="doNewResourceGroup()"></button>
<%-- <button class='wbmSecurityButton' id="rg_edit" onclick="doEditResourceGroup()" disabled>Open</button> --%>
<button id='adminDeleteButton' class='securityFunctionButton' onclick="doDeleteResourceGroup()" disabled></button>
</td>
</tr>
</tbody>
</table>
<table class='button-section' width='100%' cellspacing="0" cellpadding=3" border="0">
<tbody>
<tr>
<td class='function-button-section'>
<img id='adminTableSelectAll'  src='<%=renderResponse.encodeURL( renderRequest.getContextPath() + "/SecurityUI/SelectAll.gif" )%>'   alt='Select all items' onclick='doSelectResourceGroups(true)'>
<img id='adminTableDeselectAll' src='<%=renderResponse.encodeURL( renderRequest.getContextPath() + "/SecurityUI/SelectNone.gif" )%>'  alt='Deselect all items' onclick='doSelectResourceGroups(false)'>
<img id='adminTableShowFilter' src='<%=renderResponse.encodeURL( renderRequest.getContextPath() + "/SecurityUI/ShowFilter.gif" )%>'  alt='Show filter function' onclick='doShowResourceGroupFilter(true)'>
<img id='adminTableHideFilter' src='<%=renderResponse.encodeURL( renderRequest.getContextPath() + "/SecurityUI/HideFilter.gif" )%>'  alt='Hide filter function' style='display:none' onclick='doShowResourceGroupFilter(false)'>
<img id='adminTableClearFilter' src='<%=renderResponse.encodeURL( renderRequest.getContextPath() + "/SecurityUI/ClearFilter.gif" )%>' alt='Clear filter value' onclick='doClearFilterResourceGroups()'>
</td>
</tr>
</tbody>
</table>
<div id="rg_filter" style="display:none">
<table cellpadding="0" cellspacing="0" border="0" width="100%" style="padding: 15px">
<tbody>
<tr>
<td>
<span id='adminTableFilterInstruction' class='wbmSecurityFilterText'></span>
</td>
</tr>
</table>
<table cellpadding="0" cellspacing="0" border="0" style="padding-left: 30px">
<tbody>
<tr>
<td style="padding-right: 15px">
<span id='adminTableFilterLabel' class='wbmSecurityFilterText'></span>
<br>
<label for="rg_filter_type">
<select id='rg_filter_type' class='wbmSecurityFilterText'>
<option id='adminTableFilterBy' value='name'></option>
<%-- <option value='model'>Model Name</option> --%>
</select>
</label>
</td>
<td style="padding-right: 15px">
<span id='adminTableSearchTerms' class='wbmSecurityFilterText'></span>
<br>
<label for="rg_filter_value">
<input type="text" id="rg_filter_value" value="" class='wbmSecurityFilterText' />
</label>
</td>
<td>
<button id='adminGoButton' class='wbm-buttons' onclick='doFilterResourceGroups()'></button>
</td>
</tr>
</tbody>
</table>
<br>
</div>
<table id='rg_table' class='framing-table' width='100%' cellspacing="1" cellpadding=3" border="0">
<tbody id='rg_head'>
<tr>
<th id='adminTableSelect' class='column-head-name' width='6%'></th>
<th id='adminTableName' class='column-head-name'>
<img id='rg_sort_Display Name' alt="" src='<%=renderResponse.encodeURL( renderRequest.getContextPath() + "/SecurityUI/SortNone.gif" )%>' onclick='doResourceGroupSortByName()'/>
</th>
<th id='adminTableDescription' class='column-head-name'></th>
</tr>
</tbody>
<tbody id='rg_tbody'>
</tbody>
<tbody>
<tr>
<td id='adminTableTotal' class='column-head-name' colspan=3><span id='rg_total'></span>
</td>
</tr>
</tbody>
</table>
</div>
</div>

<div id='resourceGroupDetail' style='display:none'>
<div id='rgDetailEdit'>
<h1 id='rgDetailName' class="title-bread-crumb">
</h1>
</div>

<div id='rgDetailNew'>
<h1 id='breadcrumbNewRG' breadclass='title-bread-crumb'>
</h1>
<p id='rgNewInstruction'></p>
<table>
<tbody>
<tr>
  <td>
    <p class='instruction-text'>
    <p id='adminRGName'/></p>
  </td>
  <td>
  <label for="rgDetailNewName">
    <input type='text' value='name' id='rgDetailNewName'></input>
    </label>
  </td>
  <td>
</tr>
<tr>
  <td>
    <p class='instruction-text'>
    <p id='adminRGDescription'/></p>
  </td>
  <td>
  <label for="rgDetailNewDescription">
    <input type='text' value='' id='rgDetailNewDescription' size='80'></input>
    </label>
  </td>
</tr>
</tbody>
</table>
<br>
<br>
<button id='adminApplyButton' class='wbm-buttons' onclick="doNewResourceGroupApply()"></button>
<button id='adminCancelButton' class='wbm-buttons' onclick="doResourceGroupDetailCancel()"></button>
</p>
</div>

<div id='rgDetailTitle'>
<br>
<h1 id='changeDesc' class='title-bread-crumb'></h1>
<label for="rgDetailChangeDescription">
<input type='text' value='' id='rgDetailChangeDescription' size='90'></input>
</label>
<br>
<br>
<h1 id='models' class='title-bread-crumb'></h1>
<p  id='rgDetailsInstruction' class='instruction-text'></p>
</div>

<div id='rgDetailDefaultModels'>
<label for="rgDetailDefaultModelList">
<select id="rgDetailDefaultModelList" multiple style="width:200px; height:150px;" class='instruction-text'>
</select>
</label>
<br>
</div>

<div id='rgDetailModels'>
<table>
<tbody>
<tr>
<td>
<label for="rgDetailAvailableModels" id='adminAvailableModels' class='instruction-text'></label>
<br>
    <select id="rgDetailAvailableModels" multiple style="width:200px; height:150px;" class='instruction-text'>
    </select>
</td>
<td>
<button class='buttons' onclick='selectItems("rgDetailAvailableModels","rgDetailSelectedModels")'      style="display:block; width: 40px; text-align:center; margin-left:5px">&gt</button>
<button class='buttons' onclick='selectAllItems("rgDetailAvailableModels","rgDetailSelectedModels")' style="display:block; width: 40px; text-align:center; margin-left:5px">&gt&gt</button>
<button class='buttons' onclick='selectItems("rgDetailSelectedModels","rgDetailAvailableModels")'      style="display:block; width: 40px; text-align:center; margin-left:5px">&lt</button>
<button class='buttons' onclick='deselectAllItems("rgDetailAvailableModels","rgDetailSelectedModels")' style="display:block; width: 40px; text-align:center; margin-left:5px">&lt&lt</button>
</td>
<td>
<label for="rgDetailSelectedModels" id='adminSelectedModels' class="instruction-text"></label>
<br>
    <select id="rgDetailSelectedModels" multiple style="width:200px; height:150px;" class='instruction-text'>
    </select>
</td>
</tr>
</tbody>
</table>
</div>

<div id='rgDetailRoles'>
<br>
<h1 id='roles' class='title-bread-crumb'></h1>
<p id='rgRolesInstruction' class='instruction-text'></p>
<p id='rgSecurityRequirements' class='instruction-text'></p>
<p id='rgRolesAdminSecurityDisabled' class='instruction-text'></p>
<p id='rgRolesApplicationSecurityDisabled' class='instruction-text'></p>
<!--<p id='rgRolesVMMDisabled' class='instruction-text'></p>-->

<!-- v7.5 v7.5 new GUI begin  -->
<!-- list the five roles and their expandable sections.
	 div id="MonitorDataSecurityAdministrator" 
	 	div id="child_MonitorDataSecurityAdministrator"
-->

<!-- V7.5 US35135 Currently comment out the MonitorDataSecurityAdministrator

<div id="MonitorDataSecurityAdministrator" class="expand-task">                              
	<A id="href_MonitorDataSecurityAdministrator" href="javascript:showHideMonitorRole('MonitorDataSecurityAdministrator')" >                            
	<IMG id="img_MonitorDataSecurityAdministrator" 
	SRC="/ibm/console/images/arrow_collapsed.gif" BORDER="0" ALIGN="absmiddle" 
	ALT="<bean:message key="wsc.expand.collapse.alt"/>
	</A>
</div> 
<div id="child_MonitorDataSecurityAdministrator" class="expand-task" style="display:none">
<label id="desc_MonitorDataSecurityAdministrator">
	</label>
<table width="100%" cellspacing="1" cellpadding="3&quot;" border="0">
<tbody>
	<tr><td id="adminDescUser4"></td><td id="adminDescGroup4"></td></tr>
	<tr class="column-head-name">
		
		<td><button onclick="doEditRoleUsers(4)" class="buttons" id="adminUsersButton4"></button></td> 
		<td><button onclick="doEditRoleGroups(4)" class="buttons" id="adminGroupsButton4"></button></td>
	</tr>
	<tr>
		<td><select id="roleDetailSelectedMembers_4_user" class="instruction-text2" style="width: 300px; height: 150px;" multiple=""></select></td>
		<td><select id="roleDetailSelectedMembers_4_group" multiple="" style="width: 300px; height: 150px;" class="instruction-text2"></select></td>
	</tr>
</tbody>
</table>
</div>  
V7.5 US35135 Currently comment out the MonitorDataSecurityAdministrator -->

<div id="BusinessManager" class="expand-task">                              
	<A id="href_BusinessManager" href="javascript:showHideMonitorRole('BusinessManager')" >                            
	<IMG id="img_BusinessManager" 
	SRC="/ibm/console/images/arrow_collapsed.gif" BORDER="0" ALIGN="absmiddle" 
	ALT="<bean:message key="wsc.expand.collapse.alt"/>
	</A>
</div> 
<div id="child_BusinessManager" class="expand-task" style="display:none">
<label id="desc_BusinessManager"></label>
<table width="100%" cellspacing="1" cellpadding="3&quot;" border="0">
<tbody>
	<tr><td id="adminDescUser0"></td><td id="adminDescGroup0"></td></tr>
	<tr class="column-head-name">
		<td><button onclick="doEditRoleUsers(0)" class="wbm-buttons" id="adminUsersButton0"></button></td>
		<td><button onclick="doEditRoleGroups(0)" class="wbm-buttons" id="adminGroupsButton0"></button></td>
	</tr>
	<tr>
		<td><select id="roleDetailSelectedMembers_0_user" class="instruction-text2" style="width: 300px; height: 150px;" multiple=""></select></td>
		<td><select id="roleDetailSelectedMembers_0_group" multiple="" style="width: 300px; height: 150px;" class="instruction-text2"></select></td>
	</tr>
</tbody>
</table>
</div>  
<div id="PersonalKPIAdministrator" class="expand-task">                              
	<A id="href_PersonalKPIAdministrator" href="javascript:showHideMonitorRole('PersonalKPIAdministrator')" >                            
	<IMG id="img_PersonalKPIAdministrator" 
	SRC="/ibm/console/images/arrow_collapsed.gif" BORDER="0" ALIGN="absmiddle" 
	ALT="<bean:message key="wsc.expand.collapse.alt"/>
	
	</A>
</div> 
<div id="child_PersonalKPIAdministrator" class="expand-task" style="display:none">
<label id="desc_PersonalKPIAdministrator" ></label>
<table width="100%" cellspacing="1" cellpadding="3&quot;" border="0">
<tbody>
	<tr><td id="adminDescUser1"></td><td id="adminDescGroup1"></td></tr>
	<tr class="column-head-name">
		<td><button onclick="doEditRoleUsers(1)" class="wbm-buttons" id="adminUsersButton1"></button></td>
		<td><button onclick="doEditRoleGroups(1)" class="wbm-buttons" id="adminGroupsButton1"></button></td>
	</tr>
	<tr>
		<td><select id="roleDetailSelectedMembers_1_user" class="instruction-text2" style="width: 300px; height: 150px;" multiple=""></select></td>
		<td><select id="roleDetailSelectedMembers_1_group" multiple="" style="width: 300px; height: 150px;" class="instruction-text2"></select></td>
	</tr>
</tbody>
</table>
</div>  
<div id="PublicKPIAdministrator" class="expand-task">                              
	<A id="href_PublicKPIAdministrator" href="javascript:showHideMonitorRole('PublicKPIAdministrator')" >                            
	<IMG id="img_PublicKPIAdministrator" 
	SRC="/ibm/console/images/arrow_collapsed.gif" BORDER="0" ALIGN="absmiddle" 
	ALT="<bean:message key="wsc.expand.collapse.alt"/>
	
	</A>
</div> 
<div id="child_PublicKPIAdministrator" class="expand-task" style="display:none">
<label id="desc_PublicKPIAdministrator" ></label>
<table width="100%" cellspacing="1" cellpadding="3&quot;" border="0">
<tbody>
	<tr><td id="adminDescUser2"></td><td id="adminDescGroup2"></td></tr>
	<tr class="column-head-name">
		<td><button onclick="doEditRoleUsers(2)" class="wbm-buttons" id="adminUsersButton2"></button></td>
		<td><button onclick="doEditRoleGroups(2)" class="wbm-buttons" id="adminGroupsButton2"></button></td>
	</tr>
	<tr>
		<td><select id="roleDetailSelectedMembers_2_user" class="instruction-text2" style="width: 300px; height: 150px;" multiple=""></select></td>
		<td><select id="roleDetailSelectedMembers_2_group" multiple="" style="width: 300px; height: 150px;" class="instruction-text2"></select></td>
	</tr>
</tbody>
</table>
</div>  
<div id="KPIAdministrator" class="expand-task">                              
	<A id="href_KPIAdministrator" href="javascript:showHideMonitorRole('KPIAdministrator')" >                            
	<IMG id="img_KPIAdministrator" 
	SRC="/ibm/console/images/arrow_collapsed.gif" BORDER="0" ALIGN="absmiddle" 
	ALT="<bean:message key="wsc.expand.collapse.alt"/>
	
	</A>
</div> 
<div id="child_KPIAdministrator" class="expand-task" style="display:none">
<label id="desc_KPIAdministrator" ></label>
<table width="100%" cellspacing="1" cellpadding="3&quot;" border="0">
<tbody>
	<tr><td id="adminDescUser3"></td><td id="adminDescGroup3"></td></tr>
	<tr class="column-head-name">
		<td><button onclick="doEditRoleUsers(3)" class="wbm-buttons" id="adminUsersButton3"></button></td>
		<td><button onclick="doEditRoleGroups(3)" class="wbm-buttons" id="adminGroupsButton3"></button></td>
	</tr>
	<tr>
		<td><select id="roleDetailSelectedMembers_3_user" class="instruction-text2" style="width: 300px; height: 150px;" multiple=""></select></td>
		<td><select id="roleDetailSelectedMembers_3_group" multiple="" style="width: 300px; height: 150px;" class="instruction-text2"></select></td>
	</tr>
</tbody>
</table>

<br>
</div>                   
<!-- v7.5 v7.5 new GUI end  -->
<br>
<button id='adminOKButtonRG' class='wbm-buttons' onclick="doResourceGroupDetailOk()"></button>
<button id='adminApplyButtonRG' class='wbm-buttons' onclick="doResourceGroupDetailOk()"></button>
<button id='adminCancelButtonRG' class='wbm-buttons' onclick="doResourceGroupDetailCancel()"></button>

</div>
</div>

<div id='roleDetail' style='display:none'>
<h1 id='roleDetailTitle' class='wbmSecurityTitle'></h1>
<p id='memberSearchInstruction' class='instruction-text'></p>
<table>
<tbody>

<tr>
<td>
<p id='adminSearchForLabel' class='instruction-text'> </p>
</td>
<td>
<p id='adminSearchLimit' class='instruction-text'> </p>
</td>
</tr>

<tr>
<td>
<%--<p id= class='instruction-text'>--%>
<label for="roleAvailableFilter">
<input type='text' value='' id='roleAvailableFilter'></input>
</label>
</td>
<td>
<label for="adminSearchLimitValue">
<input type='text' value='100' id='adminSearchLimitValue'></input>
</label>
<%--</p>--%>
</td>
</tr>

<tr>
<td>
<button id='adminSearchButton' class='wbm-buttons' onclick='search()' text-align:center; margin-left:5px"></button>
<p><p/>
</td>
</tr>
</tbody>
</table>

<table>
<tbody>
<tr>
<td>
<label for="roleDetailAvailableMembers" id='adminAvailableMembers' class='instruction-text'></label>
<br>
<select id="roleDetailAvailableMembers" multiple style="width:300px; height:150px;" class='instruction-text2'>
<%-- <select id="roleDetailAvailableMembers" multiple style="width:200px; height:150px;" class='instruction-text2'> --%>
</select>
</td>
<td>
<button class='buttons' onclick='selectItems("roleDetailAvailableMembers","roleDetailSelectedMembers")'      style="display:block; width: 40px; text-align:center; margin-left:5px">&gt</button>
<button class='buttons' onclick='selectAllItems("roleDetailAvailableMembers","roleDetailSelectedMembers")'   style="display:block; width: 40px; text-align:center; margin-left:5px">&gt&gt</button>
<button class='buttons' onclick='deselectItems("roleDetailAvailableMembers","roleDetailSelectedMembers")'    style="display:block; width: 40px; text-align:center; margin-left:5px">&lt</button>
<button class='buttons' onclick='deselectAllItems("roleDetailAvailableMembers","roleDetailSelectedMembers")' style="display:block; width: 40px; text-align:center; margin-left:5px">&lt&lt</button>
</td>
<td>
<label for="roleDetailSelectedMembers" id='adminSelectedMembers' class="instruction-text"></label>
<br>
<select id="roleDetailSelectedMembers" multiple style="width:300px; height:150px;" class='instruction-text2'>
<%-- <select id="roleDetailSelectedMembers" multiple style="width:200px; height:150px;" class='instruction-text2'> --%>
</select>
</td>
</tr>
</tbody>
</table>

<br>
<button id='adminOKButtonRoles' class='wbm-buttons' onclick="doRoleDetailOk()"></button>
<button id='adminCancelButtonRoles' class='wbm-buttons' onclick="doRoleDetailCancel()"></button>
</div>
</div>

<!--------------------This is the part of the UI where the admin can search for a UID, select it, and see what models the UID can access -->
<div id='mdsDiagTab' style='display:none'>

<h1 id='mdsDiagTitle' class='wbmSecurityTitle'></h1>
<p id='mdsDiagInstruction' class='instruction-text'></p>
<table>
<tbody>

<tr>
<td>
<p id='mdsDiagSearchForLabel' class='instruction-text'><label for="mdsDiagSearchStringValue"></label></p>
</td>
<td>
<p id='mdsDiagSearchLimit' class='instruction-text'><label for="mdsDiagSearchLimitValue"></label></p>
</td>
</tr>

<tr>
<td>
<%--<p id= class='instruction-text'>--%>
<label for="mdsDiagSearchStringValue">
<input type='text' value='' id='mdsDiagSearchStringValue'></input>
</label>
</td>
<td>
<label for="mdsDiagSearchLimitValue">
<input type='text' value='100' id='mdsDiagSearchLimitValue'></input>
</label>
<%--</p>--%>
</td>
</tr>

<tr>
<td>
<button id='mdsDiagSearchButton' class='wbm-buttons' onclick='search()' text-align:center; margin-left:5px"></button>
<p><p/>
</td>
</tr>
</tbody>
</table>

<table>
<tbody>
<tr>
<td>
<label for="mdsDiagAvailableMembers" id='mdsDiagAvailableMembersLabel' class='instruction-text'></label>
<br>
<select id="mdsDiagAvailableMembers" onchange="doFindAvailableModels()" multiple style="width:300px; height:150px;" class='instruction-text2'>
</select>
</td>
</tr>
<tr>
<td>
</tr>
</tr>
</tbody>
</table>

<br>
<!-- <button id='mdsDiagOK' class='wbm-buttons' onclick="doFindAvailableModels()">Find Available Models</button> -->

<br>

<div id="mdsModelsAvailableMsg" style='display:none'></div>
<br>

<div id='mdsDiagTable' style='display:none'>
<table class='framing-table' width='100%' cellspacing="1" cellpadding=3" border="0">
<tbody id='mdsDiaghead'>
<tr>
<th id='mdsModelColumn' class='column-head-name'>Model</th>
<th id='mdsRolesColumn' class='column-head-name'>Roles</th>
</tr>
</tbody>
<tbody id='mdsDiagtbody'>
<tr class='table-row'>
  <td class='collection-table-text'>Auto</td>
  <td class='collection-table-text'>this role</td>
</tr>
<tr class='table-row'>
  <td class='collection-table-text'>Patient</td>
  <td class='collection-table-text'>that role</td>
</tr>
</tbody>
<tbody>
<tr>
<td id='mdsRowsTotal' class='column-head-name' colspan=2><span id='mdsRowsTotalNumber'></span>
</td>
</tr>
</tbody>
</table>
</div>

</div>

   </td>
  </tr>
 </tbody>
</table>



</body>
</html>

<style type="text/css">
.securityFunctionButton {
    font-weight:normal; 
    font-family: Verdana, sans-serif; 
    BORDER-RIGHT: #336699 1px solid; 
    BORDER-TOP: #8cb1d1 1px solid; 
    BORDER-LEFT: #8cb1d1 1px solid; 
    BORDER-BOTTOM: #336699 1px solid; 
    BACKGROUND-COLOR: #EAF1FF  
}

}
</style>