<%@page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" session="false"%>
<%-- Licensed Materials - Property of IBM
  -- 5724-M24
  -- Copyright IBM Corporation 2008. All Rights Reserved.
  -- US Government Users Restricted Rights - Use, duplication
  -- or disclosure restricted by GSA ADP Schedule Contract
  -- with IBM Corp.
  --%>
<%@taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>

<%-- define portlet JSP vars --%>
<portlet:defineObjects />

<%-- set the locale to match what the portlet thinks is the locale --%>
<fmt:setLocale value="${renderRequest.locale}"/>

<%-- set the resource bundle name and key prefix to use between within the fmt:bundle element --%>
<fmt:bundle basename="com.ibm.wbimonitor.admin.topology.nl.PortletResource" prefix="HELP.">

<%-- attach the monitor specifc stylesheet --%>
<c:url var="monitorStyleSheetURL" context="${renderRequest.contextPath}" value="/theme/monitor-styles.css"/>
<link rel="stylesheet" href="${monitorStyleSheetURL}" type="text/css" />

<%-- some handy vars --%>
<c:set var="showFieldHelp"><%=portletConfig.getInitParameter("showFieldHelp")%></c:set>
<c:set var="showPageHelp" ><%=portletConfig.getInitParameter("showPageHelp") %></c:set>

<%-- compute url to the online help --%>
<c:url var="helpTopicURL" context="/ibm/help" value="/index.jsp">
	<c:param name="topic"><%=portletConfig.getInitParameter("pageHelpTopic")%></c:param>
</c:url>

<div class="monitor help">
	<c:if test="${showFieldHelp}">
		<div class="helpTitle first" id="fieldHelpTitle"><fmt:message key="FIELD.HELP.TITLE"/></div>
		<div class="helpText" id="wbmHelpPortletFieldHelp"><fmt:message key="FIELD.HELP.INSTRUCTIONS"/></div>
	</c:if>
	<c:if test="${showPageHelp}">
		<div class="helpTitle ${showFieldHelp ? '' : 'first'}"><fmt:message key="PAGE.HELP.TITLE"/></div>
		<div class="helpText" id="pageHelpLink"><a target="WAS_help" href="${helpTopicURL}"><fmt:message key="PAGE.HELP.LINK"/></a></div>
	</c:if>
</div>
</fmt:bundle>
