<%@taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" session="false"%>
<%-- Licensed Materials - Property of IBM
  -- 5724-M24
  -- Copyright IBM Corporation 2008, 2010. All Rights Reserved.
  -- US Government Users Restricted Rights - Use, duplication
  -- or disclosure restricted by GSA ADP Schedule Contract
  -- with IBM Corp.
  --%>
<%@taglib uri="http://java.sun.com/portlet"       prefix="portlet"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"      %>
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt"  prefix="fmt"    %>
<%@taglib tagdir="/WEB-INF/tags"                  prefix="wbm"    %>

<%-- define portlet JSP vars --%>
<portlet:defineObjects />

<%-- set the locale to match what the portlet thinks is the locale --%>
<fmt:setLocale value="${renderRequest.locale}"/>

<%-- import help support javascript library --%>
<c:url var="helpJavaScriptURL" context="${renderRequest.contextPath}" value="/scripts/help.js"/>
<script language="JavaScript" src="${helpJavaScriptURL}"></script>

<%-- set the resource bundle name and key prefix to use between within the fmt:bundle element --%>
<fmt:bundle basename="com.ibm.wbimonitor.admin.topology.nl.PortletResource" prefix="MSE.WIZARD.">

<%-- define a handy attribute containing the unique portlet namespace key --%>
<c:set var="ns"><portlet:namespace/></c:set>

<%-- attach the monitor specifc stylesheet --%>
<c:url var="monitorStyleSheetURL" context="${renderRequest.contextPath}" value="/theme/monitor-styles.css"/>
<link rel="stylesheet" href="${monitorStyleSheetURL}" type="text/css" />

<%-- define javascript functions for enabling/disabling controls --%>
<script type="text/javascript">
function ${ns}func_1(evt) {
	evt = (evt) ? evt : ((window.event) ? window.event : null);
	var targetElement = (evt.target) ? (evt.target) : ((evt.srcElement) ? evt.srcElement : null);
	if(targetElement.nodeType == 3) targetElement = targetElement.parentNode;
	if(targetElement.id == "targetTypeCluster") {
		document.getElementById("targetClusterList").disabled = false;
		document.getElementById("targetServerList").disabled = true;
	} else {
		document.getElementById("targetClusterList").disabled = true;
		document.getElementById("targetServerList").disabled = false;
	}
}
function ${ns}func_2(evt) {
	evt = (evt) ? evt : ((window.event) ? window.event : null);
	var targetElement = (evt.target) ? (evt.target) : ((evt.srcElement) ? evt.srcElement : null);
	if(targetElement.nodeType == 3) targetElement = targetElement.parentNode;
	if(targetElement.id == "createDefaultDatasourceTrue") {
		document.getElementById("existingJDBCDatasource").disabled = true;
		document.getElementById("schemaName").disabled = true;
		document.getElementById("datastoreAuthAlias").disabled = true;
		document.getElementById("createTables").disabled = true;
	} else {
		document.getElementById("existingJDBCDatasource").disabled = false;
		document.getElementById("schemaName").disabled = false;
		document.getElementById("datastoreAuthAlias").disabled = false;
		document.getElementById("createTables").disabled = false;
	}
}
</script>

<%-- enclosing div, just to apply the "monitor" class --%>
<div class="monitor">

<%-- display info/warning/error messages --%>
<wbm:msgbox messages="${messages}"/>

<!-- wizard -->

<%-- define the form element that encloses the entire wizard --%>
<c:set var="formActionURL"><portlet:actionURL/></c:set>
<form action="${formActionURL}" method="post">

<%-- TODO: this field seems to no longer be needed --%>
<input type="hidden" name="display" value="messaging-engine-wizard"/>


<table class="monitor-wizard" cellspacing="0">
	<tr>
	
		<!-- tabs column -->
		
		<c:url var="currentStepIconURL" context="${renderRequest.contextPath}" value="/images/current_step.gif"/>
		
		<td class="monitor-wizard-tabs">
			<table cellspacing="0">
			<c:forEach items="${wizard.steps}" varStatus="loopStatus" var="step">
			<fmt:bundle basename="com.ibm.wbimonitor.admin.topology.nl.PortletResource">
				<c:set var="stepDisplayName"><fmt:message key="${step.displayName}"/></c:set>
			</fmt:bundle>
			<c:choose>
				<c:when test="${step.name eq wizard.currentStep.name}">
				<tr>
					<td><img border="0" src="${currentStepIconURL}" width="16" height="16" ALT=""></td>
					<td class="monitor-wizard-tab-current">
						<fmt:message key="STEP.LINK">
							<fmt:param value="${loopStatus.index + 1}"/>
							<fmt:param value="${stepDisplayName}"/>
						</fmt:message>
					</td>
				</tr>
				</c:when>
				<c:otherwise>
				<tr>
					<td></td>
					<td class="monitor-wizard-tab">
						<fmt:message key="STEP.LINK">
							<fmt:param value="${loopStatus.index + 1}"/>
							<fmt:param value="${stepDisplayName}"/>
						</fmt:message>
					</td>
				</tr>
				</c:otherwise>
			</c:choose>
			</c:forEach>
				<tr><%-- following line is a hack for IE that does not respect min-width style --%>
					<c:url var="spacerImageURL" context="${renderRequest.contextPath}" value="/images/onepix.gif"/>
					<td colspan="2"><img src="${spacerImageURL}" width="120px" height="1" ALT=""></td>
				</tr>
			</table>
		</td>
		
		<!-- content column -->
		
		<td class="monitor-wizard-page">
			<table class="monitor-wizard-page-container" cellspacing="0">
					<tr>
						<th class="monitor-wizard-page-header">
							<fmt:bundle basename="com.ibm.wbimonitor.admin.topology.nl.PortletResource">
								<fmt:message key="${wizard.currentStep.displayName}"/>
							</fmt:bundle>
						</th>
					</tr>
					<tr>
						<td class="monitor-wizard-page-content">
<c:choose>
<c:when test="${wizard.currentStep.name eq 'serviceIntegrationBus'}">
</c:when>
<c:when test="${wizard.currentStep.name eq 'busMember'}">
						<%-- ------------------------- --%>
						<%-- Step: select a bus member --%>
						<%-- ------------------------- --%>
						<fmt:bundle basename="com.ibm.wbimonitor.admin.topology.nl.PortletResource" prefix="MSE.WIZARD.STEP.AA.">
						<p><fmt:message key="BUS.INFO"><fmt:param value="${serviceIntegrationBusStatus.name}"/></fmt:message></p>
						<p><fmt:message key="INSTRUCTION"/></p>
						<c:choose>
							<c:when test="${empty wizard.form.targetType || wizard.form.targetType eq 'cluster'}">
								<c:set var="targetType" value="cluster"/>
							</c:when>
							<c:otherwise>
								<c:set var="targetType" value="server"/>
							</c:otherwise>
						</c:choose>
						<table>
							<tr>
								<td><input id="targetTypeCluster" type="radio" name="targetType" value="cluster" onclick="${ns}func_1(event)" ${targetType eq 'cluster' ? 'checked="checked"' : ''} title="<fmt:message key='FIELD.CLUSTER.TOOLTIP'/>"></td>
								<td><label for="targetTypeCluster" title="<fmt:message key='FIELD.CLUSTER.TOOLTIP'/>"><fmt:message key="FIELD.CLUSTER.LABEL"/></label></td>
							</tr>
							<tr>
								<td></td>
								<td>
									<select id="targetClusterList" name="targetCluster" ${targetType eq 'server' ? 'disabled="disabled"' : ''} title="<fmt:message key='FIELD.CLUSTERLIST.TOOLTIP'/>">
										<option value=""><fmt:message key="FIELD.CLUSTERLIST.NONE"/></option>
									<c:forEach items="${clusters}" var="cluster">
										<c:choose>
											<c:when test="${cluster.key eq wizard.form.targetCluster}">
										<option value="${cluster.key}" selected="selected">${cluster.value}</option>
											</c:when>
											<c:otherwise>
										<option value="${cluster.key}">${cluster.value}</option>
											</c:otherwise>
										</c:choose>
									</c:forEach>
							</select></td>
							</tr>
							
							<tr>
								<td><input id="targetTypeServer" type="radio" name="targetType" value="server" onclick="${ns}func_1(event)" ${targetType eq 'server' ? 'checked="checked"' : ''} title="<fmt:message key='FIELD.SERVER.TOOLTIP'/>"></td>
								<td><label for="targetTypeServer" title="<fmt:message key='FIELD.SERVER.TOOLTIP'/>"><fmt:message key="FIELD.SERVER.LABEL"/></label></td>
							</tr>
							<tr>
								<td></td>
								<td><select id="targetServerList" name="targetServer" ${targetType eq 'cluster' ? 'disabled="disabled"' : ''} title="<fmt:message key='FIELD.SERVERLIST.TOOLTIP'/>">
									<option value=""><fmt:message key="FIELD.SERVERLIST.NONE"/></option>
									<c:forEach items="${servers}" var="server">
										<c:choose>
											<c:when test="${server.key eq wizard.form.targetServer}">
										<option value="${server.key}" selected="selected">${server.value}</option>
											</c:when>
											<c:otherwise>
										<option value="${server.key}">${server.value}</option>
											</c:otherwise>
										</c:choose>
									</c:forEach>
							</select></td>
							</tr>
						</table>
						</fmt:bundle>
</c:when>
<c:when test="${wizard.currentStep.name eq 'messageStore'}">
						<%-- -------------------------------------- --%>
						<%-- Step: select the type of message store --%>
						<%-- -------------------------------------- --%>
						<fmt:bundle basename="com.ibm.wbimonitor.admin.topology.nl.PortletResource" prefix="MSE.WIZARD.STEP.BB.">
						<p><fmt:message key="INSTRUCTION"/></p>
						<c:choose>
							<c:when test="${empty wizard.form.messageStoreType || wizard.form.messageStoreType eq 'databaseStore'}">
								<c:set var="messageStoreType" value="databaseStore"/>
							</c:when>
							<c:otherwise>
								<c:set var="messageStoreType" value="fileStore"/>
							</c:otherwise>
						</c:choose>
						<table>
							<tr>
								<td><input id="messageStoreTypeDatabase" type="radio" name="messageStoreType" value="databaseStore" title="<fmt:message key='RADIO.DATA.TOOLTIP'/>" ${messageStoreType eq 'databaseStore' ? 'checked="checked"' : ''}></td>
								<td><label for="messageStoreTypeDatabase" title="<fmt:message key='RADIO.DATA.TOOLTIP'/>"><fmt:message key="RADIO.DATA.LABEL"/></label></td>
							</tr>
							<tr>
								<td><input id="messageStoreTypeFile" type="radio" name="messageStoreType" value="fileStore" title="<fmt:message key='RADIO.FILE.TOOLTIP'/>" ${wizard.form.targetType eq 'cluster' ? 'disabled="disabled"' : ''} ${messageStoreType eq 'fileStore' ? 'checked="checked"' : ''}></td>
								<td><label for="messageStoreTypeFile" title="<fmt:message key='RADIO.FILE.TOOLTIP'/>"><fmt:message key="RADIO.FILE.LABEL"/></label></td>
							</tr>
						</table>
						</fmt:bundle>
</c:when>
<c:when test="${wizard.currentStep.name eq 'dataStore'}">
						<%-- ------------------------------------------ --%>
						<%-- Step: select properties for the data store --%>
						<%-- ------------------------------------------ --%>
						<fmt:bundle basename="com.ibm.wbimonitor.admin.topology.nl.PortletResource" prefix="MSE.WIZARD.STEP.CC.">
						<p><fmt:message key="INSTRUCTION"/></p>
						<c:choose>
							<c:when test="${empty wizard.form.createDefaultDatasource and wizard.form.targetType eq 'cluster'}">
								<c:set var="createDefaultDatasource" value="false"/>
							</c:when>
							<c:when test="${empty wizard.form.createDefaultDatasource and wizard.form.targetType eq 'server'}">
								<c:set var="createDefaultDatasource" value="true"/>
							</c:when>
							<c:when test="${wizard.form.createDefaultDatasource eq 'false'}">
								<c:set var="createDefaultDatasource" value="false"/>
							</c:when>
							<c:otherwise>
								<c:set var="createDefaultDatasource" value="true"/>
							</c:otherwise>
						</c:choose>
						<table cellpadding="3">
							<tr>
								<fmt:message key="RADIO.CREATE.TOOLTIP" var="createDefaultDatasourceTooltip"/>
								<td valign="top"><input id="createDefaultDatasourceTrue" type="radio" name="createDefaultDatasource" value="true" onclick="${ns}func_2(event)" title="${createDefaultDatasourceTooltip}" ${wizard.form.targetType eq 'cluster' ? 'disabled="disabled"' : ''} ${createDefaultDatasource ? 'checked="checked"' : ''}></td>
								<td><label title="${createDefaultDatasourceTooltip}"><fmt:message key="RADIO.CREATE.LABEL"/></label></td>
							</tr>
							<tr>
								<c:set var="disabledFlag">${createDefaultDatasource ? 'disabled="disabled"' : ''}</c:set>
								<fmt:message key="RADIO.EXISTING.TOOLTIP" var="useExistingDatasourceTooltip"/>
								<td valign="top"><input id="createDefaultDatasourceFalse" type="radio" name="createDefaultDatasource" value="false" onclick="${ns}func_2(event)" title="${useExistingDatasourceTooltip}" ${createDefaultDatasource ? '' : 'checked="checked"'}></td>
								<td>
								<fieldset style="margin-top: 0px"><legend title="useExistingDatasourceTooltip"><fmt:message key="RADIO.EXISTING.LABEL"/></legend>
								<table>
									<tr>
										<td><label title="<fmt:message key='FIELD.JNDI.TOOLTIP'/>"><fmt:message key="FIELD.JNDI.LABEL"/></label></td>
									</tr>
									<tr>
										<td>
											<select id="existingJDBCDatasource" name="existingJDBCDatasource" class="required" title="<fmt:message key='FIELD.JNDI.TOOLTIP'/>" ${disabledFlag} >
												<option value=""><fmt:message key="FIELD.JNDI.NONE"/></option>
												<c:forEach items="${datasources}" var="datasource">
													<c:choose>
														<c:when test="${wizard.form.existingJDBCDatasource eq datasource}">
															<option value="${datasource}" selected="selected">${datasource}</option>
														</c:when>
														<c:otherwise>
															<c:choose>
															<c:when test="${datasource eq 'jdbc/wbm/MonitorMEDatabase'}">
															<option value="${datasource}" selected="selected">${datasource}</option>
															</c:when>
															<c:otherwise>
															<option value="${datasource}">${datasource}</option>
															</c:otherwise>
															</c:choose>
														</c:otherwise>
													</c:choose>
												</c:forEach>
											</select>
										</td>
									</tr>
									<tr><fmt:message var="schemaTooltip" key="FIELD.SCHEMA.TOOLTIP"/>
										<td><label for="schemaName" title="${schemaTooltip}"><fmt:message key="FIELD.SCHEMA.LABEL"/></label></td>
									</tr>
									<tr>
										<td><input id="schemaName" type="text" name="schemaName" size="30" class="required" title="${schemaTooltip}" ${disabledFlag} value="${wizard.form.schemaName}"/> </td>
									</tr>
									<tr><fmt:message var="datastoreAuthAliasTooltip" key="FIELD.AUTH.TOOLTIP"/>
										<td><label for="datastoreAuthAlias" title="${datastoreAuthAliasTooltip}"><fmt:message key="FIELD.AUTH.LABEL"/></label></td>
									</tr>
									<tr>
										<td><select  id="datastoreAuthAlias"  name="datastoreAuthAlias" title="${datastoreAuthAliasTooltip}" ${disabledFlag} >
											<option value=""><fmt:message key="FIELD.AUTH.NONE"/></option>
											<c:forEach items="${authAliases}" var="authAlias">
												<c:choose>
													<c:when test="${authAlias eq wizard.form.datastoreAuthAlias}">
														<option value="${authAlias}" selected="selected">${authAlias}</option>
													</c:when>
													<c:otherwise>
														<c:choose>
														<c:when test="${authAlias eq 'Monitor_JDBC_Alias'}">
														<option value="${authAlias}" selected="selected">${authAlias}</option>
														</c:when>
														<c:otherwise>
																<option value="${authAlias}">${authAlias}</option>
														</c:otherwise>
														</c:choose>
													</c:otherwise>
												</c:choose>
											</c:forEach>
										</select></td>
									</tr>
									<tr><fmt:message var="createTablesTooltip" key="FIELD.CREATE.TABLES.TOOLTIP"/>
										<td><label title="${createTablesTooltip}"><input id="createTables" name="createTables" type="checkbox" value="true" checked="checked" title="${createTablesTooltip}" ${disabledFlag}><fmt:message key="FIELD.CREATE.TABLES.LABEL"/></label></td>
									</tr>
								</table>
								</fieldset>
								</td>
							</tr>
						</table>
						</fmt:bundle>
</c:when>
<c:when test="${wizard.currentStep.name eq 'confirm'}">
						<%-- ------------- --%>
						<%-- Step: confirm --%>
						<%-- ------------- --%>
						<fmt:bundle basename="com.ibm.wbimonitor.admin.topology.nl.PortletResource" prefix="MSE.WIZARD.STEP.ZZ.">
						<p><fmt:message key="INSTRUCTION"/></p>
						<fmt:bundle basename="com.ibm.wbimonitor.admin.topology.nl.PortletResource" prefix="MSE.WIZARD.STEP.ZZ.SUMMARY.">
						<p><fmt:message key="LABEL"/></p>
						<table cellpadding="3" class="framing-table" cellspacing="1">
							<tr class="table-row">
								<td nowrap><fmt:message key="SIBUS.LABEL"/></td>
								<c:choose>
									<c:when test="${serviceIntegrationBusStatus.deployed}">
								<td><fmt:message key="SIBUS.EXISTS"><fmt:param>${serviceIntegrationBusStatus.name}</fmt:param></fmt:message></td>
									</c:when>
									<c:otherwise>
								<td><fmt:message key="SIBUS.CREATE"><fmt:param>${serviceIntegrationBusStatus.name}</fmt:param></fmt:message></td>
									</c:otherwise>
								</c:choose>
							</tr>
							<tr class="table-row">
								<td nowrap><fmt:message key="BUS.MEMBER.LABEL"/></td>
								<c:choose>
									<c:when test="${wizard.form.targetType eq 'cluster'}">
								<td>${wizard.form.targetCluster}</td>
									</c:when>
									<c:otherwise>
								<td>${wizard.form.targetServer}</td>
									</c:otherwise>
								</c:choose>
							</tr>
							<tr class="table-row">
								<td nowrap><fmt:message key="MESSAGE.STORE.TYPE.LABEL"/></td>
								<c:choose>
									<c:when test="${wizard.form.messageStoreType eq 'databaseStore'}">
								<td><fmt:message key="MESSAGE.STORE.TYPE.DATA"/></td>
									</c:when>
									<c:otherwise>
								<td><fmt:message key="MESSAGE.STORE.TYPE.FILE"/></td>
									</c:otherwise>
								</c:choose>
							</tr>
							<c:if test="${wizard.form.messageStoreType eq 'databaseStore'}">
								<tr class="table-row">
									<td nowrap><fmt:message key="DATASOURCE.CREATE.DEFAULT.LABEL"/></td>
									<c:choose>
										<c:when test="${wizard.form.createDefaultDatasource eq 'true'}">
									<td><fmt:message key="YES"/></td>
										</c:when>
										<c:otherwise>
									<td><fmt:message key="NO"/></td>
										</c:otherwise>
									</c:choose>
								</tr>
								<c:if test="${not empty wizard.form.createDefaultDatasource && wizard.form.createDefaultDatasource ne 'true'}">
									<tr class="table-row">
										<td nowrap><fmt:message key="DATASOURCE.JNDI.LABEL"/></td>
										<td>${wizard.form.existingJDBCDatasource}</td>
									</tr>
									<tr class="table-row">
										<td nowrap><fmt:message key="SCHEMA.NAME.LABEL"/></td>
										<td>${wizard.form.schemaName}</td>
									</tr>
									<tr class="table-row">
										<td nowrap><fmt:message key="DATASOURCE.AUTH.ALIAS.LABEL"/></td>
										<td>${empty wizard.form.datastoreAuthAlias ? 'None': wizard.form.datastoreAuthAlias}</td>
									</tr>
									<tr class="table-row">
										<td nowrap><fmt:message key="CREATE.TABLES.LABEL"/></td>
										<c:choose>
											<c:when test="${wizard.form.createTables}">
												<td><fmt:message key="YES"/></td>
											</c:when>
											<c:otherwise>
												<td><fmt:message key="NO"/></td>
											</c:otherwise>
										</c:choose>
									</tr>
								</c:if>
							</c:if>
						</table>
						</fmt:bundle>
						</fmt:bundle>

</c:when>
</c:choose>
						</td>
					</tr>
			</table>
		</td>
		
	</tr>
<%--
	<tr class="table-row">
		<td class="column-head-name" colspan="2" style="padding: 5px">
		<c:forEach items="${wizard.steps}" var="step" varStatus="loopStatus">
			<c:if test="${step.name eq wizard.currentStep.name}">
				<c:if test="${not loopStatus.first}">
					<button type="submit" name="action.previous" value="previous" class="nav-button">Previous</button>
				</c:if>
				<c:if test="${not loopStatus.last}">
					<button type="submit" name="action.next" value="next" class="nav-button">Next</button>
				</c:if>
				<c:if test="${loopStatus.last}">
					<button type="submit" name="action.finish" value="finish" class="nav-button">Finish</button>
				</c:if>
					<button type="submit" name="action.cancel" value="cancel" class="nav-button">Cancel</button>
			</c:if>
		</c:forEach>
		</td>
	</tr>
--%>
	<fmt:bundle basename="com.ibm.wbimonitor.admin.topology.nl.PortletResource" prefix="MSE.WIZARD.NAVIGATION.">
	<tr class="table-row">
		<td class="column-head-name" colspan="2" style="padding: 5px">
		<c:forEach items="${wizard.steps}" var="step" varStatus="loopStatus">
			<c:if test="${step.name eq wizard.currentStep.name}">
				<c:if test="${not loopStatus.first}">
					<input type="submit" name="action.previous" value="<fmt:message key='PREVIOUS'/>" class="nav-button">
				</c:if>
				<c:if test="${not loopStatus.last}">
					<input type="submit" name="action.next" value="<fmt:message key='NEXT'/>" class="nav-button">
				</c:if>
				<c:if test="${loopStatus.last}">
					<input type="submit" name="action.finish" value="<fmt:message key='FINISH'/>" class="nav-button">
				</c:if>
					<input type="submit" name="action.cancel" value="<fmt:message key='CANCEL'/>" class="nav-button">
			</c:if>
		</c:forEach>
		</td>
	</tr>
	</fmt:bundle>
</table>

</form>

<!--
<div class="monitor-wizard">
	<div class="monitor-wizard-section-step">
		<span class="monitor-wizard-step-current">Step 1: Select a bus member</span>
		<span class="monitor-wizard-step">Step 2: Message engine datastore</span>
		<span class="monitor-wizard-step">Step 3: Confirm</span>
	</div>
	<div class="monitor-wizard-section-page">
		<div class="monitor-wizard-section-page-header">
			Select a bus member
		</div>
		Contents
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
	</div>
</div>
-->

</div>
</fmt:bundle>