<%@page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" session="false"%>
<%-- Licensed Materials - Property of IBM
  -- 5724-M24
  -- Copyright IBM Corporation 2008, 2011. All Rights Reserved.
  -- US Government Users Restricted Rights - Use, duplication
  -- or disclosure restricted by GSA ADP Schedule Contract
  -- with IBM Corp.
  --%>
<%@taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@taglib tagdir="/WEB-INF/tags" prefix="wbm"%>

<%-- define portlet JSP vars --%>
<portlet:defineObjects />

<%-- set the locale to match what the portlet thinks is the locale --%>
<fmt:setLocale value="${renderRequest.locale}"/>

<%-- import help support javascript library --%>
<c:url var="helpJavaScriptURL" context="${renderRequest.contextPath}" value="/scripts/help.js"/>
<script language="JavaScript" src="${helpJavaScriptURL}"></script>

<%-- set the resource bundle name and key prefix to use between within the fmt:bundle element --%>
<fmt:setBundle basename="com.ibm.wbimonitor.admin.topology.nl.PortletResource"/>

<%-- define a handy attribute containing the unique portlet namespace key --%>
<c:set var="ns"><portlet:namespace/></c:set>

<%-- attach the monitor specific stylesheet --%>
<c:url var="monitorStyleSheetURL" context="${renderRequest.contextPath}" value="/theme/monitor-styles.css"/>
<link rel="stylesheet" href="${monitorStyleSheetURL}" type="text/css" />

<div class="monitor">

<%-- display info/warning/error messages --%>
<wbm:msgbox messages="${messages}"/>

<p class="breadcrumb-trail"><fmt:message key="MON.CONFIG.PAGE.BREADCRUMB"/></p>
<p><fmt:message key="MON.CONFIG.PAGE.INSTRUCTION"/></p>
<!-- main content -->
<div class="mainContent" style="width: auto">
<%-- compute urls for config pages --%>
<c:set var="configMessagingEngineURL"      ><portlet:actionURL><portlet:param name='action' value='forward'/><portlet:param name='pageName' value='messaging-engine'/></portlet:actionURL></c:set>
<c:set var="configRESTServicesGatewayURL"  ><portlet:actionURL><portlet:param name='action' value='forward'/><portlet:param name='pageName' value='rest-api-service'/></portlet:actionURL></c:set>
<c:set var="configActionServicesURL"       ><portlet:actionURL><portlet:param name='action' value='forward'/><portlet:param name='pageName' value='action-services'/></portlet:actionURL></c:set>
<c:set var="configMobileDashboardURL"      ><portlet:actionURL><portlet:param name='action' value='forward'/><portlet:param name='pageName' value='mobile-dashboard'/></portlet:actionURL></c:set>
<c:set var="configDataServicesSchedulerURL"><portlet:actionURL><portlet:param name='action' value='forward'/><portlet:param name='pageName' value='data-movement-service'/></portlet:actionURL></c:set>
<c:set var="configEmitterFactoryURL"       ><portlet:actionURL><portlet:param name='action' value='forward'/><portlet:param name='pageName' value='event-service'/></portlet:actionURL></c:set>
<c:set var="configCognosURL"               ><portlet:actionURL><portlet:param name='action' value='forward'/><portlet:param name='pageName' value='cognos'/></portlet:actionURL></c:set>
<c:set var="configAlphabloxURL"            ><portlet:actionURL><portlet:param name='action' value='forward'/><portlet:param name='pageName' value='alphablox'/></portlet:actionURL></c:set>
<c:set var="configBusinessSpaceURL"        ><portlet:actionURL><portlet:param name='action' value='forward'/><portlet:param name='pageName' value='business-space'/></portlet:actionURL></c:set>
<c:set var="configEventEmitterServicesURL" ><portlet:actionURL><portlet:param name='action' value='forward'/><portlet:param name='pageName' value='event-emitter-service'/></portlet:actionURL></c:set>

<%-- compute urls for status icons --%>
<c:url var="statusIconDeployedURL" context="${renderRequest.contextPath}" value="/images/check.gif"/>
<c:url var="statusIconMissingURL"  context="${renderRequest.contextPath}" value="/images/notfound.gif"/>
<c:url var="statusIconErrorURL"    context="${renderRequest.contextPath}" value="/images/error.gif"/>
<c:url var="statusIconWarningURL"  context="${renderRequest.contextPath}" value="/images/warning.gif"/>

<%-- messaging engine status icon --%>
<c:set var="messagingEngineStatusIcon">  
	<c:choose>
		<c:when test="${topologyStatus.messagingEngine.deployed}">${statusIconDeployedURL}</c:when>
		<c:otherwise>${statusIconErrorURL}</c:otherwise>
	</c:choose>
</c:set>
<%-- emitter factory status icon --%>
<c:set var="emitterFactoryStatusIcon">  
	<c:choose>
		<c:when test="${topologyStatus.emitterFactory.deployed}">${statusIconDeployedURL}</c:when>
		<c:otherwise>${statusIconErrorURL}</c:otherwise>
	</c:choose>
</c:set>
<%-- event emitter service status icon --%>
<c:set var="eventEmitterServicesStatusIcon">  
	<c:choose>
		<c:when test="${topologyStatus.eventEmitterServices.deployed}">${statusIconDeployedURL}</c:when>
		<c:otherwise>${statusIconMissingURL}</c:otherwise>
	</c:choose>
</c:set>
<%-- rest api service status icon --%>
<c:set var="restServicesGatewayStatusIcon">  
	<c:choose>
		<c:when test="${topologyStatus.restServicesGateway.deployed}">${statusIconDeployedURL}</c:when>
		<c:otherwise>${statusIconMissingURL}</c:otherwise>
	</c:choose>
</c:set>
<%-- action services status icon --%>
<c:set var="actionServicesStatusIcon">  
	<c:choose>
		<c:when test="${topologyStatus.actionServices.deployed}">${statusIconDeployedURL}</c:when>
		<c:otherwise>${statusIconErrorURL}</c:otherwise>
	</c:choose>
</c:set>

<%-- cognos status icon --%>
<c:set var="cognosStatusIcon">  
	<c:choose>
		<c:when test="${topologyStatus.cognos.deployed}">${statusIconDeployedURL}</c:when>
		<c:otherwise>${statusIconMissingURL}</c:otherwise>
	</c:choose>
</c:set>

<%-- alphablox status icon --%>
<!-- V75 depress ABX 
<c:set var="alphabloxStatusIcon">  
	<c:choose>
		<c:when test="${topologyStatus.alphablox.deployed}">${statusIconDeployedURL}</c:when>
		<c:otherwise>${statusIconMissingURL}</c:otherwise>
	</c:choose>
</c:set>
 -->
<%-- mobile dashboard status icon --%>
<c:set var="mobileDashboardStatusIcon">  
	<c:choose>
		<c:when test="${topologyStatus.mobileDashboard.deployed}">${statusIconDeployedURL}</c:when>
		<c:otherwise>${statusIconMissingURL}</c:otherwise>
	</c:choose>
</c:set>
<%-- data services scheduler status icon --%>
<c:set var="dataServicesSchedulerStatusIcon">  
	<c:choose>
		<c:when test="${topologyStatus.dataServicesScheduler.deployed}">${statusIconDeployedURL}</c:when>
		<c:otherwise>${statusIconErrorURL}</c:otherwise>
	</c:choose>
</c:set>
<%-- business space status icon --%>
<c:set var="businessSpaceStatusIcon">  
	<c:choose>
		<c:when test="${topologyStatus.businessSpace.deployed}">${statusIconDeployedURL}</c:when>
		<c:otherwise>${statusIconMissingURL}</c:otherwise>
	</c:choose>
</c:set>


<%-- retrieve http request ready state messages  --%>
<c:set var="readyStateUninitialized"><fmt:message key="MON.STATUS.FEED.UNINITIALIZED" /></c:set>
<c:set var="readyStateLoading"><fmt:message key="MON.STATUS.FEED.LOADING" /></c:set>
<c:set var="readyStateLoaded"><fmt:message key="MON.STATUS.FEED.LOADED" /></c:set>
<c:set var="readyStateInteractive"><fmt:message key="MON.STATUS.FEED.INTERACTIVE" /></c:set>

<%--d691245  --%>
<c:set var="isCognosRemoteMsg"><fmt:message key="COG.COMPONENT.STATUS.REMOTE" /></c:set>

<div class="sectionContent">
<p class="config-section-title"><fmt:message key="MON.CONFIG.SECTION.TITLE"/></p>
<p><fmt:message key="MON.CONFIG.SECTION.INSTRUCTION"/></p>
<fieldset><legend><fmt:message key="MON.CONFIG.REQUIRED.COMPONENTS.TITLE"/></legend>
	<table border="0" cellpadding="2" cellspacing="1" width="100%">
	<tr>
		<td class="table-text">
			<p><fmt:message key="MON.CONFIG.REQUIRED.COMPONENTS.INSTRUCTION"/></p>
		</td>
	</tr>
	<tr>
	<td class="table-text">
<table cellpadding="3" class="framing-table" cellspacing="1" width="100%">
	<thead>
		<tr>
			<th class="column-head-name" width="20px">&nbsp;</th>
			<th class="column-head-name" width="50%" nowrap="nowrap" align="left"><fmt:message key="MON.STATUS.TABLE.HEADER.COMPONENT"/></th>
			<th class="column-head-name" nowrap="nowrap" align="left"><fmt:message key="MON.STATUS.TABLE.HEADER.STATUS"/></th>
		</tr>
	</thead>
	<tbody>
		<tr class="table-row">
			<td align="center"><img border="0" src="${emitterFactoryStatusIcon}" width="16" height="16" ALT=""></td>
			<td><a href="${configEmitterFactoryURL}" style="text-decoration: underline"><fmt:message key="EEF.COMPONENT.DISPLAY.NAME"/></a></td>
			<td>${topologyStatus.emitterFactory.properties.displayStatus}</td>
		</tr>
		<tr class="table-row">
			<td align="center"><img border="0" src="${messagingEngineStatusIcon}" width="16" height="16" ALT=""></td>
			<td><a href="${configMessagingEngineURL}" style="text-decoration: underline"><fmt:message key="MSE.COMPONENT.DISPLAY.NAME"/></a></td>
			<td>${topologyStatus.messagingEngine.properties.displayStatus}</td>
		</tr>	
		<tr class="table-row">
			<td align="center"><img border="0" src="${actionServicesStatusIcon}" width="16" height="16" ALT=""></td>
			<td><a href="${configActionServicesURL}" style="text-decoration: underline"><fmt:message key="ASS.COMPONENT.DISPLAY.NAME"/></a></td>
			<td>${topologyStatus.actionServices.properties.displayStatus}</td>
		</tr>
		<tr class="table-row">
			<td align="center"><img border="0" src="${dataServicesSchedulerStatusIcon}" width="16" height="16" ALT=""></td>
			<td><a href="${configDataServicesSchedulerURL}" style="text-decoration: underline"><fmt:message key="DSS.COMPONENT.DISPLAY.NAME"/></a></td>
			<td>${topologyStatus.dataServicesScheduler.properties.displayStatus}</td>
		</tr>
		<tr class="table-row">
			<td class="column-head-name" colspan="3"></td>
		</tr>
	</tbody>
</table>
</td>
</tr>
</table>
</fieldset>

<fieldset><legend><fmt:message key="MON.CONFIG.OPTIONAL.COMPONENTS.TITLE"/></legend>
<table border="0" cellpadding="2" cellspacing="1" width="100%">
	<tr>
		<td class="table-text">
			<p><fmt:message key="MON.CONFIG.OPTIONAL.COMPONENTS.INSTRUCTION"/></p>
		</td>
	</tr>
	<tr>
	<td class="table-text">
<table cellpadding="3" class="framing-table" cellspacing="1" width="100%">
	<thead>
		<tr>
			<th class="column-head-name" width="20px">&nbsp;</th>
			<th class="column-head-name" width="50%" nowrap="nowrap" align="left"><fmt:message key="MON.STATUS.TABLE.HEADER.COMPONENT"/></th>
			<th class="column-head-name" nowrap="nowrap" align="left"><fmt:message key="MON.STATUS.TABLE.HEADER.STATUS"/></th>
		</tr>
	</thead>
	<tbody>
	<!-- d691245 begin -->
	<c:if test="${isCognosRemote=='true'}">
			<tr class="table-row">
			<td align="center"><img border="0" src="${statusIconDeployedURL}" width="16" height="16" ALT=""></td>
			<td><a href="${configCognosURL}" style="text-decoration: underline"><fmt:message key="COG.COMPONENT.DISPLAY.NAME"/></a></td>
			<td>${isCognosRemoteMsg}</td>
		</tr>
	</c:if>
	<c:if test="${not (isCognosRemote=='true')}">
			<tr class="table-row">
			<td align="center"><img border="0" src="${cognosStatusIcon}" width="16" height="16" ALT=""></td>
			<td><a href="${configCognosURL}" style="text-decoration: underline"><fmt:message key="COG.COMPONENT.DISPLAY.NAME"/></a></td>
			<td>${topologyStatus.cognos.properties.displayStatus}</td>
			</tr>
	</c:if>
						
	<!-- d691245 end -->

		<!-- V75 Depress ABX
		<tr class="table-row">
			<td align="center"><img border="0" src="${alphabloxStatusIcon}" width="16" height="16" ALT=""></td>
			<td><a href="${configAlphabloxURL}" style="text-decoration: underline"><fmt:message key="ABX.COMPONENT.DISPLAY.NAME"/></a></td>
			<td>${topologyStatus.alphablox.properties.displayStatus}</td>
		</tr>
		 -->
		<tr class="table-row" style="border-top-width: thin">
			<td align="center"><img border="0" src="${mobileDashboardStatusIcon}" width="16" height="16" ALT=""></td>
			<td><a href="${configMobileDashboardURL}" style="text-decoration: underline"><fmt:message key="DMD.COMPONENT.DISPLAY.NAME"/></a></td>
			<td>${topologyStatus.mobileDashboard.properties.displayStatus}</td>
		</tr>
		<tr class="table-row">
			<td align="center"><img border="0" src="${eventEmitterServicesStatusIcon}" width="16" height="16" ALT=""></td>
			<td><a href="${configEventEmitterServicesURL}" style="text-decoration: underline"><fmt:message key="EES.COMPONENT.DISPLAY.NAME"/></a></td>
			<td>${topologyStatus.eventEmitterServices.properties.displayStatus}</td>
		</tr>
		<tr class="table-row">
			<td class="column-head-name" colspan="3"></td>
		</tr>
	</tbody>
</table>
</td>
</tr>
</table>
</fieldset>

<fieldset><legend><fmt:message key="MON.CONFIG.SHARED.COMPONENTS.TITLE"/></legend>
	<table border="0" cellpadding="2" cellspacing="1" width="100%">
	<tr>
		<td class="table-text">
			<p><fmt:message key="MON.CONFIG.SHARED.COMPONENTS.INSTRUCTION"/></p>
		</td>
	</tr>
	<tr>
	<td class="table-text">
<table cellpadding="3" class="framing-table" cellspacing="1" width="100%">
	<thead>
		<tr>
			<th class="column-head-name" width="20px">&nbsp;</th>
			<th class="column-head-name" width="50%" nowrap="nowrap" align="left"><fmt:message key="MON.STATUS.TABLE.HEADER.COMPONENT"/></th>
			<th class="column-head-name" nowrap="nowrap" align="left"><fmt:message key="MON.STATUS.TABLE.HEADER.STATUS"/></th>
		</tr>
	</thead>
	<tbody>
		<tr class="table-row">
			<td align="center"><img border="0" src="${restServicesGatewayStatusIcon}" width="16" height="16" ALT=""></td>
			<td><a href="${configRESTServicesGatewayURL}" style="text-decoration: underline"><fmt:message key="RST.COMPONENT.DISPLAY.NAME"/></td>
			<td>${topologyStatus.restServicesGateway.properties.displayStatus}</td>
		</tr>
		<tr class="table-row">
			<td align="center"><img border="0" src="${businessSpaceStatusIcon}" width="16" height="16" ALT=""></td>
			<td><a href="${configBusinessSpaceURL}" style="text-decoration: underline"><fmt:message key="BSS.COMPONENT.DISPLAY.NAME"/></td>
			<td>${topologyStatus.businessSpace.properties.displayStatus}</td>
		</tr>		
		<tr class="table-row">
			<td class="column-head-name" colspan="3"></td>
		</tr>
	</tbody>
</table>
</td>
</tr>
</table>
</fieldset>
</div>
</div>

</div>
